<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
	<div class="container-fluid">
		<div class="row mb-2">
			<div class="col-sm-12 breadcrumb_container">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_BREADCRUMB_HOME'); ?>
				</a> /
				<?php echo \E::get('obj_curr_module_lang')->get('AUDIT_NAME'); ?>
			</div>
		</div>
	</div>
</div>
<hr/>
<div class="row">
	<div class="col-md-2">
		<div class="form-group">
			<label for="usr_name" class="col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_DATE_RANGE'); ?></label>
		</div>
	</div>
	<div class="input-group pb-3 col-md-4">
		<input type="text" class="form-control text-left" placeholder="Date Range" id="date_range_dates"  readonly>
		<div class="input-group-append">
			<button class="btn btn-secondary sidebar-color border-0 w-100" type="button" id="date_range">
				<i class="fa fa-calendar text-secondary"></i>
			</button>
		</div>
	</div>
</div>
<hr/>
<div class="row">
	<div class="col-md-2 col-xl-1">
		<i class="fas fa-sliders-h fa-lg"></i>
		<span class="font-weight-bold"><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_FILTER'); ?></span>
	</div>
	<div class="col-xl-3 col-lg-3 col-md-3 col-sm-4 " id="agency_select_container">
		<div class="form-group">
			<label for="usr_name" data-id="user_filter" class="filter_container category_label col-form-label text-secondary rounded-pill border border-secondary px-5 mb-2"><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_USER_NAME'); ?></label>
			<i class=" fas fa-chevron-down  ml-n5 pl-3 category_name_arrow  text-secondary"></i>
			<div id="select2_container_category_filter">
				<select class="user_name form-control" id="user_filter" name="states[]" multiple="multiple">
					<?php
					if (isset($v_user) && count($v_user) > 0) {
						foreach ($v_user as $v_key => $v_user_each) { ?>
							<option value="<?php echo \U::safe_display_string($v_user_each['user_id']); ?>"><?php echo \U::safe_display_string($v_user_each['user_name']); ?></option>
							<?php
						}
					}
					?>
				</select>
			</div>
		</div>
	</div>
	<div class="col-xl-3 col-lg-4 col-md-4 col-sm-4" id="agency_select_container">
		<div class="form-group ml-xl-n5">
			<label for="usr_name" data-id="agency_filter" class="filter_container locations_label col-form-label text-secondary rounded-pill border border-secondary px-5 mb-2">&nbsp;&nbsp;&nbsp;&nbsp;<?php echo \E::get('obj_curr_module_lang')->get('AUDIT_AGENCY_NAME'); ?>
				&nbsp;&nbsp;</label>
			<i class="fas fa-chevron-down ml-n5 pl-3  location_name_arrow text-secondary"></i>
			<div id="select2_container_location_filter">
				<select class="user_name form-control" name="states[]" multiple="multiple" id="agency_filter">
					<?php
					if (isset($v_agency) && count($v_agency) > 0) {
						foreach ($v_agency as $v_key => $v_agency_each) { ?>
							<option value="<?php echo \U::safe_display_string($v_agency_each['ag_id']); ?>"><?php echo \U::safe_display_string($v_agency_each['ag_name']); ?></option>
							<?php
						}
					}
					?>
				</select>
			</div>
		</div>
	</div>
	<div class="col-xl-3 col-lg-3 col-md-3 col-sm-4" id="agency_select_container">
		<div class="form-group ml-xl-n5">
			<label for="usr_name" data-id="function_filter" class="filter_container status_label col-form-label text-secondary rounded-pill border border-secondary px-5 mb-2">&nbsp;&nbsp;&nbsp;&nbsp;<?php echo \E::get('obj_curr_module_lang')->get('AUDIT_FUNCTION'); ?>
				&nbsp;&nbsp;</label>
			<i class="fas fa-chevron-down ml-n5 pl-3  status_filter_arrow text-secondary"></i>
			<div id="select2_container_status_filter">
				<select class="user_name form-control" name="states[]" multiple="multiple" id="function_filter">
					<option value="User Profile"><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_USER_PROFILE'); ?></option>
					<option value="User Role"><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_USER_ROLE'); ?></option>
					<option value="Agency Profile"><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_AGENCY_PROFILE'); ?></option>
					<option value="Location Profile"><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_LOCATION_PROFILE'); ?></option>
					<option value="Ticket Category"><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_TICKET_CATEGORY'); ?></option>
					<option value="Ticket Profile"><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_TICKET_PROFILE'); ?></option>
					<option value="Ticket Template"><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_TICKET_TEMPLATE'); ?></option>
					<option value="Buy Ticket"><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_TICKET_BUY_TICKET'); ?></option>
					<option value="Ticket Listing(Receipt)"><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_TICKET_TICKET_LISTING_RECEIPT'); ?></option>
				</select>
			</div>
		</div>
	</div>
</div>
<div class="row mt-3 mb-4">
	<div class="col-md-2 report_type_each_row">
	</div>
	<div class="col-md-2">
		<button type="reset" id="btn-reset-all" class='btn-default form-control' onclick="reset_search();"><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_RESET'); ?></button>
	</div>
	<div class="col-md-2">
		<button type="submit" class='btn-primary form-control' onclick="search();"><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_GENERATE'); ?></button>
	</div>
</div>
<div class="table-responsive">
	<table class="table table-bordered" id="data_table" width="100%" cellspacing="0">
		<thead>
		<tr>
			<th width="5%" data-columns-orderable="false">
				<?php echo \E::get('obj_kernel_lang')->get('TBL_NO'); ?>
			</th>
			<th>
				<?php echo \E::get('obj_curr_module_lang')->get('AUDIT_FUNC_NAME'); ?>
			</th>
			<th>
				<?php echo \E::get('obj_curr_module_lang')->get('AUDIT_EVENT'); ?>
			</th>
			<th>
				<?php echo \E::get('obj_curr_module_lang')->get('AUDIT_UDER_ID'); ?>
			</th>
			<th>
				<?php echo \E::get('obj_curr_module_lang')->get('AUDIT_AGENCY'); ?>
			</th>
			<th>
				<?php echo \E::get('obj_curr_module_lang')->get('AUDIT_LOCATION'); ?>
			</th>
			<th>
				<?php echo \E::get('obj_curr_module_lang')->get('AUDIT_DATE_TIME'); ?>
			</th>
		</tr>
		</thead>
		<tbody>
		</tbody>
	</table>
</div>
<div class="datatable_nav d-none-ni">
	<div class="custom_export_btn_container">
		<button class="btn btn-info" onclick="export_to('print')"><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_REPORT_PRINT_BTN_TEXT'); ?></button>
		<div class="btn-group" role="group" aria-label="Button group with nested dropdown">
			<div class="btn-group" role="group">
				<button id="btnGroupDrop1" type="button" class="btn btn-secondary dropdown-toggle export_to_btn_container" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
					<?php echo \E::get('obj_curr_module_lang')->get('AUDIT_REPORT_EXPORT_TO_BTN_TEXT'); ?>
				</button>
				<div class="dropdown-menu" aria-labelledby="btnGroupDrop1" id="eport_feature">
					<a class="dropdown-item" onclick="export_to('excel')" href="javascript:void(0);"><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_REPORT_EXPORT_TO_EXCEL_BTN_TEXT'); ?></a>
					<a class="dropdown-item" onclick="export_to('pdf')" href="javascript:void(0);"><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_REPORT_EXPORT_TO_PDF_BTN_TEXT'); ?></a>
				</div>
			</div>
		</div>
	</div>
</div>
<?php $v_agency_name = $v_agency_data['ag_name'];
if ($v_agency_name != '') {
	$v_agency_name = \E::get('obj_curr_module_lang')->get('AUDIT_REPORT_AGENCY_TITLE_ONLY'). $v_agency_name . ' \n';
}
?>
<script language="javascript">
	function generate_filter(p_filter_label_class, p_category_filter_selected_count) {
		var v_message_name = "";
		if (p_filter_label_class == "category_label") {
			v_message_name = "<?php echo \E::get('obj_curr_module_lang')->get('AUDIT_REPORT_USER_NAME_TITLE_ONLY');?>";
		}
		if (p_filter_label_class == "status_label") {
			v_message_name = "<?php echo \E::get('obj_curr_module_lang')->get('AUDIT_REPORT_FUNCTION_TITLE_ONLY');?>";
		}
		if (p_filter_label_class == "locations_label") {
			v_message_name = "<?php echo \E::get('obj_curr_module_lang')->get('AUDIT_REPORT_AGENCY_NAME_TITLE_ONLY');?>";
		}
		if (p_category_filter_selected_count != 0) {
			$("." + p_filter_label_class).addClass("filter_label_select_class");
			$("." + p_filter_label_class).parents('.form-group').find("i").attr('style', 'color: green !important');
			$("." + p_filter_label_class).parents('.form-group').find("label").attr('style', 'border: 2px solid green !important;  color: green !important; font-weight: bold !important;');
			$("." + p_filter_label_class).html(p_category_filter_selected_count + " " + v_message_name);
		} else {
			$("." + p_filter_label_class).removeClass("filter_label_select_class");
			$("." + p_filter_label_class).html(v_message_name);
			$("." + p_filter_label_class).parents('.form-group').find("i").attr('style', 'color: #6c757d !important');
			$("." + p_filter_label_class).parents('.form-group').find("label").attr('style', 'border: 1px solid #6c757d !important;  color: #6c757d!important; font-weight: 400 !important;');
		}
	}
	$(document).ready(function () {
		var v_category_filter_selected_count = 0;
		var v_locations_filter_selected_count = 0;
		$("#user_filter").on("select2:close", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("category_label", select_val.length);
		});
		$("#user_filter").on("select2:select", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("category_label", select_val.length);
		});
		$("#agency_filter").on("select2:close", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("locations_label", select_val.length);
		});
		$("#agency_filter").on("select2:select", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("locations_label", select_val.length);
		});
		$("#function_filter").on("select2:close", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("status_label", select_val.length);
		});
		$("#function_filter").on("select2:select", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("status_label", select_val.length);
		});
		$("#user_filter").select2({});
		$("#agency_filter").select2({});
		$("#function_filter").select2({});
		$('#select2_container_category_filter').hide();
		$('#select2_container_location_filter').hide();
		$('#select2_container_status_filter').hide();
	});
	var is_open_category = 0;
	var is_open_location = 0;
	var is_open_status = 0;
	$(document).on('click', '.filter_container', function (e) {
		if ($(this).data("id") === "user_filter") {
			if (is_open_category == 0) {
				is_open_category = 1;
				$('#select2_container_category_filter').fadeIn(700);
				$('#user_filter').select2('open');
				$(".category_name_arrow").removeClass("fa-chevron-down");
				$(".category_name_arrow").addClass("fa-chevron-up");
			} else {
				is_open_category = 0;
				$('#select2_container_category_filter').fadeOut(300);
				$('#user_filter').select2('close');
				$(".category_name_arrow").removeClass("fa-chevron-up");
				$(".category_name_arrow").addClass("fa-chevron-down");
			}
			is_open_location = 0;
			is_open_status = 0;
			$('#select2_container_location_filter').hide(500);
			$('#select2_container_status_filter').hide(500);
			$(".location_name_arrow").removeClass("fa-chevron-up");
			$(".location_name_arrow").addClass("fa-chevron-down");
			$(".status_filter_arrow").removeClass("fa-chevron-up");
			$(".status_filter_arrow").addClass("fa-chevron-down");
		} else if ($(this).data("id") === "agency_filter") {
			if (is_open_location == 0) {
				is_open_location = 1;
				$('#select2_container_location_filter').fadeIn(700);
				$('#agency_filter').select2('open');
				$(".location_name_arrow").removeClass("fa-chevron-down");
				$(".location_name_arrow").addClass("fa-chevron-up");
			} else {
				is_open_location = 0;
				$('#select2_container_location_filter').fadeOut(300);
				$('#agency_filter').select2('close');
				$(".location_name_arrow").removeClass("fa-chevron-up");
				$(".location_name_arrow").addClass("fa-chevron-down");
			}
			is_open_category = 0;
			is_open_status = 0;
			$('#select2_container_category_filter').hide(500);
			$('#select2_container_status_filter').hide(500);
			$(".category_name_arrow").removeClass("fa-chevron-up");
			$(".category_name_arrow").addClass("fa-chevron-down");
			$(".status_filter_arrow").removeClass("fa-chevron-up");
			$(".status_filter_arrow").addClass("fa-chevron-down");
		} else if ($(this).data("id") === "function_filter") {
			if (is_open_status == 0) {
				is_open_status = 1;
				$('#select2_container_status_filter').fadeIn(700);
				$('#function_filter').select2('open');
				$(".status_filter_arrow").removeClass("fa-chevron-down");
				$(".status_filter_arrow").addClass("fa-chevron-up");
			} else {
				is_open_status = 0;
				$('#select2_container_status_filter').fadeOut(300);
				$('#function_filter').select2('close');
				$(".status_filter_arrow").removeClass("fa-chevron-up");
				$(".status_filter_arrow").addClass("fa-chevron-down");
			}
			is_open_category = 0;
			is_open_location = 0;
			$('#select2_container_category_filter').hide(500);
			$('#select2_container_location_filter').hide(500);
			$(".location_name_arrow").removeClass("fa-chevron-up");
			$(".location_name_arrow").addClass("fa-chevron-down");
			$(".category_name_arrow").removeClass("fa-chevron-up");
			$(".category_name_arrow").addClass("fa-chevron-down");
		}
	});
	var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('audit', 'list_ajax'); ?>';
	var v_cookie_name = "<?php echo \U::generateUniqueCookieName(MOONLIGHT_DNS_PATH . MOONLIGHT_FOLDER_PATH); ?>_admin_list_user";
	var v_list;
	var v_init = false;
	var v_init_page = 0;
	var v_init_usr_name, v_init_usr_email, v_init_usr_new_ic_no, v_init_short_name, v_init_usr_group, v_init_usr_agency,
		v_init_usr_branch, v_init_usr_authentic_method, v_init_usr_status;
	$(document).ready(
		function () {
			var report_filters_data = "";
			var v_agency_name = "<?php echo $v_agency_name;?>";
			<?php
			$v_session_msg_title = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			$v_session_msg = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			$v_session_msg_status = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			if($v_session_msg_title != '' && $v_session_msg != ''){
			?>
			Swal.fire({
				icon: '<?php echo isset($v_session_msg_status) ? $v_session_msg_status : 'error';?>',
				title: '<?php echo $v_session_msg_title;?>',
				html: '<?php echo $v_session_msg;?>',
				customClass: {
					confirmButton: "bg-primary"
				}
			});
			<?php
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			}
			?>
			var c_date = '<?php echo date("d/m/Y H:i:s");?>';
			var currentdate = new Date();
			var datetime = currentdate.getDate() + "/" + (currentdate.getMonth() + 1) + "/" + currentdate.getFullYear();
			v_list = $('#data_table').DataTable({
				"pagingType": "full_numbers",
				"language": {
					"paginate": {
						"previous": "Previous"
					}
				},
				dom: '<"dt-top-container"<l><"dt-center-in-div"B><f>r>t<"dt-filter-spacer"f><ip>',
				buttons: [
					{
						extend: 'excel',
						footer: true,
						action: newExportAction,
						filename: 'Audit Trail Report-' + datetime,
						title: "eTicketing System -  Audit Trail Report\n" + "Agency: Sarawak Forestry Corporation \n" + v_agency_name + "" + report_filters_data + "Date: " + c_date + "",
					},
					{
						extend: 'pdfHtml5',
						title: " ",
						footer: true,
						action: newExportAction,
						filename: 'Audit Trail Report-' + datetime,
						pageSize: 'A4',
						orientation: 'portrait',
						customize: function (doc) {
							if (report_filters_data != '') {
								report_filters_data = report_filters_data + ' \n';
							}
							doc.content[1].table.body[0][0].alignment = 'left';
							doc.content[1].table.body[0][1].alignment = 'left';
							doc.content[1].table.body[0][2].alignment = 'left';
							doc.content[1].table.body[0][3].alignment = 'left';
							doc.content[1].table.body[0][4].alignment = 'left';
							doc.content[1].table.body[0][5].alignment = 'left';
							doc.content[1].table.body[0][6].alignment = 'left';
							doc.content[1].table.widths = ['4%', '20%', '8%', '10%', '15%', '15%', '26%'];
							doc.content.splice(0, 1, {
								text: [{
									text: 'eTicketing System - Audit Trail Report \n',
									bold: true,
									fontSize: 25
								}, {
									text: "Agency: Sarawak Forestry Corporation \n",
									bold: true,
									fontSize: 13
								}, {
									text: v_agency_name,
									bold: false,
									fontSize: 11
								}, {
									text: report_filters_data,
									bold: false,
									fontSize: 11
								}, {
									text: 'Date: ' + c_date,
									bold: false,
									fontSize: 11
								}],
								margin: [0, 0, 0, 12],
								alignment: 'center'
							});
						},
					},
					{
						extend: 'print',
						autoPrint: false,
						title: " ",
						messageTop: function () {
							return "<div style='font-size: 25px;text-align: center;margin-bottom: 0px;font-weight: bold;'>eTicketing System -  Audit Trail Report</div><div style='font-size: 15px;text-align: center;margin-bottom: 0px;font-weight:bold;'>Agency: Sarawak Forestry Corporation</div><div style='font-size: 15px;text-align: center;margin-bottom: 0px;font-weight:bold;'>" + v_agency_name + "</div><div style='font-size: 15px;text-align: center;margin-bottom: 0px;font-weight: normal;'>" + report_filters_data + "</div><div style='font-size: 15px;text-align: center;margin-bottom: 10px;font-weight:normal;'>Date: " + c_date + "</div>";
						},
						footer: true,
						action: newExportAction,
						filename: 'Audit Trail Report-' + datetime,
						exportOptions: {stripNewlines: false, stripHtml: false, columns: ':visible'}
					}
				],
				"lengthMenu": [
					[10, 25, 50, -1],
					[10, 25, 50, "All"]
				],
				"responsive": {
					details: {
						display: $.fn.dataTable.Responsive.display.childRowImmediate,
						type: 'none',
						target: ''
					}
				},
				"searching": false,
				"processing": true,
				"serverSide": true,
				"deferRender": true,
				"deferLoading": true,
				"stateSave": true,
				"stateSaveParams": function (settings, data) {
				},
				"stateLoaded": function (settings, data) {
					v_init_page = data.start;
				},
				"ajax": {
					url: v_list_url,
					dataSrc: 'data',
					type: 'GET',
					data: function (d) {
						d['date_range'] = $('#date_range_dates').val();
						d['user_filter'] = $('#user_filter').val();
						d['agency_filter'] = $('#agency_filter').val();
						d['function_filter'] = $('#function_filter').val();
						if (v_init == true) {
							d['start'] = v_init_page;
						}
					},
					done: function (data) {
					},
					error: function (err) {
						if (err.responseText.includes('REQUIRED_LOGIN')) {
							window.location = '<?php echo \E::get('obj_curr_module')->build_action_path('user', 'list');?>';
						}
					}
				},
				"drawCallback": function (settings) {
					$("#data_table_info").append($(".datatable_nav").html());
					report_filters_data = generate_filter_data_report();
					if (v_init == true) {
						v_init = false;
						var v_info_init = v_list.page.info();
						$('#manual_paging').attr('max', v_info_init.pages).attr('min', 1);
						$('#manual_paging').on('keypress', function (e) {
							if (e.which == 13) {
								var v_info = v_list.page.info();
								if ($('#manual_paging').val() != '' && $('#manual_paging').val() <= v_info.pages && $('#manual_paging').val() > 0) {
									v_list.page(($('#manual_paging').val() - 1)).draw('page');
								}
							}
						});
					}
				},
				"columns": [
					{"data": 'no', "orderable": false},
					{"data": 'function_name'},
					{"data": 'short_name'},
					{"data": 'usr_name'},
					{"data": 'agency'},
					{"data": 'location'},
					{"data": 'data_created'},
				],
				"order": [1, "desc"],
				"initComplete": function (settings, json) {
					v_init = true;
					$("div.mpage").html('<input type="number" id="manual_paging" class="text-center" value="" style="width:50px;">');
				}
			}).on('page.dt', function () {
				var v_info = v_list.page.info();
				$('#manual_paging').val((v_info.page + 1));
			}).on('length.dt', function (e, settings, len) {
				var v_info = v_list.page.info();
				$('#manual_paging').attr('max', v_info.pages);
			});
			var v_state = v_list.state.loaded();
			if (v_state) {
				v_init = true;
				v_list.ajax.reload(null, false);
			} else {
				v_list.ajax.reload();
			}
		}
	);
	function generate_filter_data_report() {
		var agency = "";
		$("#select2-agency_filter-container li").each(function (index) {
			if (index == 0) {
				agency += "<?php echo \E::get('obj_curr_module_lang')->get('AUDIT_REPORT_AGENCY_TITLE_ONLY');?> ";
			}
			if (index != 0) {
				agency += ",";
			}
			agency += $(this).attr("title");
		});
		var functions_filter = "";
		$("#select2-function_filter-container li").each(function (index) {
			if (index == 0) {
				if (agency != '') {
					functions_filter += " | ";
				}
				functions_filter += "<?php echo \E::get('obj_curr_module_lang')->get('AUDIT_REPORT_FUNCTION_COLOUN_TITLE_ONLY');?>";
			}
			if (index != 0) {
				functions_filter += ",";
			}
			functions_filter += $(this).attr("title");
		});
		var user_id_name = "";
		$("#select2-user_filter-container li").each(function (index) {
			if (index == 0) {
				if (functions_filter != '' || agency != '') {
					user_id_name += " | ";
				}
				user_id_name += "User Name: ";
			}
			if (index != 0) {
				user_id_name += ",";
			}
			user_id_name += $(this).attr("title");
		});
		if (agency == "" && functions_filter == "" && user_id_name == "") {
			return "";
		} else {
			return "Filters: " + agency + "" + functions_filter + "" + user_id_name;
		}
	}
	function newExportAction(e, dt, button, config) {
		var self = this;
		var oldStart = dt.settings()[0]._iDisplayStart;
		dt.one('preXhr', function (e, s, data) {
			data.start = 0;
			data.length = 2147483647;
			dt.one('preDraw', function (e, settings) {
				if (button[0].className.indexOf('buttons-copy') >= 0) {
					$.fn.dataTable.ext.buttons.copyHtml5.action.call(self, e, dt, button, config);
				} else if (button[0].className.indexOf('buttons-excel') >= 0) {
					$.fn.dataTable.ext.buttons.excelHtml5.available(dt, config) ?
						$.fn.dataTable.ext.buttons.excelHtml5.action.call(self, e, dt, button, config) :
						$.fn.dataTable.ext.buttons.excelFlash.action.call(self, e, dt, button, config);
				} else if (button[0].className.indexOf('buttons-csv') >= 0) {
					$.fn.dataTable.ext.buttons.csvHtml5.available(dt, config) ?
						$.fn.dataTable.ext.buttons.csvHtml5.action.call(self, e, dt, button, config) :
						$.fn.dataTable.ext.buttons.csvFlash.action.call(self, e, dt, button, config);
				} else if (button[0].className.indexOf('buttons-pdf') >= 0) {
					$.fn.dataTable.ext.buttons.pdfHtml5.available(dt, config) ?
						$.fn.dataTable.ext.buttons.pdfHtml5.action.call(self, e, dt, button, config) :
						$.fn.dataTable.ext.buttons.pdfFlash.action.call(self, e, dt, button, config);
				} else if (button[0].className.indexOf('buttons-print') >= 0) {
					$.fn.dataTable.ext.buttons.print.action(e, dt, button, config);
				}
				dt.one('preXhr', function (e, s, data) {
					settings._iDisplayStart = oldStart;
					data.start = oldStart;
				});
				setTimeout(dt.ajax.reload, 0);
				return false;
			});
		});
		dt.ajax.reload();
	};
	function search() {
		v_list.ajax.reload();
	}
	function export_to(export_name) {
		$(".buttons-" + export_name).trigger("click");
	}
	function reset_search() {
		$('#date_range_dates').val('');
		$("#user_filter").val(null).trigger("change");
		$("#agency_filter").val(null).trigger("change");
		$("#function_filter").val(null).trigger("change");
		$("label.filter_label_select_class").attr('style', 'border: 1px solid #6c757d !important;color: gray !important;font-weight: normal !important;');
		$(".category_name_arrow,.location_name_arrow,.status_filter_arrow").css("color", "gray");
		$(".category_name_arrow,.location_name_arrow,.status_filter_arrow").addClass("fa-chevron-down");
		$(".category_name_arrow,.location_name_arrow,.status_filter_arrow").removeClass("fa-chevron-up");
		$(".category_label").html("User Name");
		$(".locations_label").html("Agency Name");
		$(".status_label").html("Function");
		$('#select2_container_category_filter').hide(500);
		$('#select2_container_location_filter').hide(500);
		$('#select2_container_status_filter').hide(500);
		$('#user_filter').select2('close');
		is_open_category = 0;
		is_open_location = 0;
		is_open_status = 0;
		v_list.ajax.reload();
	}
	var d = new Date();
	var month = d.getMonth() + 1;
	var day = d.getDate();
	var output = d.getFullYear() + '/' +
		(('' + month).length < 2 ? '0' : '') + month + '/' +
		(('' + day).length < 2 ? '0' : '') + day;
	$(function () {
		$("#date_range").flatpickr(
			{
				mode: "range",
				dateFormat: "Y-m-d",
				onChange: function (selectedDates, dateStr, instance) {
					$("#date_range_dates").val(dateStr);
				}
			}
		);
	});
</script>