<?php
$v_access_view = \E::get('obj_curr_module')->ajax_validation_check_permission("view");
if( !$v_access_view ){
	\V::append_data( 'body', \V::load_box( \E::get( 'obj_curr_module_lang')->get('MODULE_AUTHORISED_ERROR'), \V::load_view( $this->get_view_file_path( 'msg_not_authorised', 'share' ), $v_object, $v_var ), 'box_form.php' ) );
	\V::output_view( 'template_login.php' );
	exit;
}
define( 'SP_PUBLIC_KEY',        __DIR__."/key/sarawakpay_public_key.pub");
define( 'MERCHANT_PUBLIC_KEY', 	__DIR__."/key/merchant_public_key.pub");
define( 'MERCHANT_PRIVATE_KEY', __DIR__."/key/merchant_private_key.pem");
require_once('Encryption.php');
if (isset($_GET['transaction_number']) && $_GET['transaction_number'] != NULL) {
	if (isset($_GET['selected_location']) && $_GET['selected_location'] != "") {
		$v_merchant_id = \E::get('obj_curr_module')->buy_ticket_get_merchant_id($_GET['selected_location']);
		if( isset($v_merchant_id['merchant_id']) && $v_merchant_id['merchant_id'] != '' && $v_merchant_id['merchant_id'] != NULL ) {	
			if( isset($v_merchant_id['v_merchant_private_key']) && $v_merchant_id['v_merchant_private_key'] != '' && $v_merchant_id['v_merchant_private_key'] != NULL ) {
				$transaction_number = $_GET['transaction_number'];
				if( strlen($transaction_number) == 20 ) {
					if( isset($_GET['payment_method_option']) && $_GET['payment_method_option'] != '' ) {
						$v_bar_code_payment_action_query_order = \E::get('obj_curr_module')->buy_ticket_get_code_table_vallue_by_key_name("bar_code_payment_action_query_order");
						$v_spay_global_key = \E::get('obj_curr_module')->buy_ticket_get_code_table_vallue_by_key_name("spay_global_key");

						if( $_GET['payment_method_option'] == 2 ) {
							$v_transaction_ref_no = \E::get('obj_curr_module')->buy_ticket_check_transaction_number_validity($transaction_number);
							if( $v_transaction_ref_no > 0 ) {
								$response = array();
								$response['ResStatus'] = 1;
								$response['ResMsg'] = \E::get('obj_curr_module_lang')->get('BUY_TICKET_SORRY_TASNACTION_NUMBER_IS_EXPIRED');
								echo json_encode($response);
								return;
							} else {
								$data = [
									"merchantId"	=> "M".$v_merchant_id['merchant_id'],
									"merOrderNo"	=> "",
									"orderNo"		=> $transaction_number
								];
								$data = json_encode($data, 320);
								$signedData = json_decode($data, true, 512, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);
								// $signedData['sign'] = Encryption::generateSignature($data, MERCHANT_PRIVATE_KEY);
								$signedData['sign'] = \E::get('obj_curr_module')->buy_ticket_generateSignature($data, $v_merchant_id['v_merchant_private_key']);
								// $encryptedData = Encryption::encrypt(json_encode($signedData, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES), SP_PUBLIC_KEY);
								$encryptedData = \E::get('obj_curr_module')->buy_ticket_encrypt(json_encode($signedData, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES), $v_spay_global_key['key_value']);
								$payload = "FAPView=JSON&formData=" . str_replace('+', '%2B', $encryptedData);
								$ch = curl_init();
								curl_setopt($ch, CURLOPT_URL, $v_bar_code_payment_action_query_order['key_value']);
								curl_setopt($ch, CURLOPT_POST, 1);
								curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
								curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
								$response = curl_exec($ch);
								curl_close ($ch);
								if( $response != "" ) {
									// $decrypted_response = Encryption::decrypt($response, MERCHANT_PRIVATE_KEY);
									$decrypted_response = \E::get('obj_curr_module')->buy_ticket_decrypt($response, $v_merchant_id['v_merchant_private_key']);
									// if (Encryption::verifySignature($decrypted_response, SP_PUBLIC_KEY)) {
									if (\E::get('obj_curr_module')->buy_ticket_verifySignature($decrypted_response, $v_spay_global_key['key_value'])) {
									    echo $decrypted_response;
									}
								} else {
									echo "wrong_details_merchant_id";
								}
							}
						} else {
							$v_transaction_ref_no = \E::get('obj_curr_module')->buy_ticket_check_transaction_number_validity($transaction_number);
							$response = array();
							if( $v_transaction_ref_no > 0 ) {
								$response['ResStatus'] = 1;
								$response['ResMsg'] = \E::get('obj_curr_module_lang')->get('BUY_TICKET_SORRY_TASNACTION_NUMBER_IS_EXPIRED');
								echo json_encode($response);
								return;
							} else {
								$data = [
									"merchantId"	=> "M".$v_merchant_id['merchant_id'],
									"merOrderNo"	=> "",
									"orderNo"		=> $transaction_number
								];
								$data = json_encode($data, 320);
								$signedData = json_decode($data, true, 512, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);
								
								// $signedData['sign'] = Encryption::generateSignature($data, MERCHANT_PRIVATE_KEY);
								$signedData['sign'] = \E::get('obj_curr_module')->buy_ticket_generateSignature($data, $v_merchant_id['v_merchant_private_key']);
								
								// $encryptedData = Encryption::encrypt(json_encode($signedData, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES), SP_PUBLIC_KEY);
								$encryptedData = \E::get('obj_curr_module')->buy_ticket_encrypt(json_encode($signedData, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES), $v_spay_global_key['key_value']);
								
								$payload = "FAPView=JSON&formData=" . str_replace('+', '%2B', $encryptedData);
								$ch = curl_init();
								curl_setopt($ch, CURLOPT_URL, $v_bar_code_payment_action_query_order['key_value']);
								curl_setopt($ch, CURLOPT_POST, 1);
								curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
								curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
								$response = curl_exec($ch);
								curl_close ($ch);
								if( $response != "" ) {
									// $decrypted_response = Encryption::decrypt($response, MERCHANT_PRIVATE_KEY);
									$decrypted_response = \E::get('obj_curr_module')->buy_ticket_decrypt($response, $v_merchant_id['v_merchant_private_key']);
									
									// if (Encryption::verifySignature($decrypted_response, SP_PUBLIC_KEY)) {
									if (\E::get('obj_curr_module')->buy_ticket_verifySignature($decrypted_response, $v_spay_global_key['key_value'])) {
									    echo $decrypted_response;
									}
								} else {
									echo "wrong_details_merchant_id";
								}
							}
						}
					}
				}
			}  else {
				echo "merchant_private_key_not_found";
			}
		} else {
			echo "wrong_details_merchant_id";
		}
	}
}
if (isset($_GET['qr_code_number']) && $_GET['qr_code_number'] != NULL) {
	$v_qr_code_number = $_GET['qr_code_number'];
	if (isset($_GET['selected_location']) && $_GET['selected_location'] != "") {
		$v_merchant_id = \E::get('obj_curr_module')->buy_ticket_get_merchant_id($_GET['selected_location']);
		if( isset($v_merchant_id['merchant_id']) && $v_merchant_id['merchant_id'] != '' && $v_merchant_id['merchant_id'] != NULL ) {	
			if( isset($v_merchant_id['v_merchant_private_key']) && $v_merchant_id['v_merchant_private_key'] != '' && $v_merchant_id['v_merchant_private_key'] != NULL ) {
				if( is_numeric($v_qr_code_number) ) {
					if( strlen($v_qr_code_number) == 18 ) {
						if( isset($_GET['v_price']) && $_GET['v_price'] != '' && $_GET['v_price'] != NULL ) {
							$v_bar_code_payment_action_create_order = \E::get('obj_curr_module')->buy_ticket_get_code_table_vallue_by_key_name("bar_code_payment_action_create_order");
							$v_spay_global_key = \E::get('obj_curr_module')->buy_ticket_get_code_table_vallue_by_key_name("spay_global_key");
							$v_notify_url = \E::get('obj_curr_module')->buy_ticket_get_code_table_vallue_by_key_name("notify_url");
							$v_price = $_GET['v_price'];
							require_once('Encryption.php');
							$data = [
							    'merchantId'        => "M".$v_merchant_id['merchant_id'],
							    'qrCode'            => $v_qr_code_number, 
							    'curType'           => \E::get('obj_curr_module_lang')->get('BUY_TICKET_CURRENCY_CODE_LANG'),
							    'notifyURL'         => $v_notify_url['key_value'],
							    'merOrderNo'        =>  uniqid(),
							    'goodsName'         => \E::get('obj_curr_module_lang')->get('BUY_TICKET_ETICKETING_SYSTEM'),
							    'orderAmt'          => $v_price,
							    'remark'            => \E::get('obj_curr_module_lang')->get('BUY_TICKET_GENERATE_ORDER_FOR_SYSTEM'),
							    'transactionType'   => '1',
							];
							$data = json_encode($data, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);
							$signedData = json_decode($data, true, 512, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);
							// $signedData['sign'] = Encryption::generateSignature($data, MERCHANT_PRIVATE_KEY);
							$signedData['sign'] = \E::get('obj_curr_module')->buy_ticket_generateSignature($data, $v_merchant_id['v_merchant_private_key']);
							// $encryptedData = Encryption::encrypt(json_encode($signedData, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES), SP_PUBLIC_KEY);
							$encryptedData = \E::get('obj_curr_module')->buy_ticket_encrypt(json_encode($signedData, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES), $v_spay_global_key['key_value']);
							$payload = "FAPView=JSON&formData=" . str_replace('+', '%2B', $encryptedData);
							$ch = curl_init();
							curl_setopt($ch, CURLOPT_URL, $v_bar_code_payment_action_create_order['key_value']);
							curl_setopt($ch, CURLOPT_POST, 1);
							curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
							curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
							$response = curl_exec($ch);
							curl_close ($ch);
							if( $response != "") {
								// $decrypted_response = Encryption::decrypt($response, MERCHANT_PRIVATE_KEY);
								$decrypted_response = \E::get('obj_curr_module')->buy_ticket_decrypt($response, $v_merchant_id['v_merchant_private_key']);
								// if (Encryption::verifySignature($decrypted_response, SP_PUBLIC_KEY)) {
								if (\E::get('obj_curr_module')->buy_ticket_verifySignature($decrypted_response, $v_spay_global_key['key_value'])) {
									echo $decrypted_response;
								}
							} else {
								echo "wrong_details_merchant_id";
							}
						}
					}
				}
			}  else {
				echo "merchant_private_key_not_found";
			}
		} else {
			echo "wrong_details_merchant_id";
		}
	}
}
if (isset($_GET['payment_mode_type_form']) && $_GET['payment_mode_type_form'] != NULL) {
	if( $_GET['payment_mode_type_form'] == "merchant_scan_customer" || $_GET['payment_mode_type_form'] == "customer_scan_merchant" ) {
		$v_var['payment_mode_type'] = $_GET['payment_mode_type_form'];
		$html = \V::load_view($this->get_view_file_path("payment_mode_type_form"), $v_object, $v_var);
		echo $html;
	}
}
if (isset($_POST['transaction_id']) && $_POST['transaction_id'] != NULL) {
	
	$v_ticket_id = $_POST['transaction_id'];
	$v_var = array();
	$v_tickets_receipt_data = array();
	$v_tickets_data = array();
	$v_tidcket_data = \E::get('obj_curr_module')->buy_ticket_reprint_ticket($v_ticket_id);
	if( $v_tidcket_data != '' ) {
		array_push($v_tickets_receipt_data, $v_tidcket_data);
	}
	$v_tidcket_profile_data = \E::get('obj_curr_module')->buy_ticket_reprint_ticket_receipts($v_ticket_id);
	if( $v_tidcket_profile_data != '' ) {
		array_push($v_tickets_data, $v_tidcket_profile_data);
	}
	$v_website_name = \E::get('obj_curr_module')->buy_ticket_get_code_table_vallue_by_key_name("website_name");
	$v_sender_email_address_for_ticket = \E::get('obj_curr_module')->buy_ticket_get_code_table_vallue_by_key_name("sender_email_address_for_buy_ticket");
	$v_location_data = \E::get('obj_curr_module')->user_group_location_list();
	$v_ticket_category_data = \E::get('obj_curr_module')->ticket_category_get_all_categories();
	$v_var['category_data'] = $v_ticket_category_data;
	$v_var['location_data'] = $v_location_data;
	$v_var['tickets_receipt_data'] = $v_tickets_receipt_data;
	$v_var['tickets_data'] = $v_tickets_data;
	$v_var['website_name'] = $v_website_name['key_value'];
	$v_var['sender_email_address_for_buy_ticket'] = $v_sender_email_address_for_ticket['key_value'];

	$attachements = array();
	if( ($v_tickets_receipt_data[0][0]['is_email_sent'] == 0) && ($v_tickets_receipt_data[0][0]['contacted_person_email'] != '') ) {
		// IMAGE NAME 1 STARTS
		$v_tmp = tempnam("/tmp", "img");
		$v_base64_images_string = $_POST['ticket_email_receipt_image_base_64_string'];
		$v_base64_complete_string = base64_decode(preg_replace('#^data:image/\w+;base64,#i', '', $v_base64_images_string));
		file_put_contents($v_tmp, $v_base64_complete_string);
		$attachements[0]['file_content'] = file_get_contents($v_tmp);
		$attachements[0]['file_type'] = "image/png";
		$attachements[0]['file_name'] = "ticket_receipt.png";
			
		$v_file['type']='image/png';
		$v_file['name']='ticket_receipt.png';
		$v_file['size']=filesize($v_tmp);
		$v_file['tmp_name']=$v_tmp;
		$v_file['error'] = 0;
		$v_att['master_id'] = "ticket_receipt".$_POST['transaction_id'];
		$v_str_now = date("Y-m-d H:i:s");
		$v_att['_rec_status'] = 'SHOW';
		$v_att['_rec_created_by'] = \E::get_session('usr_id');
		$v_att['_rec_created_on'] = $v_str_now;
		$v_att['_rec_modified_by'] = \E::get_session('usr_id');
		$v_att['_rec_modified_on'] = $v_str_now;
		$v_att_id = \E::get('obj_curr_module')->att_add($v_att);
		$v_table_info['tbl_id'] = $v_att_id;	
		$v_table_info['tbl_name'] = "t_eticket_att";
		$v_table_info['_rec_created_by'] = \E::get_session('usr_id');
		$v_obj_setting['obj'] = \E::get('obj_curr_module');
		$v_att_info_receipt = \A::attachment_upload($v_obj_setting, $v_file, $v_table_info);
		$v_att['sftp_par_id'] = $v_att_info_receipt['id'];
		$v_att['_rec_modified_by'] = \E::get_session('usr_id');
		$v_att['_rec_modified_on'] = $v_str_now;
		\E::get('obj_curr_module')->att_edit($v_att,$v_att_id);
	// IMAGE NAME 1 ENDS

	// IMAGE NAME 1 STARTS
		$v_tmp = tempnam("/tmp", "img");
		$v_base64_images_string = $_POST['ticket_email_image_base_64_string'];
		$v_base64_complete_string = base64_decode(preg_replace('#^data:image/\w+;base64,#i', '', $v_base64_images_string));
		file_put_contents($v_tmp, $v_base64_complete_string);
		$attachements[1]['file_content'] = file_get_contents($v_tmp);
		$attachements[1]['file_type'] = "image/png";
		$attachements[1]['file_name'] = "ticket_tickets.png";
		$v_file['type']='image/png';
		$v_file['name']='ticket_tickets.png';
		$v_file['size']=filesize($v_tmp);
		$v_file['tmp_name']=$v_tmp;
		$v_file['error'] = 0;
		$v_att['master_id'] = "ticket_tickets".$_POST['transaction_id'];
		$v_str_now = date("Y-m-d H:i:s");
		$v_att['_rec_status'] = 'SHOW';
		$v_att['_rec_created_by'] = \E::get_session('usr_id');
		$v_att['_rec_created_on'] = $v_str_now;
		$v_att['_rec_modified_by'] = \E::get_session('usr_id');
		$v_att['_rec_modified_on'] = $v_str_now;
		$v_att_id = \E::get('obj_curr_module')->att_add($v_att);
		$v_table_info['tbl_id'] = $v_att_id;	
		$v_table_info['tbl_name'] = "t_eticket_att";
		$v_table_info['_rec_created_by'] = \E::get_session('usr_id');
		$v_obj_setting['obj'] = \E::get('obj_curr_module');
		$v_att_info_tickets = \A::attachment_upload($v_obj_setting, $v_file, $v_table_info);
		$v_att['sftp_par_id'] = $v_att_info_tickets['id'];
		$v_att['_rec_modified_by'] = \E::get_session('usr_id');
		$v_att['_rec_modified_on'] = $v_str_now;
		\E::get('obj_curr_module')->att_edit($v_att,$v_att_id);
		unset($v_att);
	// IMAGE NAME 1 ENDS

	// $html = $v_image_path_receipt1;
	// $html .= $v_image_path_receipt;
		// $html; //Compelte HTML for Email
		$sender = $v_sender_email_address_for_ticket['key_value'];
		$to = $v_tickets_receipt_data[0][0]['contacted_person_email'];
		$subject = \E::get('obj_curr_module_lang')->get('BUY_TICKET_EMAIL_SUBJECT');
		$message = "Thank you for purchasing the tickets, <br />Please find the attachment for your tickets.";
		$cc = "";
		$ishtml = "Yes";
		$bcc = "";
		$attachment = $attachements;
		$p_reply_to = "";
		\U::send_mail($sender,$to,$subject,$message,$cc,$ishtml,$bcc,$attachment,$p_reply_to);
	} else if( $v_tickets_receipt_data[0][0]['contacted_person_email'] == '' ) {
		echo "email_address_is_blank";
	} else {
		echo "email_already_sent";
	}
	$v_tidcket_profile_data = \E::get('obj_curr_module')->buy_ticket_update_email_status($v_ticket_id,"tickets_receipt".$_POST['transaction_id'],"tickets_ticket".$_POST['transaction_id']);
}
if (isset($_GET['p_location_id']) && $_GET['p_location_id'] != NULL) {
	$v_location_id = $_GET['p_location_id'];
	$v_code_table_category_types = \E::get('obj_curr_module')->ajax_validation_code_table_data("ticket_category");
	if( isset($v_code_table_category_types) && count($v_code_table_category_types) > 0 ) {
		$v_payment_methods = \E::get('obj_curr_module')->payment_method_all($v_location_id);
		$v_var['location_id'] = $v_location_id;
		$v_var['code_table_category_types'] = $v_code_table_category_types;
		$v_var['payment_methods'] = $v_payment_methods;
		\V::append_data('body', \V::load_view($this->get_view_file_path("location_select_response"), $v_object, $v_var));
		\V::output_view('template_blank.php');
	}
}
if (isset($_GET['v_ticket_save_status']) && $_GET['v_ticket_save_status'] != NULL) {
	$v_ticket_save_status = $_GET['v_ticket_save_status'];
	$v_agency_code = "";
	$v_location_code = "";
	$v_sequence_number = \E::get('obj_curr_module')->ajax_validation_check_ticket_sequence();
	if( $v_sequence_number != "" ) {
		$v_cond['usr_id'] = \E::get_session('usr_id');
		$v_check_info = \E::get('obj_system_module')->user_get($v_cond);
		if( isset($v_check_info['location']) && $v_check_info['location'] != '' ) {
			$v_location_data = \E::get( 'obj_curr_module')->location_get_by_id($v_check_info['location']);
			if( isset($v_location_data['code']) && $v_location_data['code'] != '' ) {
				$v_location_code = $v_location_data['code'];
				$v_agency_data = \E::get('obj_curr_module')->agency_get_by_id( \E::get_session("c_user_agency_id") );
				if( isset($v_agency_data['ag_code']) && $v_agency_data['ag_code'] != '' ) {
					$v_agency_code = $v_agency_data['ag_code'];
					echo $v_agency_code.$v_location_code.$v_sequence_number."__".$v_agency_code.$v_sequence_number;
				}
			}
		}
	}
}
if (isset($_POST['v_save_ticket']) && $_POST['v_save_ticket'] === 'save') {
	if( isset($_POST['selected_quantity_list']) ) {
		if( count($_POST['selected_quantity_list']) > 0 ) {
			$response = \E::get('obj_curr_module')->buy_ticket_check_number_of_tickets_allowed($_POST);
			$limit_reached = $response['limit_reached'];
			$v_location_per_day_limit = $response['v_location_per_day_limit'];
			$v_used_tickets = $response['v_used_tickets'];
			$v_total_qty_added = $response['v_total_qty_added'];
			$v_select_location = $_POST['select_location'];
			if( $limit_reached == 1 ) {
				$v_remaining_tickets = ($v_location_per_day_limit-$v_used_tickets);
				if( $v_remaining_tickets == 0 ) {
					$v_message = \E::get('obj_curr_module_lang')->get('BUY_TICKET_LIMIT_REACHED_PER_DAY').$v_location_per_day_limit.\E::get('obj_curr_module_lang')->get('BUY_TICKET_LIMIT_REACHED_USED').$v_used_tickets.\E::get('obj_curr_module_lang')->get('BUY_TICKET_LIMIT_REACHED_CANNOT_PROCEED');
				} else {
					$v_message = \E::get('obj_curr_module_lang')->get('BUY_TICKET_LIMIT_REACHED_PER_DAY').$v_location_per_day_limit.\E::get('obj_curr_module_lang')->get('BUY_TICKET_LIMIT_REACHED_USED').$v_used_tickets.\E::get('obj_curr_module_lang')->get('BUY_TICKET_LIMIT_REACHED_NOW_PROCEED_WITH').$v_remaining_tickets.\E::get('obj_curr_module_lang')->get('BUY_TICKET_LIMIT_REACHED_MORE_TICKETS_ONLY').$v_total_qty_added.\E::get('obj_curr_module_lang')->get('BUY_TICKET_LIMIT_REACHED_ONLY_STRONG_TAG');
				}
				echo "limit_reached==".$v_message.".";
				die();
			} else {
				$v_get_inserted_id_transaction = "";
				$v_sequence_number = \E::get('obj_curr_module')->ajax_validation_get_ticket_sequence_transaction($v_select_location);
				$v_logged_in_user_id = \E::get_session('usr_id');
				$v_str_now = date("Y-m-d H:i:s");

				$v_add['select_location'] = $_POST['select_location'];
				if( \E::get_session("c_user_agency_id") != '' && \E::get_session("c_user_location_id") != '' ) {
					$v_add['select_location'] = \E::get_session("c_user_location_id");
				}

				$v_add['transaction_date'] = date("Y-m-d H:i:s");
				$v_add['receipt_no'] = date("Y-m-d H:i:s");
				$v_add['final_amount'] = $_POST['grand_total_record'];
				$v_add['received_amount'] = $_POST['person_charge'];
				$v_add['payment_method'] = $_POST['payment_method'];
				$v_add['email'] = $_POST['ticket_person_email'];
				$v_add['rec_status'] = 'SHOW';
				$v_add['rec_created_by'] = $v_logged_in_user_id;
				$v_add['rec_created_on'] = $v_str_now;
				$v_add['rec_modified_by'] = $v_logged_in_user_id;
				$v_add['rec_modified_on'] = $v_str_now;
				$v_add['sequence_number_transaction'] = $v_sequence_number;
				$v_add['transaction_ref_no'] = "";
				$v_add['transaction_response_data'] = "";
				$v_add['merchant_private_key'] = "";
				if( isset($_POST['payment_method']) && ($_POST['payment_method'] == 2 || $_POST['payment_method'] == 3) ) {
					if( isset($_POST['transaction_verified_status']) && $_POST['transaction_verified_status'] == 1 ) {
						if( $_POST['payment_method'] == 2 ) {
							if( isset($_POST['transaction_verified_json']) && $_POST['transaction_verified_json'] != "" && $_POST['transaction_verified_json'] != NULL ) {
								$v_add['transaction_response_data'] = $_POST['transaction_verified_json'];
								$json_data = json_decode($_POST['transaction_verified_json']);
								$v_add['transaction_ref_no'] = $json_data->orderNo;
							}
						} else if( $_POST['payment_method'] == 3 ) {
							if( isset($_POST['spay_global_transaction_number_against_bar_code']) && $_POST['spay_global_transaction_number_against_bar_code'] != '' ) {
								$v_add['transaction_ref_no'] = $_POST['spay_global_transaction_number_against_bar_code'];
							}
						}


						$v_merchant_id = \E::get('obj_curr_module')->buy_ticket_get_merchant_id($_POST['select_location']);
						if( isset($v_merchant_id['merchant_id']) && $v_merchant_id['merchant_id'] != '' && $v_merchant_id['merchant_id'] != NULL ) {	
							if( isset($v_merchant_id['v_merchant_private_key']) && $v_merchant_id['v_merchant_private_key'] != '' && $v_merchant_id['v_merchant_private_key'] != NULL ) {
								$v_add['merchant_private_key'] = $v_merchant_id['v_merchant_private_key'];
							}
						}

					}
				}

				$v_get_inserted_id_transaction = \E::get('obj_curr_module')->buy_ticket_transaction_save($v_add);
				if( isset($v_get_inserted_id_transaction) && $v_get_inserted_id_transaction != '' ) {
					foreach ($_POST['selected_quantity_list'] as $v_key => $v_each_profile_data) {
						$v_sequence_number = "";
						for ($v_i=0; $v_i<$v_each_profile_data['quantity']; $v_i++) {
							if( $v_i == 0 ) {
								$v_sequence_number = \E::get('obj_curr_module')->ajax_validation_get_ticket_sequence($v_each_profile_data['quantity']);
							} 
							if( $v_sequence_number != '' ) {
								$v_add['reference_number'] = $v_sequence_number++;
								$v_add['validity_date'] = date("Y-m-d");
								$v_add['calculated_price'] = $v_each_profile_data['price'];
								$v_add['purchase_price'] = $v_each_profile_data['price'];
								$v_add['profile_id'] = $v_each_profile_data['profile_id'];
								$v_add['quantity'] = $v_each_profile_data['quantity'];
								$v_add['sales_transaction_id'] = $v_get_inserted_id_transaction;
								$v_get_inserted_id_ticket = \E::get('obj_curr_module')->buy_ticket_save($v_add);
								if( isset($v_get_inserted_id_ticket) && $v_get_inserted_id_ticket != '' ) {
									$v_add['ticket_id'] = $v_get_inserted_id_ticket;
									$v_add['category_type'] = $v_each_profile_data['category_type'];
									$v_add['category_id'] = $v_each_profile_data['category_id'];
									$v_add['seleced_location'] = $v_select_location;
									$v_get_inserted_id_ticket_demographic = \E::get('obj_curr_module')->buy_ticket_demographic_info($v_add);
									$v_status = TRUE;
								}
							}	
						}
					}
				}
				\E::get('obj_curr_module')->user_group_add_logs_data($v_add, "Add", "Buy Ticket", NULL);
				if( $v_get_inserted_id_transaction != '' ) {?>
					<label class="btn buy_ticket_radio2 font-weight-normal bg-white reprint_btn_main">
						<input type="hidden" name="newly_ceated_transaction_id" id="newly_ceated_transaction_id" value="<?php echo \E::get('obj_curr_module')->build_action_path('buy_ticket', 'reprint', $v_get_inserted_id_transaction)?>">
		                <input type="radio" name="options" id="option2">
		                <a href="<?php echo \E::get('obj_curr_module')->build_action_path('buy_ticket', 'reprint', $v_get_inserted_id_transaction);?>">
		                    <span>
		                    	<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_PRINT_PRINTS_ONLY'); ?>
		                	</span>
		                </a>
		            </label>
					<?php
				}
			}
		}
	}
}
?>