<?php \I::load_error("MESSAGE");
$v_access_delete = \E::get('obj_curr_module')->ajax_validation_check_permission('delete');
$v_access_edit = \E::get('obj_curr_module')->ajax_validation_check_permission('edit');
$v_readoilny_status = "";
$v_edit_process_path = "";
if (isset($v_controller_name) && $v_controller_name == "view") {
	$v_readoilny_status = "readonly";
	$v_controller_name = $v_controller_name;
} else {
	$v_edit_process_path = \E::get('obj_curr_module')->build_action_path('location', 'edit', $v_id);
	$v_controller_name = "";
}
?>
	<form id="frm_acl" action="<?php echo $v_edit_process_path; ?>" name="frm_acl" method="post" enctype="multipart/form-data">
		<input type="hidden" name="old_value" value='<?php echo json_encode($v_view_data); ?>'>
		<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
			<div class="container-fluid">
				<div class="row mb-2">
					<div class="col-sm-12 breadcrumb_container">
						<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
							<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_BREADCRUMB_HOME'); ?>
						</a> /
						<a href="<?php echo \E::get('obj_curr_module')->build_action_path('system_administrator', 'list'); ?>">
							<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_BREADCRUMB_SETUP_CONFIGURATION'); ?>
						</a> /
						<a href="<?php echo \E::get('obj_curr_module')->build_action_path('agency_maintenance', 'list'); ?>">
							<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_BREADCRUMB_USER_AGENCY_MAINTENANCE'); ?>
						</a> /
						<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_PROFILE'); ?>
					</div>
					<div class="col-sm-12 pl-3 pt-3">
						<h5 class="m-0 pb-0 module_name">
							<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_PROFILE_EDIT'); ?>
						</h5>
					</div>
				</div>
			</div>
		</div>
		<hr/>
		<div class="row form-group">
			<label for="location_code" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_CODE'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<input type="text" class="form-control  compulsory" name="location_code" id="location_code" value="<?php echo \U::safe_display_string($v_view_data['code']); ?>" <?php echo $v_readoilny_status; ?> >
				<span class="text-danger" id="username_duplicate_check"></span>
			</div>
		</div>
		<div class="row form-group">
			<label for="location_name" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_NAME'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<input type="text" class="form-control  compulsory" name="location_name" id="location_name" value="<?php echo \U::safe_display_string($v_view_data['name']); ?>" <?php echo $v_readoilny_status; ?> >
				<span class="text-danger" id="username_duplicate_check_name"></span>
			</div>
		</div>
		<div class="row form-group">
			<label for="agency_id" class="col-sm-2 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('LOCATION_AGENCY_NAME'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<?php
				$v_agency_code = \U::safe_display_string($v_view_data['agency_id']);
				if (isset($v_location_useres_checking) && $v_location_useres_checking > 0) {?>
					<input type="hidden" name="agency_id" id="agency_id" value="<?php echo $v_agency_code;?>" /> 
				<?php }?>
				<select class="form-control compulsory" id="agency_id" name="agency_id" <?php echo $v_readoilny_status; ?> <?php if (isset($v_location_useres_checking) && $v_location_useres_checking > 0) {?> disabled title="<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_AGENCY_EDIT_ERROR'); ?>"><?php } ?> >
					<option value=""></option>
					<?php
					if (isset($v_agency_dta) && count($v_agency_dta) > 0) {
						foreach ($v_agency_dta as $v_key => $v_agency_dta) {
							if ($v_agency_dta['ag_id'] == $v_agency_code) { ?>
								<option selected value="<?php echo \U::safe_display_string($v_agency_dta['ag_id']); ?>"><?php echo \U::safe_display_string($v_agency_dta['ag_name']); ?></option>
								<?php
							} else { ?>
								<option value="<?php echo \U::safe_display_string($v_agency_dta['ag_id']); ?>"><?php echo \U::safe_display_string($v_agency_dta['ag_name']); ?></option>
								<?php
							}
						}
					} ?>
				</select>
			</div>
		</div>
		<div class="row form-group">
			<label for="contact_no" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_CONTACT_NO'); ?>
				. <span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<input type="number" class="form-control  compulsory" name="contact_no" id="contact_no" value="<?php echo \U::safe_display_string($v_view_data['contact_no']); ?>" <?php echo $v_readoilny_status; ?> >
			</div>
		</div>
		<div class="row form-group">
			<label for="fax" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_FAX'); ?></label>
			<div class="col-sm-5">
				<input type="number" class="form-control" name="fax" id="fax" value="<?php echo \U::safe_display_string($v_view_data['fax']); ?>" <?php echo $v_readoilny_status; ?> >
			</div>
		</div>
		<div class="row form-group">
			<label for="email" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_EMAIL'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<input type="text" class="form-control compulsory" name="email" id="email" value="<?php echo \U::safe_display_string($v_view_data['email']); ?>" <?php echo $v_readoilny_status; ?> >
				<span class="error d-none-ni" id="wrong_email">Invalid email.</span>
			</div>
		</div>
		<div class="row form-group">
			<label for="address" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_ADDRESS'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<textarea class="form-control compulsory agency_textarea_height" name="address" id="address" <?php echo $v_readoilny_status; ?>><?php echo $v_view_data['address']; ?></textarea>
			</div>
		</div>
		<div class="row form-group">
			<label for="post_code" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_POST_CODE'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<input type="number" min="93000" max="98859" class="form-control compulsory" name="post_code" id="post_code" value="<?php echo \U::safe_display_string($v_view_data['post_code']); ?>" <?php echo $v_readoilny_status; ?> >
			</div>
		</div>
		<div class="row form-group">
			<label for="division" class="col-sm-2 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('LOCATION_DIVISION'); ?>
				<span class="text-danger">*</span></label>
			<div class="col-sm-5">
				<select class="form-control compulsory" id="division" name="division" <?php echo $v_readoilny_status; ?> >
					<?php $v_division = \U::safe_display_string($v_view_data['division']); ?>
					<option value=""></option>
					<option <?php if (\U::safe_display_string($v_division) == "01") echo "selected"; ?> value="01"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_KUCHING'); ?></option>
					<option <?php if (\U::safe_display_string($v_division) == "02") echo "selected"; ?> value="02"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_SRI_AMAN'); ?></option>
					<option <?php if (\U::safe_display_string($v_division) == "03") echo "selected"; ?> value="03"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_SIBU'); ?></option>
					<option <?php if (\U::safe_display_string($v_division) == "04") echo "selected"; ?> value="04"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_MIRI'); ?></option>
					<option <?php if (\U::safe_display_string($v_division) == "05") echo "selected"; ?> value="05"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_LIMBANG'); ?></option>
					<option <?php if (\U::safe_display_string($v_division) == "06") echo "selected"; ?> value="06"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_SARIKEI'); ?></option>
					<option <?php if (\U::safe_display_string($v_division) == "07") echo "selected"; ?> value="07"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_KAPIT'); ?></option>
					<option <?php if (\U::safe_display_string($v_division) == "08") echo "selected"; ?> value="08"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_SAMARAHAN'); ?></option>
					<option <?php if (\U::safe_display_string($v_division) == "09") echo "selected"; ?> value="09"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_BINTULU'); ?></option>
					<option <?php if (\U::safe_display_string($v_division) == "10") echo "selected"; ?> value="10"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_MUKAH'); ?></option>
					<option <?php if (\U::safe_display_string($v_division) == "11") echo "selected"; ?> value="11"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_BETONG'); ?></option>
					<option <?php if (\U::safe_display_string($v_division) == "12") echo "selected"; ?> value="12"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_SERIAN'); ?></option>
				</select>
			</div>
		</div>
		<div class="row form-group">
			<label for="person_charge" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_PERSON_IN_CHARGE'); ?> </label>
			<div class="col-sm-5">
				<input type="text" class="form-control" name="person_charge" id="person_charge" value="<?php echo \U::safe_display_string($v_view_data['person_charge']); ?>" <?php echo $v_readoilny_status; ?> >
			</div>
		</div>
		<div class="row form-group">
			<label for="location_administrator" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_ADMINISTRATOR_HEADING'); ?> </label>
			<div class="col-sm-5">
				<?php $v_location_administrators = $v_view_data['location_administrators'];
				$v_location_administrators_exploded = explode(",", $v_location_administrators); ?>
				<select class="form-control" name="location_admins[]" multiple="multiple" id="location_filter">
					<?php
					if (isset($v_user_list_info_location) && count($v_user_list_info_location) > 0) {
						foreach ($v_user_list_info_location as $v_key => $v_user_list_info_location_users) {
							if (in_array($v_user_list_info_location_users['usr_id'], $v_location_administrators_exploded)) {
								?>
								<option selected value="<?php echo \U::safe_display_string($v_user_list_info_location_users['usr_id']); ?>"><?php echo \U::safe_display_string($v_user_list_info_location_users['usr_full_name']) . " - " . \U::safe_display_string($v_user_list_info_location_users['usr_short_name']); ?></option>
								<?php
							} else { ?>
								<option value="<?php echo \U::safe_display_string($v_user_list_info_location_users['usr_id']); ?>"><?php echo \U::safe_display_string($v_user_list_info_location_users['usr_full_name']) . " - " . \U::safe_display_string($v_user_list_info_location_users['usr_short_name']); ?></option>
								<?php
							}
						}
					}
					?>
				</select>
			</div>
			<div class="col-sm-5">
				<input type="checkbox" onclick="get_user_location_wise(this)" name="show_current_location_data" value="1" id="show_current_location_data" class="sarawak_main_radio_options">
				<p class="agency_show_all_uneder_location"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_SHOW_ALL_UNDER_SAME_AGENCY'); ?></p>
			</div>
		</div>
		<div class="row form-group">
			<label for="total_ticket_per_day" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_LOGO'); ?></label>
			<div class="col-sm-5">
				<div class="custom-file">
					<input type="file" name="doc_file" class="custom-file-input logo_file" id="inputGroupFile02" <?php echo $v_readoilny_status; ?>/>
					<label class="custom-file-label" id="file_label_text" for="inputGroupFile02" <?php echo $v_readoilny_status; ?>><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_LOGO_CHOOSE_FILE'); ?></label>
				</div>
				<p class="agency_logo_error_size"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_LOGO_CHOOSE_FILE_SIZE'); ?></p>
				<p id="file_type" class="agency_logo_error_extension">
					<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_LOGO_CHOOSE_FILE_EXTENSION'); ?>
				</p>
			</div>
			<div class="col-sm-5">
				<?php if (isset($v_image_data_path) && isset($v_image_data)) { ?>
					<a id="img_tmp_file" href="<?php echo \E::get('obj_curr_module')->build_action_path('share', 'att_view', base64_encode($v_image_data_path)); ?>" target="_blank">
						<?php
						echo sprintf('<img src="data:image/png;base64,%s" class="logo_show_dynamically" /> ', base64_encode($v_image_data));
						?>
					</a>
				<?php } ?>
				<a href="" id="anchoir_image" onclick="base_image_Clickec()">
					<img src="" id="preview_po_img" class="location_show_uploaded_image"/>
				</a>
				<?php
				$v_remove_image_show_hide = " display: none; ";
				if (isset($v_image_data_path) && isset($v_image_data)) {
					if ($v_image_data_path != "") {
						if ($v_image_data != "") {
							$v_remove_image_show_hide = " display: inline-block; ";
						}
					}
				}
				?>
				<span class="remove_image remove_agency_logo_option" style="<?php echo $v_remove_image_show_hide; ?>" data-master_id="<?php echo $v_att_master_id; ?>"><i class="fas fa-trash fs-25"></i></span>
			</div>
		</div>
		<div class="row form-group">
			<label for="total_ticket_per_day" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_TICKET_PER_DAY'); ?></label>
			<div class="col-sm-5">
				<input type="text" class="form-control" name="total_ticket_per_day" id="total_ticket_per_day" value="<?php echo \U::safe_display_string($v_view_data['total_ticket_per_day']); ?>" <?php echo $v_readoilny_status; ?> >
			</div>
		</div>
		





		<div class="row form-group">
			<label for="gender" class="col-sm-2 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('LOCATION_SARAWAK_PAYMERCHANT'); ?> </label>
			<div class="col-sm-8">
				<div class="row">
					<?php $v_sarawak_pay_merchant = \U::safe_display_string($v_view_data['sarawak_pay_merchant']); ?>
					<div class="col-md-2 sarawak_yes_no_radio_container">
						<input class="sarawak_main_radio_options" type="radio" name="sarawak_pay_merchant" onclick="getAttributesData(this.value)" value="yes" id="yes" <?php if ($v_sarawak_pay_merchant == "yes") echo "checked"; ?>  <?php echo $v_readoilny_status; ?> >
						<div class="spacing_between_radio_and_container"></div>
						<label class="form-check-label" for="yes"> <?php echo \E::get('obj_curr_module_lang')->get('LOCATION_YES'); ?></label>
					</div>
					<div class="col-md-2 sarawak_yes_no_radio_container">
						<input class="sarawak_main_radio_options" type="radio" name="sarawak_pay_merchant" onclick="getAttributesData(this.value)" value="no" id="no" <?php if ($v_sarawak_pay_merchant == "no") echo "checked"; ?> <?php echo $v_readoilny_status; ?> >
						<div class="spacing_between_radio_and_container"></div>
						<label class="form-check-label" for="no"> <?php echo \E::get('obj_curr_module_lang')->get('LOCATION_NO'); ?>  </label>
					</div>
				</div>
			</div>
		</div>
		<div class="row form-group merchant_container">
			<?php
			$v_merchant_id_label_text_merchant = \E::get('obj_curr_module_lang')->get('AGENCY_MERCHANT_ID');
			$v_merchant_id_label_text_ptj = \E::get('obj_curr_module_lang')->get('AGENCY_PTJ_CODE');
			$v_merchant_id_field_readonly = \E::get('obj_curr_module_lang')->get('AGENCY_READONLY');
			$v_merchant_id_field_cumpolsary = " ";
			$v_merchant_id_field_required = " ";
			if (isset($v_sarawak_pay_merchant) && $v_sarawak_pay_merchant == 'yes') {
				$v_merchant_id_label_text_merchant = \E::get('obj_curr_module_lang')->get('AGENCY_MERCHANT_ID') . ' <span id="mid"  class="text-danger">*</span>';
				$v_merchant_id_label_text_ptj = \E::get('obj_curr_module_lang')->get('AGENCY_PTJ_CODE') . ' <span id="ptjid"  class="text-danger">*</span>';
				$v_merchant_id_field_readonly = "";
				$v_merchant_id_field_cumpolsary = " " . \E::get('obj_curr_module_lang')->get('AGENCY_COMPULSORY') . " ";
				$v_merchant_id_field_required = " " . \E::get('obj_curr_module_lang')->get('AGENCY_REQUIRED') . " ";
			}
			?>
			<label for="merchant_id" class="col-sm-2 col-form-label" id="merchant_id_label_container">
				<?php echo $v_merchant_id_label_text_merchant; ?>
			</label>
			<div class="col-sm-5">
				<div class="input-group mb-3">
					<div class="input-group-prepend col-md-3 p-0 agency_static_m_before_fields">
						<button class="btn btn-outline-secondary col-md-12" id="btn_mykad_text" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" disabled readonly>
							M
						</button>
					</div>
					<input type="text" class="form-control <?php echo $v_merchant_id_field_cumpolsary; ?>" name="merchant_id" id="merchant_id" value="<?php echo \U::safe_display_string($v_view_data['merchant_id']); ?>" <?php echo $v_merchant_id_field_readonly . " " . $v_merchant_id_field_required; ?> >
				</div>
			</div>
		</div>
		
		<div class="row form-group merchant_container_merchant_private_key">
			<?php
			$v_merchant_id_label_text_merchant = \E::get('obj_curr_module_lang')->get('LOCATION_PRIVATE_KEY');
			$v_merchant_id_field_readonly = \E::get('obj_curr_module_lang')->get('AGENCY_PUBLIC_KEY_READONLY');
			$v_merchant_id_field_cumpolsary = " ";
			$v_merchant_id_field_required = " ";
			if (isset($v_sarawak_pay_merchant) && $v_sarawak_pay_merchant == 'yes') {
				$v_merchant_id_label_text_merchant = \E::get('obj_curr_module_lang')->get('LOCATION_PRIVATE_KEY') . ' <span id="sifb_id" class="text-danger">*</span>';
				$v_merchant_id_field_readonly = "";
				$v_merchant_id_field_cumpolsary = " " . \E::get('obj_curr_module_lang')->get('AGENCY_PUBLIC_KEY_COMPULSORY') . " ";
				$v_merchant_id_field_required = " " . \E::get('obj_curr_module_lang')->get('AGENCY_PUBLIC_KEY_REQUIRED') . " ";
			}
			?>
			<label for="merchant_private_key_id" class="col-sm-2 col-form-label" id="merchant_private_key_label_container">
				<?php echo $v_merchant_id_label_text_merchant; ?>
			</label>
			<div class="col-sm-5">
				<div class="input-group">
					<textarea class="form-control agency_textarea_height <?php echo $v_merchant_id_field_cumpolsary; ?>" name="merchant_private_key" id="merchant_private_key" <?php echo $v_merchant_id_field_readonly . " " . $v_merchant_id_field_required; ?> style="height: 200px;"><?php
					if($v_view_data['merchant_private_key'] != "") {echo substr($v_view_data['merchant_private_key'],0,70)."***************************************************************************************************************************************************************************************************************************************************".substr($v_view_data['merchant_private_key'],-70);}
					?></textarea>
					<input type="hidden" name="original_merchant_private_key" value="<?php echo $v_view_data['merchant_private_key'];?>">
				</div>
				<p class="agency_logo_error_size"><?PHP echo \E::get('obj_curr_module_lang')->get('AGENCY_UPDATE_MESSAGE_FOR_CANCEL_TICKETS'); ?></p>
			</div>
			<div class="col-sm-5">
				<i class="fa fa-info-circle" style="font-size: 24px; color: #000; cursor: pointer;" onclick="openCloseInfoBox()"></i>
				<div class="input-group noteBox" style="background:#EEEEEE;padding: 5px; font-size: 14px;display: none;position: absolute;top: 26px;left: 0;">
					<p>
						<strong><?php echo \E::get('obj_curr_module_lang')->get('AGENCY_KEYS_NOTE');?></strong>
						<br /><?php echo \E::get('obj_curr_module_lang')->get('AGENCY_KEYS_NOTE_MESSAGE_1');?>
					</p>
					<p><?php echo \E::get('obj_curr_module_lang')->get('AGENCY_KEYS_NOTE_RESOURCES');?>
						<br /><?php echo \E::get('obj_curr_module_lang')->get('AGENCY_KEYS_NOTE_RESOURCES_STEP1');?> <a href="<?php echo $v_encryption_decryption_v1_0pdf;?>" target="_blank"><?php echo \E::get('obj_curr_module_lang')->get('AGENCY_KEYS_NOTE_RESOURCES_STEP1_PDF');?></a>
						<br /><?php echo \E::get('obj_curr_module_lang')->get('AGENCY_KEYS_NOTE_RESOURCES_STEP2');?>  <a href="<?php echo $v_ecs_v1_0pdf;?>" target="_blank"><?php echo \E::get('obj_curr_module_lang')->get('AGENCY_KEYS_NOTE_RESOURCES_STEP2_PDF');?></a>
					</p>
				</div>
			</div>
		</div>



			<div class="row form-group">
				<label for="gender" class="col-sm-2 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('LOCATION_INTEGRATE_SIFBAS'); ?> </label>
				<div class="col-sm-8">
					<div class="row">
						<?php $v_sarawak_pay_merchant = \U::safe_display_string($v_view_data['sarawak_pay_sifbas']); ?>
						<div class="col-md-2 sarawak_yes_no_radio_container">
							<input class="sarawak_main_radio_options" type="radio" name="sarawak_pay_sifbas" onclick="getAttributesData_sifbas(this.value)" value="yes" id="yes" <?php if ($v_sarawak_pay_merchant == "yes") echo "checked"; ?>  <?php echo $v_readoilny_status; ?> >
							<div class="spacing_between_radio_and_container"></div>
							<label class="form-check-label" for="yes"> <?php echo \E::get('obj_curr_module_lang')->get('LOCATION_YES'); ?></label>
						</div>
					<div class="col-md-2 sarawak_yes_no_radio_container">
						<input class="sarawak_main_radio_options" type="radio" name="sarawak_pay_sifbas" onclick="getAttributesData_sifbas(this.value)" value="no" id="no" <?php if ($v_sarawak_pay_merchant == "no") echo "checked"; ?> <?php echo $v_readoilny_status; ?> >
						<div class="spacing_between_radio_and_container"></div>
						<label class="form-check-label" for="no"> <?php echo \E::get('obj_curr_module_lang')->get('LOCATION_NO'); ?>  </label>
					</div>
				</div>
			</div>
		</div>
		<div class="row form-group merchant_container_sifbas">
			<?php
			$v_merchant_id_label_text_merchant = \E::get('obj_curr_module_lang')->get('AGENCY_PTJ_CODE');
			$v_merchant_id_field_readonly = \E::get('obj_curr_module_lang')->get('AGENCY_SIFBAS_READONLY');
			$v_merchant_id_field_cumpolsary = " ";
			$v_merchant_id_field_required = " ";
			if (isset($v_sarawak_pay_merchant) && $v_sarawak_pay_merchant == 'yes') {
				$v_merchant_id_label_text_merchant = \E::get('obj_curr_module_lang')->get('AGENCY_PTJ_CODE') . ' <span id="mid"  class="text-danger">*</span>';
				$v_merchant_id_field_readonly = "";
				$v_merchant_id_field_cumpolsary = " " . \E::get('obj_curr_module_lang')->get('AGENCY_SIFBAS_COMPULSORY') . " ";
				$v_merchant_id_field_required = " " . \E::get('obj_curr_module_lang')->get('AGENCY_SIFBAS_REQUIRED') . " ";
			}
			?>
			<label for="ptj_code" class="col-sm-2 col-form-label" id="sifbas_label_container">
				<?php echo $v_merchant_id_label_text_merchant; ?>
			</label>
			<div class="col-sm-5">
				<div class="input-group mb-3">
					
					<input type="text" class="form-control <?php echo $v_merchant_id_field_cumpolsary; ?>" name="ptj_code" id="ptj_code" value="<?php echo \U::safe_display_string($v_view_data['ptj_code']); ?>" <?php echo $v_merchant_id_field_readonly . " " . $v_merchant_id_field_required; ?> >
				</div>
			</div>
		</div>




		<div class="row form-group">
			<label for="remarks" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('LOCATION_REMARKS'); ?></label>
			<div class="col-sm-5">
				<input type="text" class="form-control" name="remarks" id="remarks" value="<?php echo \U::safe_display_string($v_view_data['remarks']); ?>">
			</div>
		</div>
		<div class="row form-group">
			<label for="usr_upadted_date" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_UPDATED_DATE'); ?></label>
			<div class="col-sm-5">
				<input type="text" class="form-control" name="usr_upadted_date" id="usr_upadted_date" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_UPDATED_DATE'); ?>" value="<?php echo \U::safe_display_string(date("d/m/Y H:i:s", strtotime($v_re_modified_date))); ?>" readonly>
			</div>
		</div>
		<div class="row form-group">
			<label for="usr_last_upadted_date" class="col-sm-2 col-form-label"><?php echo \E::get('obj_curr_module_lang')->get('USER_LATS_UPDATED_DATE'); ?></label>
			<div class="col-sm-5">
				<input type="text" class="form-control " name="usr_last_upadted_date" id="usr_last_upadted_date" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('USER_LATS_UPDATED_DATE'); ?>" value="<?php echo \U::safe_display_string($v_re_modified_by); ?>" readonly>
			</div>
		</div>
		<hr/>
		<div class="row">
			<div class="col-md-12">
				<h5 class="m-0 pb-0 module_name width_auto_i" data-toggle="collapse" href="#collapseExample" role="button" aria-expanded="false" aria-controls="collapseExample" onclick="change_list_users(1)">
					<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_INNER_DATATABLE_USER_TABLE_HEADING'); ?>
					<span class="eticket_drop_down_users collapsed agency_down_arrow" data-toggle="collapse" data-target="#demo_users"><i class="fas fa-chevron-down"></i></span>
					<span class="eticket_drop_up_users collapsed agency_down_up" data-toggle="collapse" data-target="#demo_users"><i class="fas fa-chevron-up"></i></span>
				</h5>
			</div>
		</div>
		<hr/>
		<div class="row m-top-20">
			<div class="col-md-12">
				<div class="collapse" id="collapseExample">
					<div class="">
						<div class="col-sm-12">
							<a href="<?php echo \E::get('obj_curr_module')->build_action_path('user', 'add'); ?>" class="	btn btn-primary float-right inner_datatables_add_buttons" role="button" !important;>
								<i class="fa fa-plus fs-12"></i> <?php echo \E::get('obj_curr_module_lang')->get('AGENCY_ADD_USER'); ?>
							</a>
						</div>
						<div class="table-responsive">
							<table class="table table-bordered" id="data_table" width="100%" cellspacing="0">
								<?php $v_currenct_selected_site = \E::get_session('current-selected-site'); ?>
								<thead>
								<tr>
									<th width="5%" data-columns-orderable="false">
										<?php echo \E::get('obj_kernel_lang')->get('TBL_NO'); ?>
									</th>
									<th width="<?php echo $v_width; ?>">
										<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_USERNAME'); ?>
									</th>
									<th width="<?php echo $v_width; ?>">
										<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_FULL_NAME'); ?>
									</th>
									<th width="<?php echo $v_width; ?>">
										<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_USER_ROLE'); ?>
									</th>
									<th width="<?php echo $v_width; ?>">
										<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_USER_AGENCY'); ?>
									</th>
									<th width="<?php echo $v_width; ?>">
										<?php echo \E::get('obj_curr_module_lang')->get('USER_LISTING_USER_STATUS'); ?>
									</th>
								</tr>
								</thead>
								<tbody>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-2"></div>
			<div class="col-md-5 text-center">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('location', 'list'); ?>">
					<button type="button" class="btn btn-default w-auto-im">
						<?php echo \E::get('obj_curr_module_lang')->get('BTN_BACK_TO_LISTING'); ?>
					</button>
				</a>
				<?php
				if ($v_access_delete) {
					if (isset($v_location_useres_checking) && $v_location_useres_checking > 0) { ?>
						<button type="button" class="btn btn-danger" disabled title="<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_AGENCY_EDIT_ERROR'); ?>">
							<?php echo \E::get('obj_kernel_lang')->get('BTN_DELETE'); ?>
						</button>
						<?php
					} else { ?>
						<a href="javascript:void(0)" onclick="delete_record(<?php echo $v_id; ?>)">
							<button type="button" class="btn btn-danger">
								<?php echo \E::get('obj_kernel_lang')->get('BTN_DELETE'); ?>
							</button>
						</a>
						<?php
					}
				}
				if ($v_access_edit) { ?>
					<button type="button" class="btn btn-primary" id="submit_form" onclick="check_validations()">
						<?php echo \E::get('obj_curr_module_lang')->get('BTN_EDIT_UPDATE'); ?>
					</button>
					<?php
				}
				?>
			</div>
		</div>
	</form>
	<script language="javascript">
		function getAttributesData_sifbas(radioValue) {
			if (radioValue == "yes") {
				$("#sifbas_label_container").html('PTJ Code  <span id="sifb_id" class="text-danger">*</span>');
				$("#ptj_code").prop("readonly", false);
				$("#ptj_code").addClass("compulsory");
				$(".merchant_container_sifbas span").show();
			} else {
				$("#sifbas_label_container").html('PTJ Code  <span id="sifb_id" class="text-danger">*</span>');
				$("#ptj_code").prop("readonly", true);
				$("#ptj_code").removeClass("compulsory");
				$("#ptj_code").removeClass("error");
				$(".merchant_container_sifbas span").hide();
			}
		}
		function getAttributesData(radioValue) {
			if (radioValue == "yes") {
				$("#merchant_id_label_container").html('Merchant ID  <span id="mid" class="text-danger">*</span>');
				$("#merchant_private_key_label_container").html('Merchant Private Key  <span id="mid" class="text-danger">*</span>');
				$("#merchant_id, #merchant_private_key").prop("readonly", false);
				$("#merchant_id, #merchant_private_key").addClass("compulsory");
				$(".merchant_container span, .merchant_container_merchant_private_key span").show();
			} else {
				$("#merchant_id_label_container").html('Merchant ID  <span id="mid" class="text-danger">*</span>');
				$("#merchant_private_key_label_container").html('Merchant Private Key  <span id="mid" class="text-danger">*</span>');
				$("#merchant_id, #merchant_private_key").prop("readonly", true);
				$("#merchant_id, #merchant_private_key").removeClass("compulsory");
				$("#merchant_id, #merchant_private_key").removeClass("error");
				$(".merchant_container span, .merchant_container_merchant_private_key span").hide();
			}
		}
		function get_user_location_wise(selected_checkbox) {
			var v_show_current_location_data_status = $("#show_current_location_data").prop("checked")
			var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('location', 'code_validate_ajax'); ?>';
			var v_url = v_list_url + '?v_show_current_location_data_status=' + escape(v_show_current_location_data_status) + '&v_action=edit' + '&v_primary_table_id=' +<?php echo $v_id;?>;
			var v_response = makeGETRequest(v_url, '', 'location_wise_users_load', '', '', '');
		}
		function location_wise_users_load(response) {
			$("#location_filter").val(null).trigger("change");
			$('#location_filter').select2('close');
			$("#location_filter").html(response);
		}
		$("input[type='file']").on("change", function () {
			var url = this.value;
			var ext = url.substring(url.lastIndexOf('.') + 1).toLowerCase();
			if (this.files && this.files[0] && (ext == "gif" || ext == "png" || ext == "jpeg" || ext == "jpg")) {
				$('#anchoir_image').show(400);
				$('.remove_image').show();
				if (this.files[0].size > 2000000) {
					Swal.fire({
						title: '<font  class="title_heading">' + "<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_LOGO_CHOOSE_FILE_SIZE');?>" + '</font>',
						imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
						imageWidth: 50,
						imageHeight: 50,
						imageAlt: 'Custom image',
						html: '<hr class="sweet_hr" />',
						cancelButtonColor: '#FFF',
						showCancelButton: false,
						cancelButtonText: "Ok",
					});
					$(this).val('');
				}
			} else {
				$('#doc_file').val("");
				$('#file_label_text').html("");
				$('#anchoir_image').hide();
				$('.remove_image').hide();
				Swal.fire({
					title: '<font  class="title_heading">' + "<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_LOGO_CHOOSE_FILE_EXTENSION');?>" + '</font>',
					imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
					imageWidth: 50,
					imageHeight: 50,
					imageAlt: 'Custom image',
					html: '<hr class="sweet_hr" />',
					cancelButtonColor: '#FFF',
					showCancelButton: false,
					cancelButtonText: "Ok",
				});
				$(this).val('');
			}
		});
		function isEmail(email) {
			var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
			return regex.test(email);
		}
		var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('location', 'list_ajax_locations'); ?>';
		var v_cookie_name = "<?php echo \U::generateUniqueCookieName(MOONLIGHT_DNS_PATH . MOONLIGHT_FOLDER_PATH); ?>_admin_list_user";
		var v_list;
		var v_init = false;
		var v_init_page = 0;
		var v_init_usr_name, v_init_usr_email, v_init_usr_new_ic_no, v_init_short_name, v_init_usr_group,
			v_init_usr_agency, v_init_usr_branch, v_init_usr_authentic_method, v_init_usr_status, v_role_id;
		$(document).ready(function () {
			<?php
			$v_session_msg_title = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			$v_session_msg = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			$v_session_msg_status = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			if($v_session_msg_title != '' && $v_session_msg != ''){
			?>
			Swal.fire({
				title: '<font  class="title_heading">' + "<?php echo $v_session_msg;?>" + '</font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/success_icon.png';?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			<?php
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			}
			?>
			v_list = $('#data_table').DataTable({
				"pagingType": "full_numbers",
				"language": {
					"paginate": {
						"previous": "Previous"
					}
				},
				"dom": "<'row'<'col-sm-12 col-md-6'l><'col-sm-12 col-md-6 text-right'f>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-6'i><'col text-right pt-1'<'mpage'>><'col-auto'p>>",
				"lengthMenu": [
					[10, 25, 50, -1],
					[10, 25, 50, "All"]
				],
				"responsive": {
					details: {
						display: $.fn.dataTable.Responsive.display.childRowImmediate,
						type: 'none',
						target: ''
					}
				},
				"searching": true,
				"processing": true,
				"serverSide": true,
				"deferRender": true,
				"deferLoading": true,
				"stateSave": true,
				"stateSaveParams": function (settings, data) {
				},
				"stateLoaded": function (settings, data) {
					v_init_page = data.start;
				},
				"ajax": {
					url: v_list_url,
					dataSrc: 'data',
					type: 'GET',
					data: function (d) {
						d['location_id'] = "<?php echo $v_id;?>";
						if (v_init == true) {
							d['start'] = v_init_page;
						}
					},
					done: function (data) {
					},
					error: function (err) {
						if (err.responseText.includes('REQUIRED_LOGIN')) {
							window.location = '<?php echo \E::get('obj_curr_module')->build_action_path('user', 'list');?>';
						}
					}
				},
				"drawCallback": function (settings) {
					if (v_init == true) {
						v_init = false;
						var v_info_init = v_list.page.info();
						$('#manual_paging').attr('max', v_info_init.pages).attr('min', 1);
						$('#manual_paging').on('keypress', function (e) {
							if (e.which == 13) {
								var v_info = v_list.page.info();
								if ($('#manual_paging').val() != '' && $('#manual_paging').val() <= v_info.pages && $('#manual_paging').val() > 0) {
									v_list.page(($('#manual_paging').val() - 1)).draw('page');
								}
							}
						});
					}
				},
				"columns": [
					{"data": 'no', "orderable": false},
					{"data": 'short_name'},
					{"data": 'usr_name'},
					{"data": 'role'},
					{"data": 'agency'},
					{"data": 'status'},
				],
				"order": [1, "desc"],
				"initComplete": function (settings, json) {
					v_init = true;
					$("div.mpage").html('<input type="number" id="manual_paging" class="text-center" value="" style="width:50px;">');
					$("#data_table_length").hide();
				}
			}).on('page.dt', function () {
				var v_info = v_list.page.info();
				$('#manual_paging').val((v_info.page + 1));
			}).on('length.dt', function (e, settings, len) {
				var v_info = v_list.page.info();
				$('#manual_paging').attr('max', v_info.pages);
			});
			var v_state = v_list.state.loaded();
			if (v_state) {
				v_init = true;
				v_list.ajax.reload(null, false);
			} else {
				v_list.ajax.reload();
			}
		});
		function check_validations() {
			if (validate(document.frm_acl)) {
				if (isEmail($("#email").val())) {
					$("#submit_form").prop("disabled", true);
					var v_location_code = $("#location_code").val();
					var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('location', 'code_validate_ajax'); ?>';
					var v_url = v_list_url + '?v_location_code=' + escape(v_location_code) + '&v_action=edit' + '&v_primary_table_id=' +<?php echo $v_id;?>;
					var v_response = makeGETRequest(v_url, 'username_duplicate_check', 'after_load', '', '', '');
				} else {
					$("#email").focus();
					$("#email").addClass("error");
					$("#wrong_email").show();
				}
			}
		}
		function after_load(response) {
			var v_check_error_found = $('#duplication_error_found').val();
			if (v_check_error_found != 1) {
				$("#submit_form").prop("disabled", true);
				var v_location_name = $("#location_name").val();
				var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('location', 'code_validate_ajax'); ?>';
				var v_url = v_list_url + '?v_location_name=' + escape(v_location_name) + '&v_action=edit' + '&v_primary_table_id=' +<?php echo $v_id;?>;
				var v_response = makeGETRequest(v_url, 'username_duplicate_check_name', 'after_load_name', '', '', '');
			} else {
				$('#location_code').focus();
				$("#submit_form").prop("disabled", false);
			}
		}
		function after_load_name(response) {
			var v_check_error_found = $('#duplication_error_found_name').val();
			if (v_check_error_found != 1) {
				document.frm_acl.submit();
			} else {
				$('#location_name').focus();
				$("#submit_form").prop("disabled", false);
			}
		}
		function delete_record(p_id) {
			if (p_id != '') {
				Swal.fire({
					title: '<font class="title_heading">Are you sure you want to delete this record?</font>',
					imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
					imageWidth: 50,
					imageHeight: 50,
					imageAlt: 'Custom image',
					html: '<hr class="sweet_hr" />',
					cancelButtonColor: '#FFF',
					confirmButtonColor: '#337AB7',
					showCloseButton: true,
					showCancelButton: true,
					cancelButtonText: "No",
					confirmButtonText: "Yes",
				}).then((result) => {
					if (result.value) {
						window.location = "<?PHP echo \E::get('obj_curr_module')->build_action_path('location', 'delete'); ?>" + p_id;
					}
				});
			}
		}
		$('input[type="file"]').change(function (e) {
			var fileName = e.target.files[0].name;
			$('.custom-file-label').html(fileName);
		});
		function readURL(input) {
			if (input.files && input.files[0]) {
				var url = input.value;
				var ext = url.substring(url.lastIndexOf('.') + 1).toLowerCase();
				if (input.files && input.files[0] && (ext == "gif" || ext == "png" || ext == "jpeg" || ext == "jpg")) {
					$('#anchoir_image').show(400);
					$('.remove_image').show();
					var reader = new FileReader();
					reader.onload = function (e) {
						$('#preview_po_img').attr('src', e.target.result);
						$('#anchoir_image').attr('href', e.target.result);
						$('#preview_po_img').show();
						$('.remove_image').show();
						$('.browse_btn').hide();
						$('#img_tmp_file').hide();
					}
					reader.readAsDataURL(input.files[0]);
				} else {
					$('#doc_file').val("");
					$('#file_label_text').html("");
					$('#anchoir_image').hide();
					$('.remove_image').hide();
					$(this).val('');
				}
			}
		}
		$(".remove_image").click(function () {
			var master_id = $(this).data("master_id");
			if (master_id != '') {
				var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('location', 'code_validate_ajax'); ?>';
				var v_url = v_list_url + '?v_master_id=' + escape(master_id) + '&v_action=delete';
				var v_response = makeGETRequest(v_url, '', '', '', '', '');
			}
			$('#preview_po_img').hide();
			$('#img_tmp_file').hide();
			$('.remove_image').hide();
			$('#doc_file').val("");
			$('#file_label_text').html("");
		});
		$(document).on("change", ".logo_file", function (e) {
			readURL(this);
		});
		function base_image_Clickec() {
			var image = new Image();
			var preview_po_img = $("#preview_po_img").attr("src");
			image.src = preview_po_img;
			var _window = window.open('');
			_window.document.write(image.outerHTML);
		}
		setInputFilter(document.getElementById("total_ticket_per_day"), function (value) {
			return /^\d*?\d*$/.test(value);
		});
		function setInputFilter(textbox, inputFilter) {
			["input", "keydown", "keyup", "mousedown", "mouseup", "select", "contextmenu", "drop"].forEach(function (event) {
				textbox.addEventListener(event, function () {
					if (inputFilter(this.value)) {
						this.oldValue = this.value;
						this.oldSelectionStart = this.selectionStart;
						this.oldSelectionEnd = this.selectionEnd;
					} else if (this.hasOwnProperty("oldValue")) {
						this.value = this.oldValue;
						this.setSelectionRange(this.oldSelectionStart, this.oldSelectionEnd);
					} else {
						this.value = "";
					}
				});
			});
		}
		var number = document.getElementById('contact_no');
		number.onkeydown = function (e) {
			if (!((e.keyCode > 95 && e.keyCode < 106) || (e.keyCode > 47 && e.keyCode < 58) || e.keyCode == 8 || e.keyCode == 187)) {
				return false;
			} else {
				var max_chars = 10;
				if ($(this).val().length > max_chars) {
					$(this).val($(this).val().substr(0, max_chars));
				}
			}
		}
		var fax = document.getElementById('fax');
		fax.onkeydown = function (e) {
			if (!((e.keyCode > 95 && e.keyCode < 106) || (e.keyCode > 47 && e.keyCode < 58) || e.keyCode == 8 || e.keyCode == 187)) {
				return false;
			} else {
				var max_chars = 10;
				if ($(this).val().length > max_chars) {
					$(this).val($(this).val().substr(0, max_chars));
				}
			}
		}
		var post_code = document.getElementById('post_code');
		post_code.onkeydown = function (e) {
			if (!((e.keyCode > 95 && e.keyCode < 106) || (e.keyCode > 47 && e.keyCode < 58) || e.keyCode == 8 || e.keyCode == 187)) {
				return false;
			} else {
				var max_chars = 10;
				if ($(this).val().length > max_chars) {
					$(this).val($(this).val().substr(0, max_chars));
				}
			}
		}
		$(document).on("focusin", "#email", function () {
			if ($.trim($("#email").val()) != "") {
				if (check_email()) {
					$("#wrong_email").hide();
				} else {
					$("#wrong_email").show();
				}
			}
		});
		$(document).on("focusout", "#email", function () {
			if ($.trim($("#email").val()) != "") {
				if (check_email()) {
					$("#wrong_email").hide();
				} else {
					$("#wrong_email").show();
				}
			}
		});
		function check_email() {
			var emailPattern = /^[a-zA-Z0-9._-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$/;
			if (emailPattern.test($("#email").val()) == true) {
				return true;
			} else {
				return false;
			}
		}
		var boxOpenCloseFlag = 0;
		function  openCloseInfoBox() {
			if( boxOpenCloseFlag == 0 ) {
				$(".noteBox").slideDown(1000);
				boxOpenCloseFlag = 1;
			} else if( boxOpenCloseFlag == 1 ) {
				$(".noteBox").slideUp(1000);
				boxOpenCloseFlag = 0;
			}
		}
		$("#location_filter").select2({});
	</script>
<?php
\I::load_error();
?>