<?php \I::load_error("MESSAGE");
$v_edit_process_path = \E::get('obj_curr_module')->build_action_path('ticket_category', 'add');
?>
<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
	<div class="container-fluid">
		<div class="row mb-2">
			<div class="col-sm-12 breadcrumb_container">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_BREADCRUMB_HOME'); ?>
				</a> /
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('system_administrator', 'list'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_BREADCRUMB_SETUP_CONFIGURATION'); ?>
				</a> /
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('ticket_setting', 'list'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_BREADCRUMB_TICKET_SETTINGS'); ?>
				</a> /
				<?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_BREADCRUMB_TICKET_CATEGORY'); ?>
			</div>
			<div class="col-sm-12 pl-3 pt-3">
				<h5 class="m-0 pb-0 module_name"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_COMP_NAME'); ?></h5>
			</div>
		</div>
	</div>
</div>
<hr/>
<form class="mt-4" id="frm_acl" name="frm_acl" action="<?php echo $v_edit_process_path; ?>" method="post" enctype="multipart/form-data">
	<div class="row form-group">
		<label for="ticket_category_code" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_CATEGORY_CODE'); ?>
			<span class="text-danger">*</span></label>
		<div class="col-sm-8">
			<input type="text" class="text form-control compulsory" maxlength="40" max="40" name="ticket_category_code" id="ticket_category_code" value="<?php echo \U::safe_display_string(isset($v_ticket_category_code) ? $v_ticket_category_code : ""); ?>"/>
			<span class="text-danger" id="username_duplicate_check"></span>
		</div>
	</div>
	<div class="row form-group">
		<label for="ticket_category_name" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_CATEGORY_NAME'); ?>
			<span class="text-danger">*</span></label>
		<div class="col-sm-8">
			<input type="text" class="text form-control compulsory" maxlength="40" max="40"  name="ticket_category_name" id="ticket_category_name" value="<?php echo \U::safe_display_string(isset($v_ticket_category_name) ? $v_ticket_category_name : ""); ?>"/>
			<span class="text-danger" id="username_duplicate_check_name"></span>
		</div>
	</div>
	<div class="row form-group">
		<label for="ticket_category_type" class="col-sm-3 col-form-label "> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_CATEGORY_TYPE'); ?>
			<span class="text-danger">*</span> </label>
		<div class="col-sm-8">
			<!-- onchange="get_agency_locations(this);" -->
			<select class="form-control compulsory" onchange="getCategoryText();" id="ticket_category_type" name="ticket_category_type">
				<option value=""></option>
				<?php
				if (isset($v_category_types) && count($v_category_types) > 0) {
					foreach ($v_category_types as $key => $each_category) {
						if ($v_user_agency_name_added == $each_category['id']) { ?>
							<option selected value="<?php echo \U::safe_display_string($each_category['id']); ?>"><?php echo \U::safe_display_string($each_category['key_value']); ?></option>
							<?php
						} else { ?>
							<option value="<?php echo \U::safe_display_string($each_category['id']); ?>"><?php echo \U::safe_display_string($each_category['key_value']); ?></option>
							<?php
						}
					}
				}
				?>
			</select>
		</div>
	</div>
	<input type="hidden" name="ticket_category_type_text" value="" id="ticket_category_type_text">
	<div class="row form-group">
		<label for="ticket_category_description" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_CATEGORY_DESCRIPTION'); ?>
			<span class="text-danger">*</span></label>
		<div class="col-sm-8">
			<input type="text" class="text form-control compulsory" name="ticket_category_description" id="ticket_category_description" value="<?php echo \U::safe_display_string(isset($v_ticket_category_description) ? $v_ticket_category_description : ""); ?>"/>
		</div>
	</div>
	<div class="row form-group">
		<label for="ticket_agency_name" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_AGENCY_NAME'); ?> </label>
		<div class="col-sm-8">
			 <!-- onchange="get_agency_locations(this);" -->
			<select class="form-control" id="ticket_agency_name" name="ticket_agency_name">
				<?php
				$v_logged_in_user_type = \E::get_session('logged_in_user_type');
				if ($v_logged_in_user_type == 0) { ?>
					<option value=""></option>
					<?php
				}
				if (isset($v_agency_dta) && count($v_agency_dta) > 0) {
					foreach ($v_agency_dta as $key => $v_agency_dta) {
						if ($v_user_agency_name_added == $v_agency_dta['ag_id']) { ?>
							<option selected value="<?php echo \U::safe_display_string($v_agency_dta['ag_id']); ?>"><?php echo \U::safe_display_string($v_agency_dta['ag_name']); ?></option>
							<?php
						} else { ?>
							<option value="<?php echo \U::safe_display_string($v_agency_dta['ag_id']); ?>"><?php echo \U::safe_display_string($v_agency_dta['ag_name']); ?></option>
							<?php
						}
					}
				}
				?>
			</select>
		</div>
	</div>
	<!-- <div class="row form-group">
		<label for="ticket_location" class="col-sm-3 col-form-label"> <?php //echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_LOCATION'); ?> </label>
		<div class="col-sm-8">
			<select class="form-control" id="ticket_location" name="ticket_location">
				<option value=""></option>
			</select>
		</div>
	</div> -->
	<div class="row form-group">
		<label for="ticket_remarks" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_REMARKS'); ?></label>
		<div class="col-sm-8">
			<input type="text" class="text form-control" name="ticket_remarks" id="ticket_remarks_validate" value="<?php echo \U::safe_display_string(isset($v_ticket_remarks) ? $v_ticket_remarks : ""); ?>"/>
		</div>
	</div>
	<hr class="mt-4">
	<div class="row justify-content-center mt-4">
		<div class="col-md-5 text-center">
			<a class="mr-1" href="<?php echo \E::get('obj_curr_module')->build_action_path('ticket_category', 'list'); ?>">
				<button type="button" class="btn btn-default w-auto-im">
					<?php echo \E::get('obj_curr_module_lang')->get('BTN_BACK_TO_LISTING'); ?>
				</button>
			</a>
			<input type="button" value="Save" class="btn btn-primary width-135px" role="button" id="submit_form" onclick="check_validations()">
		</div>
	</div>
	<?PHP
	\I::load_error();
	?>
</form>
<script language="javascript">
	/*function get_agency_locations(_this) {
		var v_agency_id = $("#ticket_agency_name").val();
		var v_list_url = '<?php //echo \E::get('obj_curr_module')->build_action_path('ticket_category', 'code_validate_ajax'); ?>';
		var v_url = v_list_url + '?v_agency_id=' + escape(v_agency_id);
		var v_response = makeGETRequest(v_url, 'user_location_name', 'after_locationns_load', 'false');
	}
	function after_locationns_load(response) {
		$("#ticket_location").html(response);
	}*/
	function check_validations() {
		if (validate(document.frm_acl)) {
			$("#submit_form").prop("disabled", true);
			var v_location_code = $("#ticket_category_code").val();
			var v_ticket_category_type_text = $("#ticket_category_type option:selected").val();
			var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('ticket_category', 'code_validate_ajax'); ?>';
			var v_url = v_list_url + '?v_location_code=' + escape(v_location_code) + '&v_action=add' + '&v_ticket_category_type_text=' + v_ticket_category_type_text;
			var v_response = makeGETRequest(v_url, 'username_duplicate_check', 'after_load', '', '', '');
		}
	}
	function after_load(response) {
		var v_check_error_found = $('#duplication_error_found').val();
		if (v_check_error_found != 1) {
			$("#submit_form").prop("disabled", true);
			var v_location_name = $("#ticket_category_name").val();
			var v_ticket_category_type_text = $("#ticket_category_type option:selected").val();
			var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('ticket_category', 'code_validate_ajax'); ?>';
			var v_url = v_list_url + '?v_location_name=' + escape(v_location_name) + '&v_action=add' + '&v_ticket_category_type_text=' + v_ticket_category_type_text;
			var v_response = makeGETRequest(v_url, 'username_duplicate_check_name', 'after_load_name', '', '', '');
		} else {
			$('#ticket_category_code').focus();
			$("#submit_form").prop("disabled", false);
		}
	}
	function after_load_name(response) {
		var v_check_error_found = $('#duplication_error_found_name').val();
		if (v_check_error_found != 1) {
			document.frm_acl.submit();
		} else {
			$('#ticket_category_name').focus();
			$("#submit_form").prop("disabled", false);
		}
	}
	$(document).ready(
		function () {
			<?php
			$v_session_msg_title = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			$v_session_msg = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			$v_session_msg_status = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			if ($v_session_msg_title != '' && $v_session_msg != '') {
			?>
			Swal.fire({
				icon: '<?php echo isset($v_session_msg_status) ? $v_session_msg_status : 'error'; ?>',
				title: '<?php echo $v_session_msg_title; ?>',
				html: '<?php echo $v_session_msg; ?>',
				customClass: {
					confirmButton: "bg-primary"
				}
			});
			<?php
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			}
			?>
		}
	);
	function submit_form() {
		document.getElementById("frm_role").submit();
	}
	// get_agency_locations();
	function getCategoryText() {
		var v_ticket_category_type = $("#ticket_category_type option:selected").text();
		$("#ticket_category_type_text").val(v_ticket_category_type);
	}
</script>