<?php
require_once('Encryption.php');
define( 'SP_PUBLIC_KEY',        __DIR__."/key/sarawakpay_public_key.pub");
define( 'MERCHANT_PUBLIC_KEY', 	__DIR__."/key/merchant_public_key.pub");
define( 'MERCHANT_PRIVATE_KEY', __DIR__."/key/merchant_private_key.pem");
if( isset($_GET['v_transaction_id']) && $_GET['v_transaction_id'] != '' ) {
	$v_transaction_id = $_GET['v_transaction_id'];
	$v_user_list_info = \E::get('obj_curr_module')->buy_ticket_cancellation_process($v_transaction_id);
}
if( ((isset($_POST['user_names'])) && ($_POST['user_names'] != "")) && ((isset($_POST['user_password'])) && ($_POST['user_password'] != "")) && ((isset($_POST['authorization_status'])) && ($_POST['authorization_status'] != "")) ) {
	$v_user_names = $_POST['user_names'];
	$v_user_password = base64_decode($_POST['user_password']);
	$v_authorization_status = $_POST['authorization_status'];
	$v_user_list_info = \E::get('obj_curr_module')->user_authorize_user($v_user_names);
	$v_user_authenticated = 0;
	if( isset($v_user_list_info['usr_from']) && $v_user_list_info['usr_from'] == 'ldap' ) {
		$response = ldap_authenticate($_POST['user_names'],$_POST['user_password'],'ldap');
		if( $response == "LDAP_NOT_FOUND"  ) {
			echo "LDAP_NOT_FOUND";
			die;
		} else if( $response == "USER_NOT_FOUND"  ) {
			echo "USER_NOT_FOUND";
			die;
		} else if( $response == "INCORRECT_PASSWORD"  ) {
			echo "INCORRECT_PASSWORD";
			die;
		} else if( $response == "USER_AUTHENTICATED"  ) {
			$v_user_authenticated = 1;
		}
	} else {
		$v_user_list_info = \E::get('obj_curr_module')->user_authorize_user($v_user_names, $v_user_password);
		if( $v_user_list_info['user_found'] == 1 ) {
			$v_user_authenticated = 1;
		}
	}
	if( $v_user_authenticated == 1 ) {	
		$v_log_data = array();
		$v_current_user_id = \E::get_session('usr_id');
		$v_c_user_agency_id = \E::get_session('c_user_agency_id');
		$v_c_user_location_id = \E::get_session('c_user_location_id');
		if( (isset($_POST['transaction_id_authorization'])) && ($_POST['transaction_id_authorization'] != "") ) {
			$v_bar_code_payment_action_order_refund = \E::get('obj_curr_module')->buy_ticket_get_code_table_vallue_by_key_name("bar_code_payment_action_order_refund");
			$v_bar_code_payment_action_query_order = \E::get('obj_curr_module')->buy_ticket_get_code_table_vallue_by_key_name("bar_code_payment_action_query_order");
			$v_notify_url = \E::get('obj_curr_module')->buy_ticket_get_code_table_vallue_by_key_name("notify_url");
			$v_spay_global_key = \E::get('obj_curr_module')->buy_ticket_get_code_table_vallue_by_key_name("spay_global_key");
			$v_log_data['transaction_id'] = $_POST['transaction_id_authorization'];
			$v_transaction_details = \E::get('obj_curr_module')->buy_ticket_get_transaction_details_by_primary_id($v_log_data['transaction_id']);
			$v_transaction_payment_method = "";
			if(isset($v_transaction_details['id']) && $v_transaction_details['id'] != '' ) {
				$v_transaction_payment_method = $v_transaction_details['payment_method'];
			}
			$v_merchant_id = \E::get('obj_curr_module')->buy_ticket_get_merchant_id($v_transaction_details['location_id']);
			if( isset($v_merchant_id['merchant_id']) && $v_merchant_id['merchant_id'] != '' && $v_merchant_id['merchant_id'] != NULL ) {	
				if( isset($v_merchant_id['v_merchant_private_key']) && $v_merchant_id['v_merchant_private_key'] != '' && $v_merchant_id['v_merchant_private_key'] != NULL ) {
					if( $v_transaction_payment_method == 1 ) {
						$v_status_authorization = \E::get('obj_curr_module')->buy_ticket_cancell_reject_process($_POST['transaction_id_authorization'], $v_authorization_status,$v_user_list_info['usr_id']);
					} else if( $v_transaction_payment_method == 2 ) {

						if( $v_transaction_details['merchant_private_key'] == $v_merchant_id['v_merchant_private_key']){
							if( $v_transaction_details['id'] != '' ) {
								$data = [
								    'merchantId'     => "M".$v_merchant_id['merchant_id'],
								    'notifyURL'      => $v_notify_url['key_value'],
								    'orderNo'        => $v_transaction_details['transaction_ref_no'],
								    'refundAmt'      => $v_transaction_details['final_amount']
								];
								$data = json_encode($data, 320);
								$signedData = json_decode($data, true, 512, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);
								$signedData['sign'] = \E::get('obj_curr_module')->buy_ticket_generateSignature($data, $v_merchant_id['v_merchant_private_key']);
								$encryptedData = \E::get('obj_curr_module')->buy_ticket_encrypt(json_encode($signedData, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES), $v_spay_global_key['key_value']);
								$payload = "FAPView=JSON&formData=" . str_replace('+', '%2B', $encryptedData);
								$ch = curl_init();
								curl_setopt($ch, CURLOPT_URL, $v_bar_code_payment_action_order_refund['key_value']);
								curl_setopt($ch, CURLOPT_POST, 1);
								curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
								curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
								$response = curl_exec($ch);
								curl_close ($ch);
								if( $response != "") {
									$decrypted_response = \E::get('obj_curr_module')->buy_ticket_decrypt($response, $v_merchant_id['v_merchant_private_key']);
									if (\E::get('obj_curr_module')->buy_ticket_verifySignature($decrypted_response, $v_spay_global_key['key_value'])) {
									    $decrypted_response;
									}
									if( isset($decrypted_response) && $decrypted_response != '' ) {
										$json_data = json_decode($decrypted_response);
										if( $json_data->ResStatus == 0) {
											if( isset($json_data->tranFlowNo) && $json_data->tranFlowNo != '' ) {
												if( $json_data->orderNo == $v_transaction_details['transaction_ref_no'] ) {
													$v_status_authorization = \E::get('obj_curr_module')->buy_ticket_cancell_reject_process($_POST['transaction_id_authorization'], $v_authorization_status,$v_user_list_info['usr_id'],$_POST['spay_refund_reference_number'],$json_data->tranFlowNo);
												} else {
													echo "s_pay_g_reference_no_notvalid_error";
													die();
												}
											} else {
												echo "something_wrong";
												die();
											}
										} else if( $json_data->ResStatus == 1) {
											if( $json_data->ResCode == "TPB005" ) {
												echo "already_refunded";
												die();
											} else {
												echo "something_wrong";
												die();
											}
										}
									} else {
										echo "something_wrong";
										die();
									}
								} else {
									echo "wrong_details_merchant_id";
									die();
								}
							} else {
								echo "something_wrong";
								die();
							}
						} else {
							echo "key_mismatched";
							die();
						}
					} else if( $v_transaction_payment_method == 3 ) {
						if( $v_transaction_details['merchant_private_key'] == $v_merchant_id['v_merchant_private_key']){
							if( isset($_POST['spay_transaction_number']) && trim($_POST['spay_transaction_number']) != '' ) {
								if( isset($_POST['spay_refund_reference_number']) && trim($_POST['spay_refund_reference_number']) != '' ) {
									if( strlen(trim($_POST['spay_refund_reference_number'])) == 18 ) {
										$v_transaction_Reference_number = \E::get('obj_curr_module')->buy_ticket_get_transaction_details_by_reference_number($_POST['spay_refund_reference_number']);
										if( $v_transaction_Reference_number['reference_number_count'] == 0 ) {
											$data = [
												"merchantId"	=> "M".$v_merchant_id['merchant_id'],
												"merOrderNo"	=> $_POST['spay_refund_reference_number'],
												"orderNo"		=> ""
											];
											$data = json_encode($data, 320);
											$signedData = json_decode($data, true, 512, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);
											$signedData['sign'] = \E::get('obj_curr_module')->buy_ticket_generateSignature($data, $v_merchant_id['v_merchant_private_key']);
											$encryptedData = \E::get('obj_curr_module')->buy_ticket_encrypt(json_encode($signedData, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES), $v_spay_global_key['key_value']);
											$payload = "FAPView=JSON&formData=" . str_replace('+', '%2B', $encryptedData);
											$ch = curl_init();
											curl_setopt($ch, CURLOPT_URL, $v_bar_code_payment_action_query_order['key_value']);
											curl_setopt($ch, CURLOPT_POST, 1);
											curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
											curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
											$response = curl_exec($ch);
											curl_close ($ch);
											if( $response != "") {
												$decrypted_response = \E::get('obj_curr_module')->buy_ticket_decrypt($response, $v_merchant_id['v_merchant_private_key']);
												if (\E::get('obj_curr_module')->buy_ticket_verifySignature($decrypted_response, $v_spay_global_key['key_value'])) {
												    $decrypted_response;
												}
												if( isset($decrypted_response) && $decrypted_response != '' ) {
													$json_data = json_decode($decrypted_response);
													if( $json_data->ResStatus == 0) {
														$data = [
														    'merchantId'        => "M".$v_merchant_id['merchant_id'],
														    'notifyURL'         => $v_notify_url['key_value'],
														    'orderNo'        => $_POST['spay_transaction_number'],
														    'refundAmt'          => $v_transaction_details['final_amount']
														];
														$data = json_encode($data, 320);
														$signedData = json_decode($data, true, 512, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);
														$signedData['sign'] = \E::get('obj_curr_module')->buy_ticket_generateSignature($data, $v_merchant_id['v_merchant_private_key']);
														$encryptedData = \E::get('obj_curr_module')->buy_ticket_encrypt(json_encode($signedData, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES), $v_spay_global_key['key_value']);
														$payload = "FAPView=JSON&formData=" . str_replace('+', '%2B', $encryptedData);
														$ch = curl_init();
														curl_setopt($ch, CURLOPT_URL, $v_bar_code_payment_action_order_refund['key_value']);
														curl_setopt($ch, CURLOPT_POST, 1);
														curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
														curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
														$response = curl_exec($ch);
														curl_close ($ch);
														if( $response != "") {
															$decrypted_response = \E::get('obj_curr_module')->buy_ticket_decrypt($response, $v_merchant_id['v_merchant_private_key']);
															if (\E::get('obj_curr_module')->buy_ticket_verifySignature($decrypted_response, $v_spay_global_key['key_value'])) {
															    $decrypted_response;
															}
															if( isset($decrypted_response) && $decrypted_response != '' ) {
																$json_data = json_decode($decrypted_response);
																if( $json_data->ResStatus == 0) {
																	if( isset($json_data->tranFlowNo) && $json_data->tranFlowNo != '' ) {
																		if( $json_data->orderNo == $_POST['spay_transaction_number'] ) {
																			$v_status_authorization = \E::get('obj_curr_module')->buy_ticket_cancell_reject_process($_POST['transaction_id_authorization'], $v_authorization_status,$v_user_list_info['usr_id'],$_POST['spay_refund_reference_number'],$json_data->tranFlowNo);
																		} else {
																			echo "s_pay_g_reference_no_notvalid_error";
																			die();
																		}
																	} else {
																		echo "something_wrong";
																		die();
																	}
																} else {
																	echo "something_wrong";
																	die();
																}
															} else {
																echo "something_wrong";
																die();
															}
														} else {
															echo "wrong_details_merchant_id";
															die();
														}
													} else {
														echo "s_pay_g_reference_no_notvalid_error";
														die();
													}
												} else {
													echo "s_pay_g_reference_no_notvalid_error";
													die();
												}
											} else {
												echo "wrong_details_merchant_id";
												die();
											}
										} else {
											echo "s_pay_g_reference_no_already_refund_error";
											die();
										}
									} else {
										echo "s_pay_g_reference_no_length_error";
										die();
									}		
								} else {
									echo "s_pay_g_reference_no_required";
									die();
								}	
							} else {
								echo "s_pay_g_transaction_no_required";
								die();
							}
						} else {
							echo "key_mismatched";
							die();
						}
					}
					if( ($v_status_authorization == "1") && ($v_authorization_status == "confirm") ) {

						if( $v_transaction_details['is_email_sent'] == '1' && $v_transaction_details['ticket_receipt_id'] != "" && $v_transaction_details['ticket_ticket_id'] != "" ) {
						
							$v_tickets_receipt_data = array();
							$v_tickets_data = array();
							$v_tidcket_data = \E::get('obj_curr_module')->buy_ticket_reprint_ticket($v_log_data['transaction_id']);
							if( $v_tidcket_data != '' ) {
								array_push($v_tickets_receipt_data, $v_tidcket_data);
							}


							$attachements = array();

							$v_obj_setting['obj'] = \E::get('obj_curr_module');
							$v_att_id1 = \E::get('obj_curr_module')->att_get_by_id("ticket_tickets".$v_log_data['transaction_id']);
							$v_file_id1 = $v_att_id1['sftp_par_id'];
							$v_doc = \A::attachment_get($v_obj_setting, $v_file_id1, TRUE, TRUE);
							$attachements[0]['file_content'] = file_get_contents($v_doc['tmp_name']);
							$attachements[0]['file_type'] = "image/png";
							$attachements[0]['file_name'] = "ticket_tickets.png";

							$v_att_id2 = \E::get('obj_curr_module')->att_get_by_id("ticket_receipt".$v_log_data['transaction_id']);
							$v_file_id2 = $v_att_id2['sftp_par_id'];
							$v_doc1 = \A::attachment_get($v_obj_setting, $v_file_id2, TRUE, TRUE);
							$attachements[1]['file_content'] = file_get_contents($v_doc1['tmp_name']);
							$attachements[1]['file_type'] = "image/png";
							$attachements[1]['file_name'] = "ticket_receipt.png";

							$v_sender_email_address_for_ticket = \E::get('obj_curr_module')->buy_ticket_get_code_table_vallue_by_key_name("sender_email_address_for_buy_ticket");
							$sender = $v_sender_email_address_for_ticket['key_value'];
							$to = $v_tickets_receipt_data[0][0]['contacted_person_email'];
							$subject = \E::get('obj_curr_module_lang')->get('BUY_TICKET_EMAIL_SUBJECT');
							$message = "Your Tickets are cancelled, <br />Please find the attachment for your tickets.";
							$cc = "";
							$ishtml = "Yes";
							$bcc = "";
							$attachment = $attachements;
							$p_reply_to = "";
							\U::send_mail($sender,$to,$subject,$message,$cc,$ishtml,$bcc,$attachment,$p_reply_to);
						}

						echo "authorized";
						$v_log_data['authorization_status'] = \E::get('obj_curr_module_lang')->get('TICKET_LISTING_TEXT_AUTHORIZED');
						$v_log_data['cashier_user_id'] = $v_current_user_id;
						$v_log_data['remarks'] = $_POST['ticket_cancell_remarks'];
						$v_log_data['location_admin_user_id'] = $v_user_list_info['usr_short_name'];
						$v_log_data['date_time'] = date("Y-m-d H:i:s");
						$v_log_data['agency_id'] = $v_c_user_agency_id;
						$v_log_data['location_id'] = $v_c_user_location_id;
						$v_log_status = \E::get('obj_curr_module')->user_group_add_logs_data($v_log_data, "Ticket Cancellation", "Ticket Listing(Receipt)", NULL);
						die();
					}
				}  else {
					echo "merchant_private_key_not_found";
				}
			} else {
				echo "merchant_id_not_found";
				die;
			}
			echo "something_wrong";
			die();
		} else {
			echo "something_wrong";
			die();
		}
	} else {
		echo "error";
		die();
	}
}
?>