<?PHP
$v_access_view = \E::get('obj_curr_module')->ajax_validation_check_permission("view");
if( !$v_access_view ){
	\V::append_data( 'body', \V::load_box( \E::get( 'obj_curr_module_lang')->get('MODULE_AUTHORISED_ERROR'), \V::load_view( $this->get_view_file_path( 'msg_not_authorised', 'share' ), $v_object, $v_var ), 'box_form.php' ) );
	\V::output_view( 'template_login.php' );
	exit;
}
$v_param = $this->get_param();
$v_tmp_list = \E::get('obj_curr_module')->user_group_list();
$v_group_list['no_access'] = "[No Access]";
if (is_array($v_tmp_list)) {
	for ($v_c = 0; $v_c < count($v_tmp_list); $v_c++) {
		$v_group_list[$v_tmp_list[$v_c]['group_id']] = $v_tmp_list[$v_c]['group_name'];
	}
}
$v_id = $v_param[0];
$v_user_roles = \E::get('obj_curr_module')->user_group_list();
$v_agency_dta = \E::get('obj_curr_module')->user_group_agency_lit();
$v_location_data = \E::get('obj_curr_module')->user_group_location_list();
$v_ticketing_category = \E::get('obj_curr_module')->ticket_profile_category_list_by_agency();
$v_get_ticket_templates = \E::get( 'obj_curr_module')->ticket_template_get_ticket_templates($v_id);
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	foreach ($_POST as $v_key => $v_value) {
		$_POST[$v_key] = trim($v_value);
	}
	\I::check("COMPULSORY", 'ticket_profile_code', \E::get("obj_kernel_lang")->get('ERR_JS_FIELD_REQUIRED'));
	\I::check("COMPULSORY", 'ticket_profile_name', \E::get("obj_kernel_lang")->get('ERR_JS_FIELD_REQUIRED'));
	$v_field_name = "code";
	$v_table_name = "ticket_profile";
	$v_field_value = $_POST['ticket_profile_code'];
	$v_check_info = \E::get('obj_curr_module')->user_check_duplicate_field_edit($v_field_name, $v_field_value, $v_table_name, $v_id);
	if ($v_check_info && is_array($v_check_info)) {
		\I::set_error_field('ticket_profile_code', \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_CODE_ALREADY_EXISTS'));
	}
	$v_field_name = "name";
	$v_field_value = $_POST['ticket_profile_name'];
	$v_check_info = \E::get('obj_curr_module')->user_check_duplicate_field_edit($v_field_name, $v_field_value, $v_table_name, $v_id);
	if ($v_check_info && is_array($v_check_info)) {
		\I::set_error_field('ticket_profile_name', \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_NAME_ALREADY_EXISTS'));
	}
	if (!\I::is_error()) {
		$v_update['code'] = $_POST['ticket_profile_code'];
		$v_update['name'] = $_POST['ticket_profile_name'];
		$v_update['agency'] = $_POST['ticket_profile_agency_name'];
		$v_update['category'] = $_POST['ticket_profile_category'];
		$v_update['price'] = $_POST['ticket_profile_price'];
		$v_update['location'] = $_POST['ticket_profile_location'];
		$v_update['remarks'] = $_POST['ticket_profile_remarks'];
		$v_logged_in_user_id = \E::get_session('usr_id');
		$v_str_now = date("Y-m-d H:i:s");
		$v_update['_rec_modified_by'] = $v_logged_in_user_id;
		$v_update['_rec_modified_on'] = $v_str_now;
		$v_locations_update = \E::get('obj_curr_module')->ticket_profile_update($v_update, $v_id);
		$v_add['usr_id'] = $v_locations_update;
		$v_usr_id = $v_id;
		if (isset($v_usr_id) && $v_usr_id !== FALSE) {
			$v_log_status = \E::get('obj_curr_module')->user_group_add_logs_data($_POST, "Update", "Ticket Profile", $_POST['old_value']);
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title', \E::get('obj_curr_module_lang')->get('SUCCESS'));
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message', \E::get('obj_curr_module_lang')->get('RECORD_UPDATED'));
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status', 'success');
		} else {
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title', \E::get('obj_curr_module_lang')->get('FAILED'));
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message', \E::get('obj_curr_module_lang')->get('FAILED_TO_ADD_RECORD'));
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status', 'error');
		}
		header('location: ' . \E::get('obj_curr_module')->build_action_path('ticket_profile', 'edit', $v_id));
		exit();
	}
	foreach ($_POST as $v_key => $v_value) {
		$v_var[$v_key] = trim($v_value);
	}
}
$v_var['today_date'] = \E::get('obj_curr_module')->__to_display_date(\E::get('obj_curr_module')->__now(), 'DATE');
$v_var['mode'] = 'add';
$v_var['group_list'] = $v_group_list;
$v_var['user_roles'] = $v_user_roles;
$v_var['agency_dta'] = $v_agency_dta;
$v_var['location_data'] = $v_location_data;
$v_var['ticket_categories'] = $v_ticketing_category;
$v_var['controller_name'] = "edit";
$v_location_data = \E::get('obj_curr_module')->ticket_profile_get_by_id($v_id);
$v_cond['usr_id'] = $v_location_data['_rec_created_by'];
$v_user_info = \E::get('obj_system_module')->user_get($v_cond);
$v_var['re_modified_by'] = $v_user_info['usr_full_name'];
$v_var['re_modified_date'] = $v_location_data['_rec_modified_on'];
$v_var['view_data'] = $v_location_data;
$v_var['id'] = $v_id;
$v_var['template_made_status'] = $v_get_ticket_templates;
\V::append_data('js', \V::load_view(MODULE_PLUGIN_PATH . 'sweetalert2/moonlight_init.php', $v_object, $v_var));
\V::append_data('menu', \V::load_view($this->get_view_file_path('menu', 'share'), $v_object, $v_var));
\V::append_data('body', \V::load_view($this->get_view_file_path('view'), $v_object, $v_var));
\V::output_view();
?>