<?php
namespace moonlight\eticket;
class eticket_payment_method_mysql {
	private $co_db_root;
	public function __call($name, $arguments){
		$v_tmp_arr = explode("_", $name);
		$v_call_obj = $v_tmp_arr[0];
		if(isset($this->co_db_root)){
			return call_user_func_array(array($this->co_db_root, $name), $arguments);
		}
	}
	public function __construct( &$p_co_db ){
		$this->co_db_root = $p_co_db;
	}
	/**
	 * Retrieve agency by id
	 *
	 * @access public
	 * @return 
	 */
	public function payment_method_all($p_location_id=NULL) {
		$v_spay_payment_options = " ";
		// CHECK LOCATIONS OR AGENCY HAVE THE SPAY OPTION ENABLED AND HAVE MERCHANT &PTJ ID
		if( trim($p_location_id) != NULL && trim($p_location_id) != '' && is_numeric($p_location_id) ) {
			$v_spay_payment_options = " AND id IN(1) ";
			$v_query = "SELECT
							*
				 		FROM 
				 			" . $this->get_db_table_prefix() . "locations 
				 		WHERE
				 			id = '".\U::safe_sql_string( $p_location_id )."'
				 		AND
				 			_rec_status = \"SHOW\";
				 ";
			$v_location_merchant_id = $this->co_db_root->execute_query($v_query);	
			if( isset($v_location_merchant_id[0]) && count($v_location_merchant_id[0]) > 0 ) {
				$v_sarawak_pay_merchant = $v_location_merchant_id[0]['sarawak_pay_merchant'];
				$v_merchant_id = $v_location_merchant_id[0]['merchant_id'];
				$v_merchant_private_key = $v_location_merchant_id[0]['merchant_private_key'];
				$v_merchant_public_key = $v_location_merchant_id[0]['merchant_public_key'];
				$v_ptj_code = $v_location_merchant_id[0]['ptj_code'];
				// CHECKING FOR LOCATION IF HAVE THE SPAY OPTION ENABLED AND HAVE MERCHANT &PTJ ID
				if( ($v_sarawak_pay_merchant == "yes") && (trim($v_merchant_id) != "" ) && (trim($v_merchant_private_key) != "" ) && (trim($v_merchant_public_key) != "" ) ) {
					$v_spay_payment_options = " ";
				} else {
					// CHECKING FOR AGENCY IF HAVE THE SPAY OPTION ENABLED AND HAVE MERCHANT &PTJ ID
					if( trim($v_location_merchant_id[0]['agency_id']) != NULL && trim($v_location_merchant_id[0]['agency_id']) != '' && is_numeric($v_location_merchant_id[0]['agency_id']) ) {
						$v_query_agency = "SELECT
										*
							 		FROM 
							 			" . $this->get_db_table_prefix() . "agency
							 		WHERE
							 			ag_id = '".\U::safe_sql_string( $v_location_merchant_id[0]['agency_id'] )."'
							 		AND
							 			_rec_status = \"SHOW\";
							 ";
						$v_agency_merchant_id = $this->co_db_root->execute_query($v_query_agency);	
						if( isset($v_agency_merchant_id[0]) && count($v_agency_merchant_id[0]) > 0 ) {
							$v_sarawak_pay_merchant_agancy = $v_agency_merchant_id[0]['sarawak_pay_merchant'];
							$v_merchant_id_agancy = $v_agency_merchant_id[0]['merchant_id'];
							$v_ptj_code_agancy = $v_agency_merchant_id[0]['ptj_code'];
							if( ($v_sarawak_pay_merchant_agancy == "yes") && (trim($v_merchant_id_agancy) != "" ) ) {
								$v_spay_payment_options = " ";
							}
						}
					}
				}
			}
		}
		$v_query = "SELECT
						*
			 		FROM 
			 			" . $this->get_db_table_prefix() . "payment_methods 
			 		WHERE
			 			_rec_status = \"SHOW\"
			 			".$v_spay_payment_options."
			 ";
		$v_locations_data = $this->co_db_root->execute_query($v_query);	
		return $v_locations_data;
	}
	/**
	 * Get Payment Method BY ID
	 *
	 * @access public
	 * @return
	 */
	public function payment_method_by_id($p_id) {
		if( $p_id && $p_id != '' ) {
			$v_query = "SELECT
							*
				 		FROM 
				 			" . $this->get_db_table_prefix() . "payment_methods 
				 		WHERE
				 			_rec_status = \"SHOW\"
				 		AND 
				 			id = '".\U::safe_sql_string( $p_id )."'
				 ";
			$v_locations_data = $this->co_db_root->execute_query($v_query);	
			return $v_locations_data;
		}
	}
}
?>