<?php
namespace moonlight\eticket;
class eticket_ticket_profile {
	private $co_db;
	public function __construct( $p_co_db ){
		$this->co_db = $p_co_db;
	}
	public function __destruct(){
		unset($this->co_db);
	}
	/**
	 * Insert new ticket profile save
	 *
	 * @access public
	 * @return
	 */
	public function ticket_profile_save( $p_data ){
		return $this->co_db->ticket_profile_save( $p_data );
	}
	/**
	 * Update ticket profile
	 *
	 * @access public
	 * @return
	 */
	public function ticket_profile_update( $p_data, $p_id_to_update_table ){
		return $this->co_db->ticket_profile_update( $p_data, $p_id_to_update_table );
	}
	/**
	 * Update ticket profile
	 *
	 * @access public
	 * @return
	 */
	public function ticket_profile_get_by_id($p_profile_id){
		return $this->co_db->ticket_profile_get_by_id($p_profile_id);
	}
	/**
	 * GET ticket profile BY Category id
	 *
	 * @access public
	 * @return
	 */
	public function ticket_profile_get_by_category_id($p_category_id, $p_location_id){
		return $this->co_db->ticket_profile_get_by_category_id($p_category_id, $p_location_id);
	}
	/**
	 * Soft delete ticket profile by id
	 *
	 * @access public
	 * @return
	 */
	public function ticket_profile_delete( $p_value ){
		$v_result = $this->co_db->ticket_profile_delete( $p_value );
		return $v_result;
	}
	/**
	 * Retrieve ticket profile listing with filters
	 *
	 * @access public
	 * @return
	 */
	public function ticket_profile_list_with_no_post($p_cond=NULL, $p_sort_by=NULL, $p_order_by=NULL, $p_page_start=NULL, $p_page_length=NULL){
		return $this->co_db->ticket_profile_list_with_no_post($p_cond, $p_sort_by, $p_order_by, $p_page_start, $p_page_length);
	}
	/**
	 * Retrieve ticket category list
	 *
	 * @access public
	 * @return
	 */
	public function ticket_profile_category_list(){
		return $this->co_db->ticket_profile_category_list();
	}
	/**
	 * Retrieve location list
	 *
	 * @access public
	 * @return
	 */
	public function ticket_profile_location_data($p_location_id){
		return $this->co_db->ticket_profile_location_data($p_location_id);
	}
	/**
	 * Retrieve ticket category list
	 *
	 * @access public
	 * @return
	 */
	public function ticket_profile_category_data($p_category_id){
		return $this->co_db->ticket_profile_category_data($p_category_id);
	}
	/**
	 * Retrieve ticket category list by agency
	 *
	 * @access public
	 * @return
	 */
	public function ticket_profile_category_list_by_agency(){
		return $this->co_db->ticket_profile_category_list_by_agency();
	}
}
?>