<?php
$v_access_agency = \E::get('obj_curr_module')->ajax_validation_check_permission("view", "agency");
$v_access_location = \E::get('obj_curr_module')->ajax_validation_check_permission("view", "location");
?>
	<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
		<div class="container-fluid">
			<div class="row mb-2">
				<div class="col-sm-12 breadcrumb_container">
					<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
						<?php echo \E::get('obj_curr_module_lang')->get('AGENCY_MAINTENANCE_BREADCRUMB_HOME'); ?>
					</a> /
					<a href="<?php echo \E::get('obj_curr_module')->build_action_path('system_administrator', 'list'); ?>">
						<?php echo \E::get('obj_curr_module_lang')->get('AGENCY_MAINTENANCE_BREADCRUMB_SETUP_CONFIGURATION'); ?>
					</a> /
					<?php echo \E::get('obj_curr_module_lang')->get('AGENCY_MAINTENANCE_BREADCRUMB_AGENCY_MAINTENANCE'); ?>
				</div>
				<div class="col-sm-6 pl-3 pt-3">
					<h5 class="m-0 pb-0 module_name">
						<?php
						if ($v_controller_name == "list") {
							echo \E::get('obj_curr_module_lang')->get('AGENCY_MAINTENANCE_NAME');
						}
						?>
					</h5>
				</div>
			</div>
		</div>
	</div>
	<hr/>
	<div class="table-responsive">
		<table class="table table-striped table-bordered">
			<thead>
			<tr>
				<th scope="col"><?php echo \E::get('obj_curr_module_lang')->get('AGENCY_MAINTENANCE_NO'); ?></th>
				<th scope="col"><?php echo \E::get('obj_curr_module_lang')->get('AGENCY_MAINTENANCE_FUNCTION'); ?></th>
			</tr>
			</thead>
			<tbody>
			<?php
			$v_module_counter = 0;
			if ($v_access_agency == 1) { ?>
				<tr>
					<td scope="row"><?php echo ++$v_module_counter . "."; ?></td>
					<td>
						<h5><a href="<?php echo \E::get('obj_curr_module')->build_action_path('agency', 'list'); ?>">
								<?php echo \E::get('obj_curr_module_lang')->get('AGENCY_MAINTENANCE_USER_PROFILE'); ?>
							</a></h5>
					</td>
				</tr>
				<?php
			}
			if ($v_access_location == 1) { ?>
				<tr>
					<td scope="row"><?php echo ++$v_module_counter . "."; ?></td>
					<td>
						<h5><a href="<?php echo \E::get('obj_curr_module')->build_action_path('location', 'list'); ?>">
								<?php echo \E::get('obj_curr_module_lang')->get('AGENCY_MAINTENANCE_USER_ROLE'); ?>
							</a></h5>
					</td>
				</tr>
				<?php
			} ?>
			</tbody>
		</table>
	</div>
<?PHP
\I::load_error();
?>