<?php $v_access_add = \E::get('obj_curr_module')->ajax_validation_check_permission('add'); ?>
<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
	<div class="container-fluid">
		<div class="row mb-2">
			<div class="col-sm-12 breadcrumb_container">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('LOCATION_BREADCRUMB_HOME'); ?>
				</a> /
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('report', 'list'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('REPRINT_TICKET_REPORT'); ?>
				</a> /
				<?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_HEADING'); ?>
			</div>
			<div class="col-sm-6 pl-3 pt-3">
				<h5 class="m-0 pb-0 module_name">
					<?php
					if ($v_controller_name == "list") {
						echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_HEADING');
					}
					?>
				</h5>
			</div>
		</div>
	</div>
</div>
<hr/>
<div class="row mb-3 ml-5">
	<div class="col-md-12">
		<div class="row form-group">
			<div class="col-sm-8 mt-4">
				<div class="row">
					<?php $v_sarawak_pay_merchant_add = \U::safe_display_string(isset($v_sarawak_pay_merchant) ? $v_sarawak_pay_merchant : ""); ?>
					<div class="col-md-10 mb-4 report_type_each_row">
						<input class="" type="radio" class="radio_checking sarawak_main_radio_options" value="1" name="same_day_report">
						<div class="spacing_between_radio_and_container"></div>
						<label class="form-check-label" for="report_overall"> <?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_OVERALL'); ?></label>
					</div>
					<div class="col-md-10 mb-4 report_type_each_row">
						<input class="" type="radio" class="radio_checking sarawak_main_radio_options" value="2" name="same_day_report">
						<div class="spacing_between_radio_and_container"></div>
						<label class="form-check-label" for="report_personal"> <?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_PERSONAL'); ?> </label>
					</div>
					<div class="col-md-10 mb-2 report_type_each_row">
						<input class="" type="radio" class="radio_checking sarawak_main_radio_options" value="3" name="same_day_report">
						<div class="spacing_between_radio_and_container"></div>
						<label class="form-check-label" for="reconciliation"> <?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_RECONCILIATION'); ?> </label>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-2 col-xl-1">
				<i class="fas fa-sliders-h fa-lg"></i>
				<span class="font-weight-bold">
                    <?php echo \E::get('obj_curr_module_lang')->get('AGENCY_FILTER'); ?>
                </span>
			</div>
			<div class="col-xl-7 col-lg-7 col-md-7 col-sm-7 pl-5" id="agency_select_container">
				<div class="form-group">
					<label for="usr_name" data-id="agency_filter" class="filter_container category_label col-form-label text-secondary rounded-pill border border-secondary px-5 mb-2">
						<?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_STATUS_FILTER_TEXT'); ?>
					</label>
					<i  data-id="agency_filter" class="fas fa-chevron-down  ml-n5 pl-3 category_name_arrow text-secondary filter_container"></i>
					<div id="select2_container_category_filter">
						<select class="user_name form-control" name="states" id="agency_filter">
							<?php
							if (isset($v_filter_status) && count($v_filter_status) > 0) {
								foreach ($v_filter_status as $v_key => $v_filter_status) { ?>
									<option value="<?php echo \U::safe_display_string($v_filter_status['id']); ?>"><?php echo \U::safe_display_string($v_filter_status['key_value']); ?></option>
									<?php
								}
							}
							?>
						</select>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="row mt-3 mb-4 ml-5">
	<div class="col-md-2">
		<button type="button" onclick="onreset_method();" id="btn-reset-all" class='btn-default form-control'><?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_RESET'); ?></button>
	</div>
	<div class="col-md-2">
		<button type="button" onclick="change_form_action();" class='btn-primary form-control'><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_GENERATE'); ?></button>
	</div>
</div>
<?PHP
\I::load_error();
?>
<script>
	function generate_filter(p_filter_label_class, p_category_filter_selected_count) {
		var v_message_name = "";
		if (p_filter_label_class == "category_label") {
			v_message_name = "<?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_SALES_TABLE_REPORT_STATUS'); ?>";
		}
		if (p_category_filter_selected_count != 0) {
			$("." + p_filter_label_class).addClass("filter_label_select_class");
			$("." + p_filter_label_class).parents('.form-group').find("i").attr('style', 'color: green !important');
			$("." + p_filter_label_class).parents('.form-group').find("label").attr('style', 'border: 2px solid green !important;  color: green !important; font-weight: bold !important;');
			$("." + p_filter_label_class).html(p_category_filter_selected_count + " " + v_message_name);
		} else {
			$("." + p_filter_label_class).removeClass("filter_label_select_class");
			$("." + p_filter_label_class).html(v_message_name);
			$("." + p_filter_label_class).parents('.form-group').find("i").attr('style', 'color: #6c757d !important');
			$("." + p_filter_label_class).parents('.form-group').find("label").attr('style', 'border: 1px solid #6c757d !important;  color: #6c757d!important; font-weight: 400 !important;');
		}
	}
	$(document).ready(function () {
		var v_category_filter_selected_count = 0;
		var v_locations_filter_selected_count = 0;
		$("#agency_filter").on("select2:close", function (e) {
			var select_val = $("#agency_filter option:selected").length;
			generate_filter("category_label", select_val);
		});
		$("#agency_filter").select2({minimumResultsForSearch: -1});
		$('#select2_container_category_filter').hide();
	});
	var is_open_category = 0;
	$(document).on('click', '.filter_container', function (e) {
		if ($(this).data("id") === "agency_filter") {
			if (is_open_category == 0) {
				is_open_category = 1;
				$('#select2_container_category_filter').fadeIn(700);
				$('#agency_filter').select2('open');
				$(".category_name_arrow").removeClass("fa-chevron-down");
				$(".category_name_arrow").addClass("fa-chevron-up");
			} else {
				is_open_category = 0;
				$('#select2_container_category_filter').fadeOut(300);
				$('#agency_filter').select2('close');
				$(".category_name_arrow").removeClass("fa-chevron-up");
				$(".category_name_arrow").addClass("fa-chevron-down");
			}
		}
	});
	function onreset_method() {
		$("input[name=same_day_report]").prop("checked", false);
	}
	function change_form_action() {
		var checked_radio = $('input[name=same_day_report]:checked').val()
		var report_status = $("#agency_filter").val();
		var checked_radio = $('input[name=same_day_report]:checked').val()
		if (report_status && report_status != '') {
			report_status = "/" + report_status;
		}
		if (checked_radio && checked_radio != '') {
			if (checked_radio == 1) {
				var v_action_path = "<?php echo \E::get('obj_curr_module')->build_action_path('same_day_report', 'report'); ?>";
				window.location.href = v_action_path + checked_radio + report_status;
			} else if (checked_radio == 2) {
				var v_action_path = "<?php echo \E::get('obj_curr_module')->build_action_path('same_day_report', 'report'); ?>";
				window.location.href = v_action_path + checked_radio + report_status;
			} else if (checked_radio == 3) {
				var v_action_path = "<?php echo \E::get('obj_curr_module')->build_action_path('same_day_report', 'report'); ?>";
				window.location.href = v_action_path + checked_radio + report_status;
			}
		} else {
			Swal.fire({
				title: '<font  class="title_heading">' + "<?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_NO_REPORT_SELECTED'); ?>" + '</font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
		}
	}
</script>