<style>
.break-after {
	/* page-break-after: always; */
	page-break-before: always
}
</style>
<!DOCTYPE html>
<html>
<head>
	<style> 
		.td_content {
			padding: 0;
			margin: 0;
			width:100%;
			border-collapse:separate; 
			font-size:12px;
			position: relative;
		}
		.td_content td { 
			height: 16px; 
		} 
		.td_content tr {
			page-break-inside: avoid !important;
		}
		.td_auto_height td {
			height :auto;
		}
		.td_footer { 
			page-break-after: always;
		}
	</style>
</head>
<body>
<?PHP
ini_set( 'memory_limit', '256M' );
if ( isset( $_GET[ 'type' ] ) && $_GET[ 'type' ] != '' ){
	$v_today_date = \E::get('obj_curr_module')->__to_display_date(\E::get('obj_curr_module')->__now(), 'DATE');
	if ( $_GET[ 'type' ] == 'pukal_account_listing' ) {
		$v_cond['area_code_id'] = ( isset( $_GET['area_code_id'] ) && $_GET['area_code_id'] != '' ? $_GET['area_code_id'] : '' );
		$v_cond['site_code'] = $_GET['site_code'];
		$v_cond['account_type'] = $_GET['account_type'];
		if( $v_cond['account_type'] == 'state' ){
			$v_report_details_list = \E::get( 'obj_curr_module' )->reporting_pukal_accounts_state_listing($v_cond);
			$v_report_details_list_total = number_format( \E::get( 'obj_curr_module' )->reporting_pukal_accounts_state_listing_total($v_cond), 0 );
			$v_count = 1;
			$v_html = '';
			$v_html .= '<table cellspacing="0" cellpadding="8" class="td_content">';
			$v_html .= '<thead>';
			$v_html .= '<tr>';
			$v_html .= '<th colspan="100%" style="border-bottom:1px solid #000;">';
			$v_html .= '<h1 style="text-align:center; font-weight:normal;">' . \E::get( "obj_curr_module_lang" )->get('REPORT_HEADER') . '</h1>';
			$v_html .= '<h2 style="text-align:center">' . \E::get( "obj_curr_module_lang" )->get('PUKAL_ACCOUNTS_LISTING_STATE') . '</h2>';
			$v_html .= '<table class="td_auto_height" cellspacing=0 cellpadding=2 style="width:97.5%;font-weight:normal;position:absolute;top:65px;">';
			$v_html .= '<tr>';
			$v_html .= '<td style="width:12.5%; text-align:left;">&nbsp;</td>';
			$v_html .= '<td style="width:37.5%; text-align:left;">&nbsp;</td>';
			$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('TOTAL_RECORD') . ': ' . '</td>';
			$v_html .= '<td style="width:7.5%; text-align:right;">' . $v_report_details_list_total . '</td>';
			$v_html .= '</tr>';
			$v_html .= '<tr>';
			$v_html .= '<td style="width:12.5%; text-align:left;">' . \E::get('obj_curr_module_lang')->get('PUKAL_BILLING_FEDERAL_SUMMARY_JBALB_OFFICE') . ':</td>';
			$v_html .= '<td style="width:37.5%; text-align:left;">' . $v_cond['site_code'] .'</td>';
			$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('PRINTED_ON') . ': ' . '</td>';
			$v_html .= '<td style="width:7.5%; text-align:right;">' . $v_today_date . '</td>';
			$v_html .= '</tr>';
			$v_html .= '</table>';
			$v_html .= '</th>';
			$v_html .= '</tr>';
			$v_html .= '<tr>';
			$v_html .= '<th width="3%" style="border-bottom:1px solid #000; text-align:center;">' . \E::get('obj_kernel_lang')->get('TBL_NO') . '</th>';
			$v_html .= '<th width="15%" style="border-bottom:1px solid #000; text-align:center;">' . \E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNTS_LISTING_SIFBAS_APP_REF_NO') . '</th>';
			$v_html .= '<th width="12%" style="border-bottom:1px solid #000; text-align:left;">' . \E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNTS_LISTING_CONSUMER_ACC_NO') . '</th>';
			$v_html .= '<th width="15%" style="border-bottom:1px solid #000; text-align:left;">' . \E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNTS_LISTING_CONSUMER_NAME') . '</th>';
			$v_html .= '<th width="20%" style="border-bottom:1px solid #000; text-align:left;">' . \E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNTS_LISTING_METER_LOC_ADDRESS') . '</th>';
			$v_html .= '<th width="10%" style="border-bottom:1px solid #000; text-align:center;">' . \E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNTS_LISTING_PTJ_PAYER') . '</th>';
			$v_html .= '<th width="15%" style="border-bottom:1px solid #000; text-align:center;">' . \E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNTS_LISTING_SYNC_DATE') . '</th>';
			$v_html .= '<th width="10%" style="border-bottom:1px solid #000; text-align:center;">' . \E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNTS_LISTING_ACC_STATUS') . '</th>';
			$v_html .= '</tr>';
			$v_html .= '</thead>';
			$v_html .= '<tbody>';
			if( is_array( $v_report_details_list ) ){
				foreach( $v_report_details_list as $v_key => $v_row ){
					if( $v_row['acc_status'] == "A" ){
						$v_acc_status = \E::get('obj_curr_module_lang')->get('ACTIVE');
					}else if ( $v_row['acc_status'] == "T" ){
						$v_acc_status = \E::get('obj_curr_module_lang')->get('TERMINATED');
					}
					$v_html .= '<tr style="' . ( $v_count % 2 == 0 ? 'background-color:#EDEDED;' : '' ) . 'vertical-align:top;line-height:18px;">';
					$v_html .= '<td style="text-align:center;">' . $v_count . '</td>';
					$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['sifbas_app_ref_no'] ) . '</td>';
					$v_html .= '<td>' . \U::safe_display_string( $v_row['consumer_acc_no'] ) . '</td>';
					$v_html .= '<td>' . \U::safe_display_string( $v_row['consumer_name'] ) . '</td>';
					$v_html .= '<td>' . \U::safe_display_string( $v_row['meter_loc_address'] ) . '</td>';
					$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['ptj_payer'] ) . '</td>';
					$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['syn_datetime'] ) . '</td>';
					$v_html .= '<td style="text-align:center;">' . $v_acc_status . '</td>';
					$v_html .= '</tr>';
					$v_count ++;
				}
			}else{
				$v_html .= '<tr>';
				$v_html .= '<td colspan="9" style="text-align:center;">' . \E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNTS_LISTING_NO_DATA') . '</td>';
				$v_html .= '</tr>';
			}
			$v_html .= '</tbody>';
			$v_html .= '</table>';
		}elseif( $v_cond['account_type'] == 'federal' ){
			$v_report_details_list = \E::get( 'obj_curr_module' )->reporting_pukal_accounts_federal_listing($v_cond);
			$v_report_details_list_total = number_format( \E::get( 'obj_curr_module' )->reporting_pukal_accounts_federal_listing_total($v_cond), 0 );
			$v_business_area_code = \E::get( 'obj_curr_module' )->business_area_code_get( $v_cond )[0]['area_code'];
			$v_count = 1;
			$v_html = '';
			$v_html .= '<table cellspacing="0" cellpadding="8" class="td_content">';
			$v_html .= '<thead>';
			$v_html .= '<tr>';
			$v_html .= '<th colspan="100%" style="border-bottom:1px solid #000;">';
			$v_html .= '<h1 style="text-align:center; font-weight:normal;">' . \E::get( "obj_curr_module_lang" )->get('REPORT_HEADER') . '</h1>';
			$v_html .= '<h2 style="text-align:center">' . \E::get( "obj_curr_module_lang" )->get('PUKAL_ACCOUNTS_LISTING_FEDERAL') . '</h2>';
			$v_html .= '<table class="td_auto_height" cellspacing=0 cellpadding=2 style="width:97.5%;font-weight:normal;position:absolute;top:75px;">';
			$v_html .= '<tr>';
			$v_html .= '<td style="width:12.5%; text-align:left;">' . \E::get('obj_curr_module_lang')->get('PUKAL_BILLING_FEDERAL_SUMMARY_JBALB_OFFICE') . ':</td>';
			$v_html .= '<td style="width:37.5%; text-align:left;">' . $v_cond['site_code'] .'</td>';
			$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('TOTAL_RECORD') . ': ' . '</td>';
			$v_html .= '<td style="width:7.5%; text-align:right;">' . $v_report_details_list_total . '</td>';
			$v_html .= '</tr>';
			$v_html .= '<tr>';
			$v_html .= '<td style="width:12.5%; text-align:left;">' . \E::get('obj_curr_module_lang')->get('PUKAL_BILLING_FEDERAL_SUMMARY_BUSINESS_AREA_CODE') . ':</td>';
			$v_html .= '<td style="width:37.5%; text-align:left;">' . $v_business_area_code .'</td>';
			$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('PRINTED_ON') . ': ' . '</td>';
			$v_html .= '<td style="width:7.5%; text-align:right;">' . $v_today_date . '</td>';
			$v_html .= '</tr>';
			$v_html .= '</table>';
			$v_html .= '</th>';
			$v_html .= '</tr>';
			$v_html .= '<tr>';
			$v_html .= '<th width="3%" style="border-bottom:1px solid #000;">' . \E::get('obj_kernel_lang')->get('TBL_NO') . '</th>';
			$v_html .= '<th width="1%" style="text-align:left; border-bottom:1px solid #000;"></th>';
			$v_html .= '<th width="12%" style="text-align:left; border-bottom:1px solid #000;">' . \E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNTS_LISTING_CONSUMER_ACC_NO') . '</th>';
			$v_html .= '<th width="1%" style="text-align:left; border-bottom:1px solid #000;"></th>';
			$v_html .= '<th width="22%" style="text-align:left; border-bottom:1px solid #000;">' . \E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNTS_LISTING_CONSUMER_NAME') . '</th>';
			$v_html .= '<th width="21%" style="text-align:left; border-bottom:1px solid #000;">' . \E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNTS_LISTING_METER_LOC_ADDRESS') . '</th>';
			$v_html .= '<th width="1%" style="text-align:left; border-bottom:1px solid #000;"></th>';
			$v_html .= '<th width="10%" style="text-align:center; border-bottom:1px solid #000;">' . \E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNTS_LISTING_PTJ_PAYER') . '</th>';
			$v_html .= '<th width="10%" style="text-align:center; border-bottom:1px solid #000;">' . \E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNTS_LISTING_PTJ_RESPONSIBLE') . '</th>';
			$v_html .= '<th width="10%" style="text-align:center; border-bottom:1px solid #000;">' . \E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNTS_LISTING_ACC_STATUS') . '</th>';
			$v_html .= '<th width="9%" style="text-align:center; border-bottom:1px solid #000;">' . \E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNTS_LISTING_AP503_EXPORTED') . '</th>';
			$v_html .= '</tr>';
			$v_html .= '</thead>';
			$v_html .= '<tbody>';
			if( is_array( $v_report_details_list ) ){
				foreach( $v_report_details_list as $v_key => $v_row ){
					if( $v_row['acc_status'] == "A" ){
						$v_acc_status = \E::get('obj_curr_module_lang')->get('ACTIVE');
					}else if ( $v_row['acc_status'] == "T" ){
						$v_acc_status = \E::get('obj_curr_module_lang')->get('TERMINATED');
					}
					if( $v_row['ap503_exported'] == "0" ){
						$v_ap503_exported = \E::get('obj_curr_module_lang')->get('NO');
					}else if ( $v_row['ap503_exported'] == "1" ){
						$v_ap503_exported = \E::get('obj_curr_module_lang')->get('YES');
					}
					$v_html .= '<tr style="' . ( $v_count % 2 == 0 ? 'background-color:#EDEDED;' : '' ) . 'vertical-align:top;line-height:18px;">';
					$v_html .= '<td style="text-align:center;">' . $v_count . '</td>';
					$v_html .= '<td></td>';
					$v_html .= '<td>' . \U::safe_display_string( $v_row['consumer_acc_no'] ) . '</td>';
					$v_html .= '<td></td>';
					$v_html .= '<td>' . \U::safe_display_string( $v_row['CONS_NAME'] ) . '</td>';
					$v_html .= '<td>' . \U::safe_display_string( $v_row['ACCT_BILLING_ADDRESS'] ) . '</td>';
					$v_html .= '<td></td>';
					$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['ptj_payer'] ) . '</td>';
					$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['ptj_responsible'] ) . '</td>';
					$v_html .= '<td style="text-align:center;">' . $v_acc_status . '</td>';
					$v_html .= '<td style="text-align:center;">' . $v_ap503_exported . '</td>';
					$v_html .= '</tr>';
					$v_count ++;
				}
			}else{
				$v_html .= '<tr>';
				$v_html .= '<td colspan="100%" style="text-align:center;">' . \E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNTS_LISTING_NO_DATA') . '</td>';
				$v_html .= '</tr>';
			}
			$v_html .= '</tbody>';
			$v_html .= '</table>';
		}
	} elseif ( $_GET[ 'type' ] == 'pukal_billing_federal_summary' ) {
		$v_cond['area_code_id'] = $_GET['area_code_id'];
		$v_cond['site_code'] = $_GET['site_code'];
		$v_site_code = ( $_GET['site_code'] != 'all' ) ? $_GET['site_code'] : strtoupper( $_GET['site_code'] );
		$v_date_from = explode('-', $_GET['generation_date_from']);
		$v_cond['generation_date_from'] = $v_date_from[2] . '-' . $v_date_from[1] . '-' . $v_date_from[0];
		$v_date_to = explode('-', $_GET['generation_date_to']);
		$v_cond['generation_date_to'] = $v_date_to[2] . '-' . $v_date_to[1] . '-' . $v_date_to[0];
		$v_business_area_code = \E::get( 'obj_curr_module' )->business_area_code_get( $v_cond )[0]['area_code'];
		//generate report process
		$v_report_details_list = \E::get( 'obj_curr_module' )->reporting_billing_federal_list($v_cond);
		$v_report_details_list_total = \E::get( 'obj_curr_module' )->reporting_billing_federal_list_total($v_cond);
		$v_count = 1;
		$v_html = '';
		$v_html .= '<table cellspacing="0" cellpadding="8" class="td_content">';
		$v_html .= '<thead>';
		$v_html .= '<tr>';
		$v_html .= '<th colspan="100%" style="border-bottom:1px solid #000;">';
		$v_html .= '<h1 style="text-align:center; font-weight:normal;">' . \E::get( "obj_curr_module_lang" )->get('REPORT_HEADER') . '</h1>';
		$v_html .= '<h2 style="text-align:center">' . \E::get( "obj_curr_module_lang" )->get('PUKAL_BILLING_FEDERAL_SUMMARY_TITLE') . '</h2>';
		$v_html .= '<table class="td_auto_height" cellspacing=0 cellpadding=2 style="width:97.5%;font-weight:normal;position:absolute;top:75px;">';
		$v_html .= '<tr>';
		$v_html .= '<td style="width:12.5%; text-align:left;">' . \E::get('obj_curr_module_lang')->get('PUKAL_BILLING_FEDERAL_SUMMARY_JBALB_OFFICE') . ':</td>';
		$v_html .= '<td style="width:37.5%; text-align:left;">' . $v_site_code .'</td>';
		$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('TOTAL_RECORD') . ': ' . '</td>';
		$v_html .= '<td style="width:7.5%; text-align:right;">' . $v_report_details_list_total . '</td>';
		$v_html .= '</tr>';
		$v_html .= '<tr>';
		$v_html .= '<td style="width:12.5%; text-align:left;">' . \E::get('obj_curr_module_lang')->get('PUKAL_BILLING_FEDERAL_SUMMARY_BUSINESS_AREA_CODE') . ':</td>';
		$v_html .= '<td style="width:37.5%; text-align:left;">' . $v_business_area_code .'</td>';
		$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('PRINTED_ON') . ': ' . '</td>';
		$v_html .= '<td style="width:7.5%; text-align:right;">' . $v_today_date . '</td>';
		$v_html .= '</tr>';
		$v_html .= '</table>';
		$v_html .= '</th>';
		$v_html .= '</tr>';
		$v_html .= '<tr>';
		$v_html .= '<th style="border-bottom:1px solid #000;" width="3%">' . 
					\E::get('obj_kernel_lang')->get('TBL_NO') . 
				 '</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="10%">' . 
					\E::get('obj_curr_module_lang')->get('PUKAL_BILLING_FEDERAL_SUMMARY_JBALB_REF_NO') . 
				 '</th>';
		$v_html .= '<th style="border-bottom:1px solid #000;text-align:center;" width="6%">' . 
					\E::get('obj_curr_module_lang')->get('PUKAL_BILLING_FEDERAL_SUMMARY_BILLING_DATE') . 
				 '</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:right;" width="2%"></th>';
		$v_html .= '<th style="border-bottom:1px solid #000;" width="23.5%">' . 
					\E::get('obj_curr_module_lang')->get('PUKAL_BILLING_FEDERAL_SUMMARY_AP504') . 
				 '</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:right;" width="5%">' . 
					\E::get('obj_curr_module_lang')->get('PUKAL_BILLING_FEDERAL_SUMMARY_NO_BILLING') . 
				 '</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:right;" width="2%"></th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:right;" width="8%">' . 
					\E::get('obj_curr_module_lang')->get('PUKAL_BILLING_FEDERAL_SUMMARY_TOTAL_AMOUNT') . 
				 '</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:right;" width="2%"></th>';
		$v_html .= '<th style="border-bottom:1px solid #000;" width="23.5%">' . 
					\E::get('obj_curr_module_lang')->get('PUKAL_BILLING_FEDERAL_SUMMARY_RETURN_FILE_NAME') . 
				 '</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:right;" width="5%">' . 
					\E::get('obj_curr_module_lang')->get('PUKAL_BILLING_FEDERAL_SUMMARY_NO_RECORD') . 
				 '</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:right;" width="10%">' . 
					\E::get('obj_curr_module_lang')->get('PUKAL_BILLING_FEDERAL_SUMMARY_TOTAL_AMOUNT') . 
				 '</th>';
		$v_html .= '</tr>';
		$v_html .= '</thead>';
		$v_html .= '<tbody>';
		if( is_array( $v_report_details_list ) ){
			$v_last_row = sizeOf($v_report_details_list);
			$v_total_amount = 0.00;
			foreach( $v_report_details_list as $v_key => $v_row ){
				$v_ap_file_name = '';
				$v_ap_total_record = '';
				$v_ap_total_amount = '';
				if ( $v_row[ 'has_505' ] == '1' ){
					$v_ap_file_name = \U::safe_display_string( str_replace( 'AP504', 'AP505', $v_row['ap504_file'] ) );
					$v_ap_total_record = number_format( $v_row[ 'ap505_total' ], 0 );
					$v_ap_total_amount = number_format( $v_row[ 'ap505_amount' ], 2 );
				}
				if ( $v_row[ 'has_506' ] == '1' ){
					$v_ap_file_name .= ( $v_ap_file_name != '' ? '<br/>' : '' ) . \U::safe_display_string( str_replace( 'AP504', 'AP506', $v_row['ap504_file'] ) );
					$v_ap_total_record .= ( $v_ap_total_record != '' ? '<br/>' : '' ) . number_format( $v_row[ 'ap506_total' ], 0 );
					$v_ap_total_amount .= ( $v_ap_total_amount != '' ? '<br/>' : '' ) . number_format( $v_row[ 'ap506_amount' ], 2 );
				}
				if ( $v_row[ 'has_507' ] == '1' ){
					$v_ap_file_name .= ( $v_ap_file_name != '' ? '<br/>' : '' ) . \U::safe_display_string( str_replace( 'AP504', 'AP507', $v_row['ap504_file'] ) );
					$v_ap_total_record .= ( $v_ap_total_record != '' ? '<br/>' : '' ) . number_format( $v_row[ 'ap507_total' ], 0 );
					$v_ap_total_amount .= ( $v_ap_total_amount != '' ? '<br/>' : '' ) . number_format( $v_row[ 'ap507_amount' ], 2 );
				}
				$v_total_amount += \U::safe_display_string( $v_row['total_amount'] );
				$v_html .= '<tr style="' . ( $v_count % 2 == 0 ? 'background-color:#EDEDED;' : '' ) . 'vertical-align:top;line-height:18px;">';
				$v_html .= '<td width="3%">' . $v_count . '</td>';
				$v_html .= '<td width="10%" style="text-align:center;">' . \U::safe_display_string( $v_row['reference_no'] ) . '</td>';
				$v_html .= '<td width="6%" style="text-align:center;">' . \U::safe_display_string( $v_row['date_of_generation'] ) . '</td>';
				$v_html .= '<td width="2%"></td>';
				$v_html .= '<td width="23.5%">' . \U::safe_display_string( $v_row['ap504_file'] ) . '</td>';
				$v_html .= '<td width="5%" style="text-align:right;">' . \U::safe_display_string( number_format( $v_row['total_billing'], 0 ) ) . '</td>';
				$v_html .= '<td width="2%"></td>';
				$v_html .= '<td width="8%" style="text-align:right;">' . \U::safe_display_string( number_format( $v_row['total_amount'], 2 ) ) . '</td>';
				$v_html .= '<td width="2%"></td>';
				$v_html .= '<td width="23.5%">' . $v_ap_file_name . '</td>';
				$v_html .= '<td width="5%" style="text-align:right;">' . $v_ap_total_record . '</td>';
				$v_html .= '<td width="10%" style="text-align:right;">' . $v_ap_total_amount . '</td>';
				$v_html .= '</tr>';
				if( $v_last_row == $v_count ){
					$v_html .= '<tr><td colspan="100%" style="border-top:2px solid black;">';
					$v_html .= '<table cellpadding=0 cellspacing=0 style="width:100%;">';
					$v_html .= '<tr>';
					$v_html .= '<td width="31%"></td>';
					$v_html .= '<td width="18.5%" style="text-align:right;">' . 
								\E::get('obj_curr_module_lang')->get('PUKAL_BILLING_FEDERAL_SUMMARY_TOTAL_AMOUNT') . ' (RM)' . 
							 '</td>';
					$v_html .= '<td width="9.5%" style="text-align:right;">' . number_format($v_total_amount, 2) . '</td>';
					$v_html .= '<td width="31%"></td>';
					$v_html .= '<td width="10%" style="text-align:right;">' . number_format($v_total_amount, 2) . '</td>';
					$v_html .= '</tr>';
					$v_html .= '</table>';
					$v_html .= '</td></tr>';
				}
				$v_count ++;
			}
		}else{
			$v_html .= '<tr>';
			$v_html .= '<td colspan="12" style="text-align:center;">' . \E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNTS_LISTING_NO_DATA') . '</td>';
			$v_html .= '</tr>';
		}
		$v_html .= '</tbody>';
		$v_html .= '</table>';
	} elseif ( $_GET[ 'type' ] == 'success_payment' ) {
		$v_cond['area_code_id'] = $_GET['area_code_id'];
		$v_cond['generation_date_from'] = date( "Y-m-d", strtotime( $_GET['generation_date_from'] ) );
		$v_cond['generation_date_to'] = date( "Y-m-d", strtotime( $_GET['generation_date_to'] ) );
		//generate report process
		$v_report_details_list = \E::get( 'obj_curr_module' )->reporting_success_payment_list($v_cond);
		$v_report_details_list_total = \E::get( 'obj_curr_module' )->reporting_success_payment_list_total($v_cond);
		$v_report_summary =  \E::get( 'obj_curr_module' )->reporting_success_payment_summary($v_cond);
		$v_file_name = '';
		$v_count = 1;			
		$v_html = '';
		$v_total_list_index = 0;
		if( is_array( $v_report_details_list ) ){
			$v_last_row = sizeOf($v_report_details_list);
			$v_total_amount = 0.00;
			$v_bill_total_amount = 0.00;
			foreach( $v_report_details_list as $v_key => $v_row ){
				if ( $v_file_name != $v_row[ 'file_name' ] ) {
					if ( $v_html != '' ) {
						$v_html .= '<tr>';
						$v_html .= '<td colspan="6" style="border-top:2px solid black;" >&nbsp;</td>';
						$v_html .= '<td style="border-top:2px solid black; text-align:right;">' . 
									\E::get('obj_curr_module_lang')->get('PUKAL_BILLING_FEDERAL_SUMMARY_TOTAL_AMOUNT') . ' (RM)' . 
									'</td>';
						$v_html .= '<td style="border-top:2px solid black; text-align:right;">' . number_format($v_bill_total_amount, 2) . '</td>';
						$v_html .= '<td style="border-top:2px solid black; text-align:right;">' . number_format($v_total_amount, 2) . '</td>';
						$v_html .= '<td style="border-top:2px solid black;"></td>';
						$v_html .= '</tr>';
						$v_html .= '</tbody>';
						$v_html .= '</table>';
						$v_html .= '<footer class="td_footer"></footer>';
						$v_count = 1;
						$v_total_amount = 0.00;
						$v_bill_total_amount = 0.00;
					}
					$v_file_name = $v_row[ 'file_name' ];
					$v_html .= '<table cellspacing="0" cellpadding="8" class="td_content">';
					$v_html .= '<thead>';
					$v_html .= '<tr>';
					$v_html .= '<th colspan="100%" style="border-bottom:1px solid #000;">';
					$v_html .= '<h1 style="text-align:center; font-weight:normal;">' . \E::get( "obj_curr_module_lang" )->get('REPORT_HEADER') . '</h1>';
					$v_html .= '<h2 style="text-align:center">' . \E::get( "obj_curr_module_lang" )->get('PUKAL_BILLING_FEDERAL_SUMMARY_TITLE') . '</h2>';
					$v_html .= '<table class="td_auto_height" cellspacing=0 cellpadding=2 style="width:97.5%;font-weight:normal;position:absolute;top:75px;">';
					$v_html .= '<tr>';
					$v_html .= '<td style="width:7.5%; text-align:left;">File Name:</td>';
					$v_html .= '<td style="width:42.5%; text-align:left;">' . $v_file_name . '</td>';
					$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('TOTAL_RECORD') . ': ' . '</td>';
					$v_html .= '<td style="width:7.5%; text-align:right;">' . number_format( $v_report_details_list_total[ $v_total_list_index ][ 'total_rec' ], 0 ) . '</td>';
					$v_html .= '</tr>';
					$v_html .= '<tr>';
					$v_html .= '<td style="width:7.5%; text-align:left;">' . \E::get('obj_curr_module_lang')->get('DATE_RANGE') . ':</td>';
					$v_html .= '<td style="width:42.5%; text-align:left;">' . \E::get('obj_curr_module')->__to_display_date( $_GET['generation_date_from'], 'DATE' ) . ' - ' . \E::get('obj_curr_module')->__to_display_date( $_GET['generation_date_to'], 'DATE' ) .'</td>';
					$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('PRINTED_ON') . ': ' . '</td>';
					$v_html .= '<td style="width:7.5%; text-align:right;">' . $v_today_date . '</td>';
					$v_html .= '</tr>';
					$v_html .= '</table>';
					$v_html .= '</th>';
					$v_html .= '</tr>';
					$v_html .= '<tr>';
					$v_html .= '<th style="border-bottom:1px solid #000;" width="3%">' . 
								\E::get('obj_kernel_lang')->get('TBL_NO') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="5%">' . 
								\E::get('obj_curr_module_lang')->get('SUCCESS_PAYMENT_JBALB_OFFICE') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="10%">' . 
								\E::get('obj_curr_module_lang')->get('SUCCESS_PAYMENT_PAYMENT_DATE') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="10%">' . 
								\E::get('obj_curr_module_lang')->get('SUCCESS_PAYMENT_BUSINESS_AREA_CODE') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="15%">' . 
								\E::get('obj_curr_module_lang')->get('SUCCESS_PAYMENT_PAYMENT_REF_NO') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000;" width="20%">' . 
								\E::get('obj_curr_module_lang')->get('SUCCESS_PAYMENT_CONSUMER_ACCOUNT_NO') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="15%">' . 
								\E::get('obj_curr_module_lang')->get('SUCCESS_PAYMENT_BILL_NO') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000; text-align:right;" width="10%">' . 
								\E::get('obj_curr_module_lang')->get('SUCCESS_PAYMENT_BILL_AMOUNT') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000; text-align:right;" width="10%">' . 
								\E::get('obj_curr_module_lang')->get('SUCCESS_PAYMENT_PAYMENT_AMOUNT') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000;" width="2%"></th>';
					$v_html .= '</tr>';
					$v_html .= '</thead>';
					$v_html .= '<tbody>';
					$v_total_list_index++;
				}
				$v_html .= '<tr style="' . ( $v_count % 2 == 0 ? 'background-color:#EDEDED;' : '' ) . 'vertical-align:top;line-height:18px;">';
				$v_html .= '<td style="text-align:center;">' . $v_count . '</td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['site_code'] ) . '</td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( substr( $v_row['payment_date'], 0, 2 ) . '/' . substr( $v_row['payment_date'], 2, 2 ) . '/' . substr( $v_row['payment_date'], 4, 4 ) ) . ' </td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['area_code'] ) . '</td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['payment_ref_no'] ) . '</td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['consumer_acc_no'] ) . '</td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['BILL_NO'] ) . '</td>';
				$v_html .= '<td style="text-align:right;">' . number_format( (\U::safe_display_string( $v_row['bill_amount'] ) + 0), 2) . '</td>';
				$v_html .= '<td style="text-align:right;">' . number_format( (\U::safe_display_string( $v_row['payment_amount'] ) + 0)/ 100, 2) . '</td>';
				$v_html .= '<td></td>';
				$v_html .= '</tr>';
				$v_total_amount += number_format( (\U::safe_display_string( $v_row['payment_amount'] ) + 0)/ 100, 2);
				$v_bill_total_amount += number_format( (\U::safe_display_string( $v_row['bill_amount'] ) + 0), 2);
				$v_count++;
			}
			$v_html .= '<tr>';
			$v_html .= '<td colspan="6" style="border-top:2px solid black;" >&nbsp;</td>';
			$v_html .= '<td style="border-top:2px solid black; text-align:right;">' . 
						\E::get('obj_curr_module_lang')->get('PUKAL_BILLING_FEDERAL_SUMMARY_TOTAL_AMOUNT') . ' (RM)' . 
						'</td>';
			$v_html .= '<td style="border-top:2px solid black; text-align:right;">' . number_format($v_bill_total_amount, 2) . '</td>';
			$v_html .= '<td style="border-top:2px solid black; text-align:right;">' . number_format($v_total_amount, 2) . '</td>';
			$v_html .= '<td style="border-top:2px solid black;"></td>';
			$v_html .= '</tr>';
		}else{
			$v_html .= '<tr>';
			$v_html .= '<td colspan="12" style="text-align:center;">' . \E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_NO_DATA') . '</td>';
			$v_html .= '</tr>';
		}
		$v_html .= '</tbody>';
		$v_html .= '</table>';
		$v_html .= '<footer class="td_footer"></footer>';
		if( is_array( $v_report_summary ) ){
			$v_html .= '<div style="border-bottom:1px solid black;width:85%;float:right; margin-top: 80px;"><b>' . \E::get('obj_curr_module_lang')->get('SUCCESS_PAYMENT_SUMMARY') . '</b></div>';
			$v_html .= '<div style="width:85%;float:right;">';
			$v_html .= '<table width="100%" cellspacing="0" cellpadding="3" style="border-bottom:2px solid black;font-size:12px;">';
			$v_html .= '<tr>';
			$v_html .= '<td colspan="6">';
			$v_html .= '<table cellspacing="0" cellpadding="1" style="float:left;width:100%">';
			$v_html .= '<tr>';
			$v_html .= '<td style="text-align:center;border-bottom:1px solid black;"><b>' . \E::get('obj_curr_module_lang')->get('SUCCESS_PAYMENT_BILLING') . '</b></td>';
			$v_html .= '</tr>';
			$v_html .= '</table>';
			$v_html .= '</td>';
			$v_html .= '<td colspan="1"></td>';
			$v_html .= '<td colspan="5">';
			$v_html .= '<table cellspacing="0" cellpadding="1" style="float:right;width:100%">';
			$v_html .= '<tr>';
			$v_html .= '<td style="text-align:center;border-bottom:1px solid black;"><b>' . \E::get('obj_curr_module_lang')->get('SUCCESS_PAYMENT_PAYMENT') . '</b></td>';
			$v_html .= '</tr>';
			$v_html .= '</table>';
			$v_html .= '</td>';
			$v_html .= '</tr>';
			$v_html .= '<tr>';
			$v_html .= '<td colspan="6">';
			$v_html .= '<table cellspacing="0" cellpadding="1" style="float:left;width:100%">';
			$v_html .= '<tr>';
			$v_html .= '<td style="text-align:center;border-bottom:2px solid black;" width="40%">' . \E::get('obj_curr_module_lang')->get('SUCCESS_PAYMENT_AP504') . '</td>';
			$v_html .= '<td style="text-align:center;border-bottom:2px solid black;" width="20%">' . \E::get('obj_curr_module_lang')->get('SUCCESS_PAYMENT_DATE_OF_GENERATION') . '</td>';
			$v_html .= '<td style="text-align:center;border-bottom:2px solid black;" width="20%">' . \E::get('obj_curr_module_lang')->get('SUCCESS_PAYMENT_NO_BILL') . '</td>';
			$v_html .= '<td style="text-align:center;border-bottom:2px solid black;" width="20%">' . \E::get('obj_curr_module_lang')->get('SUCCESS_PAYMENT_TOTAL_AMOUNT') . '</td>';
			$v_html .= '</tr>';
			$v_html .= '</table>';
			$v_html .= '</td>';
			$v_html .= '<td colspan="1"></td>';
			$v_html .= '<td colspan="5">';
			$v_html .= '<table cellspacing="0" cellpadding="1" style="float:right;width:100%">';
			$v_html .= '<tr>';
			$v_html .= '<td style="text-align:center;border-bottom:2px solid black;" width="50%">' . \E::get('obj_curr_module_lang')->get('SUCCESS_PAYMENT_PAYMENT_FILE') . '</td>';
			$v_html .= '<td style="text-align:center;border-bottom:2px solid black;" width="25%">' . \E::get('obj_curr_module_lang')->get('SUCCESS_PAYMENT_TOTAL_AMOUNT') . '</td>';
			$v_html .= '<td style="text-align:center;border-bottom:2px solid black;" width="25%">' . \E::get('obj_curr_module_lang')->get('SUCCESS_PAYMENT_NO_OF_PAYMENT') . '</td>';
			$v_html .= '</tr>';
			$v_html .= '</table>';
			$v_html .= '</td>';
			$v_html .= '</tr>';
			$v_summary_total_bill = 0;
			$v_summary_total_bill_amount = 0;
			$v_summary_total_payment = 0;
			$v_summary_total_payment_amount = 0;
			foreach( $v_report_summary as $v_key => $v_row ){
				$v_html .= '<tr>';
				$v_html .= '<td colspan="6">';
				$v_html .= '<table cellspacing="0" cellpadding="1" style="float:left;width:100%">';
				$v_html .= '<tr>';
				$v_html .= '<td style="text-align:center;" width="40%">' . \U::safe_display_string( $v_row['billing_file'] ) . '</td>';
				$v_html .= '<td style="text-align:center;" width="20%">' . \E::get('obj_curr_module')->__to_display_date( $v_row['date_of_generation'], 'DATE' )  . '</td>';
				$v_html .= '<td style="text-align:center;" width="20%">' . \U::safe_display_string( number_format( $v_row['total_billing'], 0 ) ) . '</td>';
				$v_html .= '<td style="text-align:center;" width="20%">' . \U::safe_display_string( number_format( $v_row['total_amount'], 2 ) ) . '</td>';
				$v_html .= '</tr>';
				$v_html .= '</table>';
				$v_html .= '</td>';
				$v_html .= '<td colspan="1"></td>';
				$v_html .= '<td colspan="5">';
				$v_html .= '<table cellspacing="0" cellpadding="1" style="float:left;width:100%">';
				$v_html .= '<tr>';
				$v_html .= '<td style="text-align:center;" width="50%">' . \U::safe_display_string( str_replace("AP504","AP505", $v_row['billing_file'] )) . '</td>';
				$v_html .= '<td style="text-align:center;" width="25%">' . number_format( (\U::safe_display_string( $v_row['payment_amount'] ) + 0)/ 100, 2) . '</td>';
				$v_html .= '<td style="text-align:center;" width="25%">' . \U::safe_display_string( number_format( $v_row['total_payment'], 0 ) ) . '</td>';
				$v_html .= '</tr>';
				$v_html .= '</table>';
				$v_html .= '</td>';
				$v_html .= '</tr>';
				$v_summary_total_bill += $v_row['total_billing'];
				$v_summary_total_bill_amount += $v_row['total_amount'];
				$v_summary_total_payment_amount += ( $v_row['payment_amount'] + 0 ) / 100;
				$v_summary_total_payment += $v_row['total_payment'];
			}
			$v_html .= '<tr>';
			$v_html .= '<td colspan="6" style="border-top:2px solid #000;">';
				$v_html .= '<table cellspacing="0" cellpadding="1" style="float:left;width:100%">';
				$v_html .= '<tr>';
				$v_html .= '<td style="text-align:center;" width="60%">&nbsp;</td>';
				$v_html .= '<td style="text-align:center;" width="20%">' . \U::safe_display_string( number_format( $v_summary_total_bill, 0 ) ) . '</td>';
				$v_html .= '<td style="text-align:center;" width="20%">' . \U::safe_display_string( number_format( $v_summary_total_bill_amount, 2 )  ) . '</td>';
				$v_html .= '</tr>';
				$v_html .= '</table>';
			$v_html .= '</td>';
			$v_html .= '<td colspan="6" style="border-top:2px solid #000;">';
				$v_html .= '<table cellspacing="0" cellpadding="1" style="float:left;width:100%">';
				$v_html .= '<tr>';
				$v_html .= '<td style="text-align:center;" width="50%">&nbsp;</td>';
				$v_html .= '<td style="text-align:center;" width="25%">' . \U::safe_display_string( number_format( $v_summary_total_payment_amount, 2 )  ) . '</td>';
				$v_html .= '<td style="text-align:center;" width="25%">' . \U::safe_display_string( number_format( $v_summary_total_payment, 0 ) ) . '</td>';
				$v_html .= '</tr>';
				$v_html .= '</table>';
			$v_html .= '</td>';
			$v_html .= '</tr>';
			$v_html .= '</table>';
			$v_html .= '</div>';
			$v_html .= '<br/><br/><br/>';
		}
	} elseif ( $_GET[ 'type' ] == 'reject_payment' ) {
		$v_cond['area_code'] = $_GET['area_code'];
		$v_cond['generation_date_from'] = $_GET['generation_date_from'];
		$v_cond['generation_date_to'] = $_GET['generation_date_to'];
		//generate report process
		$v_report_details_list = \E::get( 'obj_curr_module' )->reporting_reject_payment_list($v_cond);
		$v_report_summary = \E::get( 'obj_curr_module' )->reporting_reject_payment_summary($v_cond);
		$v_html = '';
		$v_file_name = '';
		$v_count = 1;
		$v_total_list_index = 0;
		if( is_array( $v_report_details_list ) ){
			foreach( $v_report_details_list as $v_key => $v_row ){
				if ( $v_file_name != $v_row[ 'file_name' ] ){
					if ( $v_html != '' ) {
						$v_html .= '<tr>';
						$v_html .= '<td colspan="6" style="border-top:2px solid black;"></td>';
						$v_html .= '<td style="text-align:right;border-top:2px solid black;">' . 
									\E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_TOTAL_AMOUNT') . ' (RM)' . 
								'</td>';
						$v_html .= '<td style="text-align:right;border-top:2px solid black;border-bottom:1px solid black;">' . number_format( ($v_report_details_list[$v_total_list_index]['total_reject_amount']/100), 2, '.', ',') . '</td>';
						$v_html .= '<td colspan="2" style="border-top:2px solid black;"></td>';
						$v_html .= '</tr>';
						$v_html .= '</tbody>';
						$v_html .= '</table>';
						$v_html .= '<footer class="td_footer"></footer>';
						$v_count = 1;
						$v_total_list_index++;
					}
					$v_file_name = $v_row[ 'file_name' ];
					$v_html .= '<table cellspacing="0" cellpadding="8" class="td_content">';
					$v_html .= '<thead>';
					$v_html .= '<tr>';
					$v_html .= '<th colspan="100%" style="border-bottom:1px solid #000;">';
					$v_html .= '<h1 style="text-align:center; font-weight:normal;">' . \E::get( "obj_curr_module_lang" )->get('REPORT_HEADER') . '</h1>';
					$v_html .= '<h2 style="text-align:center">' . \E::get( "obj_curr_module_lang" )->get('REJECT_PAYMENT_TITLE') . '</h2>';
					$v_html .= '<table class="td_auto_height" cellspacing=0 cellpadding=2 style="width:97.5%;font-weight:normal;position:absolute;top:75px;">';
					$v_html .= '<tr>';
					$v_html .= '<td style="width:7.5%; text-align:left;">File Name:</td>';
					$v_html .= '<td style="width:42.5%; text-align:left;">' . $v_file_name .'</td>';
					$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('TOTAL_RECORD') . ': ' . '</td>';
					$v_html .= '<td style="width:7.5%; text-align:right;">' . number_format( $v_report_summary[ $v_total_list_index ][ 'total_reject' ] + 0, 0 ). '</td>';
					$v_html .= '</tr>';
					$v_html .= '<tr>';
					$v_html .= '<td style="width:7.5%; text-align:left;">' . \E::get('obj_curr_module_lang')->get('DATE_RANGE') . ':</td>';
					$v_html .= '<td style="width:42.5%; text-align:left;">' . \E::get('obj_curr_module')->__to_display_date( $_GET['generation_date_from'], 'DATE' ) . ' - ' . \E::get('obj_curr_module')->__to_display_date( $_GET['generation_date_to'], 'DATE' ) .'</td>';
					$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('PRINTED_ON') . ': ' . '</td>';
					$v_html .= '<td style="width:7.5%; text-align:right;">' . $v_today_date . '</td>';
					$v_html .= '</tr>';
					$v_html .= '</table>';
					$v_html .= '</th>';
					$v_html .= '</tr>';
					$v_html .= '<tr>';
					$v_html .= '<th style="border-bottom:1px solid #000;" width="3%">' . 
								\E::get('obj_kernel_lang')->get('TBL_NO') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000;" width="10%">' . 
								\E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_JBALB_REF_NO') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000;" width="8%">' . 
								\E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_BUSINESS_AREA_CODE') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000;text-align:left;" width="13%">' . 
								\E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_CONSUMER_ACCOUNT_NO') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000;" width="2%"></th>';
					$v_html .= '<th style="border-bottom:1px solid #000;text-align:left;" width="20%">' . 
								\E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_CONSUMER_NAME') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000;text-align:left;" width="10%">' . 
								\E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_BILL_NO') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000;text-align:right;" width="10%">' . 
								\E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_BILL_AMOUNT') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000;" width="2%"></th>';
					$v_html .= '<th style="border-bottom:1px solid #000;text-align:left;" width="22%">&nbsp;' . 
								\E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_REASON') . 
							'</th>';
					$v_html .= '</tr>';
					$v_html .= '</thead>';
					$v_html .= '<tbody>';
				}
				$v_html .= '<tr style="' . ( $v_count % 2 == 0 ? 'background-color:#EDEDED;' : '' ) . 'vertical-align:top;line-height:18px;">';
				$v_html .= '<td style="text-align:center;">' . ($v_count) . '</td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['reference_no'] ) . '</td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['area_code'] ) . ' </td>';
				$v_html .= '<td>' . \U::safe_display_string( $v_row['consumer_acc_no'] ) . '</td>';
				$v_html .= '<td></td>';
				$v_html .= '<td>' . \U::safe_display_string( $v_row['CONS_NAME'] ) . '</td>';
				$v_html .= '<td>' . \U::safe_display_string( $v_row['wbs_bill_no'] ) . '</td>';
				$v_html .= '<td style="text-align:right;">' . \U::safe_display_string( $v_row['wbs_bill_amount'] ) . '</td>';
				$v_html .= '<td></td>';
				$v_html .= '<td>&nbsp;' . \U::safe_display_string( $v_row['reject_reason'] ) . '</td>';
				$v_html .= '</tr>';
				$v_count++;
			}
			$v_html .= '<tr>';
			$v_html .= '<td colspan="6" style="border-top:2px solid black;"></td>';
			$v_html .= '<td style="text-align:right;border-top:2px solid black;">' . 
						\E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_TOTAL_AMOUNT') . ' (RM)' . 
					'</td>';
			$v_html .= '<td style="text-align:right;border-top:2px solid black;border-bottom:1px solid black;">' . number_format(($v_report_details_list[0]['total_reject_amount']/100), 2, '.', ',') . '</td>';
			$v_html .= '<td colspan="2" style="border-top:2px solid black;"></td>';
			$v_html .= '</tr>';
		}else{
			$v_html .= '<tr>';
			$v_html .= '<td colspan="8" style="text-align:center;">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_NO_DATA') . '</td>';
			$v_html .= '</tr>';
		}
		$v_html .= '</tbody>';
		$v_html .= '</table>';
		if ( $v_report_summary ){
			$v_html .= '<footer class="td_footer"></footer>';
			$v_html .= '<div style="border-bottom:1px solid black;font-weight:bold;width:75%;float:right; margin-top: 80px;">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_SUMMARY') . '</div>';
			$v_html .= '<div style="width:75%;float:right;">';
			$v_html .= '<table width="100%" cellspacing="0" cellpadding="3" style="border-bottom:2px solid black;font-size:12px;">';
			$v_html .= '<tr>';
			$v_html .= '<td colspan="6">';
			$v_html .= '<table cellspacing="0" cellpadding="1" style="float:left;width:100%">';
			$v_html .= '<tr>';
			$v_html .= '<td style="text-align:left;border-bottom:1px solid black;font-weight:bold;">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_BILLING') . '</td>';
			$v_html .= '</tr>';
			$v_html .= '</table>';
			$v_html .= '</td>';
			$v_html .= '<td colspan="2"></td>';
			$v_html .= '<td colspan="4">';
			$v_html .= '<table cellspacing="0" cellpadding="1" style="float:right;width:100%">';
			$v_html .= '<tr>';
			$v_html .= '<td style="text-align:left;border-bottom:1px solid black;font-weight:bold;">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_CANCELLATION') . '</td>';
			$v_html .= '</tr>';
			$v_html .= '</table>';
			$v_html .= '</td>';
			$v_html .= '</tr>';
			$v_html .= '<tr>';
			$v_html .= '<td colspan="6">';
			$v_html .= '<table cellspacing="0" cellpadding="1" style="float:left;width:100%">';
			$v_html .= '<tr>';
			$v_html .= '<td style="text-align:left;border-bottom:1px solid black;" width="35%">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_AP504') . '</td>';
			$v_html .= '<td style="text-align:left;border-bottom:1px solid black;" width="35%">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_DATE_OF_GENERATION') . '</td>';
			$v_html .= '<td style="text-align:right;border-bottom:1px solid black;" width="10%">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_NO_BILL') . '</td>';
			$v_html .= '<td style="text-align:right;border-bottom:1px solid black;" width="20%">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_TOTAL_AMOUNT') . '</td>';
			$v_html .= '</tr>';
			$v_html .= '</table>';
			$v_html .= '</td>';
			$v_html .= '<td colspan="2"></td>';
			$v_html .= '<td colspan="4">';
			$v_html .= '<table cellspacing="0" cellpadding="1" style="float:right;width:100%">';
			$v_html .= '<tr>';
			$v_html .= '<td style="text-align:right;border-bottom:1px solid black;" width="70%">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_TOTAL_AMOUNT') . '</td>';
			$v_html .= '<td style="text-align:right;border-bottom:1px solid black;" width="30%">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_NO_BILL') . '</td>';
			$v_html .= '</tr>';
			$v_html .= '</table>';
			$v_html .= '</td>';
			$v_html .= '</tr>';
			foreach( $v_report_summary as $v_key => $v_row ){
				$v_html .= '<tr>';
				$v_html .= '<td colspan="6">';
				$v_html .= '<table cellspacing="0" cellpadding="1" style="float:left;width:100%">';
				$v_html .= '<tr>';
				$v_html .= '<td style="text-align:left;" width="35%">' . $v_row['billing_file'] . '</td>';
				$v_html .= '<td style="text-align:left;" width="35%">' . \E::get('obj_curr_module')->__to_display_date( $v_row['date_of_generation'], 'DATE' )  . '</td>';
				$v_html .= '<td style="text-align:right;" width="10%">' . number_format( $v_row['total_billing'], 0 )  . '</td>';
				$v_html .= '<td style="text-align:right;" width="20%">' . number_format($v_row['total_amount'],2 )  . '</td>';
				$v_html .= '</tr>';
				$v_html .= '</table>';
				$v_html .= '</td>';
				$v_html .= '<td colspan="2"></td>';
				$v_html .= '<td colspan="4">';
				$v_html .= '<table cellspacing="0" cellpadding="1" style="float:right;width:100%">';
				$v_html .= '<tr>';
				$v_html .= '<td style="text-align:right;" width="70%">' . number_format(($v_row['total_reject_amount']/100),2,'.',',') . '</td>';
				$v_html .= '<td style="text-align:right;" width="30%">' . number_format($v_row['total_reject'],0,'.',',') . '</td>';
				$v_html .= '</tr>';
				$v_html .= '</table>';
				$v_html .= '</td>';
				$v_html .= '</tr>';
			}
		}
		$v_html .= '</table>';
		$v_html .= '</div>';
	} elseif ( $_GET[ 'type' ] == 'cancel_payment' ) {
		$v_cond['area_code'] = $_GET['area_code'];
		$v_cond['generation_date_from'] = $_GET['generation_date_from'];
		$v_cond['generation_date_to'] = $_GET['generation_date_to'];
		//generate report process
		$v_report_details_list = \E::get( 'obj_curr_module' )->reporting_cancel_payment_list($v_cond);
		$v_report_summary = \E::get( 'obj_curr_module' )->reporting_cancel_payment_summary( $v_cond );
		$v_html = '';
		$v_504_file_name = '';
		$v_507_file_name = '';
		$v_count = 1;
		$v_total_list_index = 0;
		if( is_array( $v_report_details_list ) ){
			foreach( $v_report_details_list as $v_key => $v_row ){
				if ( $v_504_file_name != $v_row[ 'ap504_text_file' ] ){
					if ( $v_html != '' ) {
						$v_html .= '<tr>';
						$v_html .= '<td colspan="6" style="border-top:2px solid black;"></td>';
						$v_html .= '<td style="text-align:right;border-top:2px solid black;">' . 
									\E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_TOTAL_AMOUNT') . ' (RM)' . 
								'</td>';
						$v_html .= '<td style="text-align:right;border-top:2px solid black;border-bottom:1px solid black;">' . number_format(($v_report_details_list[ $v_total_list_index ]['total_debit_amount']/100), 2, '.', ',') . '</td>';
						$v_html .= '</tr>';
						$v_html .= '</tbody>';
						$v_html .= '</table>';
						$v_html .= '<footer class="td_footer"></footer>';
						$v_count = 1;
						$v_total_list_index++;
					}
					$v_504_file_name = $v_row[ 'ap504_text_file' ];
					$v_507_file_name = str_replace('AP504', 'AP507', $v_row['ap504_text_file']);
					$v_html .= '<table cellspacing="0" cellpadding="8" class="td_content">';
					$v_html .= '<thead>';
					$v_html .= '<tr>';
					$v_html .= '<th colspan="100%" style="border-bottom:1px solid #000;">';
					$v_html .= '<h1 style="text-align:center; font-weight:normal;">' . \E::get( "obj_curr_module_lang" )->get('REPORT_HEADER') . '</h1>';
					$v_html .= '<h2 style="text-align:center">' . \E::get( "obj_curr_module_lang" )->get('CANCEL_PAYMENT_TITLE') . '</h2>';
					$v_html .= '<table class="td_auto_height" cellspacing=0 cellpadding=2 style="width:99%;font-weight:normal;position:absolute;top:60px;font-size:10px;">';
					$v_html .= '<tr>';
					$v_html .= '<td style="width:7.5%; text-align:left;">' . \E::get('obj_curr_module_lang')->get('DATE_RANGE') . ':</td>';
					$v_html .= '<td style="width:42.5%; text-align:left;">' . \E::get('obj_curr_module')->__to_display_date( $_GET['generation_date_from'], 'DATE' ) . ' - ' . \E::get('obj_curr_module')->__to_display_date( $_GET['generation_date_to'], 'DATE' ) .'</td>';
					$v_html .= '<td style="width:42.5%; text-align:right;"></td>';
					$v_html .= '<td style="width:7.5%; text-align:right;"></td>';
					$v_html .= '</tr>';
					$v_html .= '<tr>';
					$v_html .= '<td style="text-align:left;">'.\E::get('obj_curr_module_lang')->get('SHARE_AP504_FILE_NAME').'</td>';
					$v_html .= '<td style="text-align:left;">' . $v_504_file_name .'</td>';
					$v_html .= '<td style="text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('TOTAL_RECORD') . ': ' . '</td>';
					$v_html .= '<td style="text-align:right;">' . number_format( $v_report_summary[ $v_total_list_index ][ 'total_debit' ] + 0, 0 ) .'</td>';
					$v_html .= '</tr>';
					$v_html .= '<tr>';
					$v_html .= '<td style="text-align:left;">'.\E::get('obj_curr_module_lang')->get('SHARE_AP504_FILE_NAME').'</td>';
					$v_html .= '<td style="text-align:left;">' . $v_507_file_name .'</td>';
					$v_html .= '<td style="text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('PRINTED_ON') . ': ' . '</td>';
					$v_html .= '<td style="text-align:right;">' . $v_today_date . '</td>';
					$v_html .= '</tr>';
					$v_html .= '</table>';
					$v_html .= '</th>';
					$v_html .= '</tr>';
					$v_html .= '<tr>';
					$v_html .= '<th style="border-bottom:1px solid #000;" width="5%">' . 
								\E::get('obj_kernel_lang')->get('TBL_NO') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000;" width="10%">' . 
								\E::get('obj_curr_module_lang')->get('CANCEL_PAYMENT_JBALB_REF_NO') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000;" width="12.5%">' . 
								\E::get('obj_curr_module_lang')->get('CANCEL_PAYMENT_BUSINESS_AREA_CODE') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000;" width="12.5%">' . 
								\E::get('obj_curr_module_lang')->get('CANCEL_PAYMENT_CONSUMER_ACCOUNT_NO') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000;" width="2%"></th>';	
					$v_html .= '<th style="border-bottom:1px solid #000;text-align:left;" width="35%">' . 
								\E::get('obj_curr_module_lang')->get('CANCEL_PAYMENT_CONSUMER_NAME') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000;;" width="12%">' . 
								\E::get('obj_curr_module_lang')->get('CANCEL_PAYMENT_BILL_NO') . 
							'</th>';
					$v_html .= '<th style="border-bottom:1px solid #000;text-align:right;" width="11%">' . 
								\E::get('obj_curr_module_lang')->get('CANCEL_PAYMENT_BILL_AMOUNT') . 
							'</th>';
					$v_html .= '</tr>';
					$v_html .= '</thead>';
					$v_html .= '<tbody>';
				}
				$v_html .= '<tr style="' . ( $v_count % 2 == 0 ? 'background-color:#EDEDED;' : '' ) . 'vertical-align:top;line-height:18px;">';
				$v_html .= '<td style="text-align:center;">' . $v_count . '</td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['reference_no'] ) . '</td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['area_code'] ) . ' </td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['consumer_acc_no'] ) . '</td>';
				$v_html .= '<td></td>';
				$v_html .= '<td style="text-align:left;">' . \U::safe_display_string( $v_row['CONS_NAME'] ) . '</td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['wbs_bill_no'] ) . '</td>';
				$v_html .= '<td style="text-align:right;">' . \U::safe_display_string( number_format( $v_row['wbs_bill_amount'], 2 ) ) . '</td>';
				$v_html .= '</tr>';
				$v_count++;
			}
			$v_html .= '<tr>';
			$v_html .= '<td colspan="6" style="border-top:2px solid black;"></td>';
			$v_html .= '<td style="text-align:right;border-top:2px solid black;">' . 
						\E::get('obj_curr_module_lang')->get('CANCEL_PAYMENT_TOTAL_AMOUNT') . ' (RM)' . 
					'</td>';
			$v_html .= '<td style="text-align:right;border-top:2px solid black;border-bottom:1px solid black;">' . number_format(($v_report_details_list[0]['total_debit_amount']/100), 2, '.', ',') . '</td>';
			$v_html .= '</tr>';
		}else{
			$v_html .= '<tr>';
			$v_html .= '<td colspan="100%" style="text-align:center;">' . \E::get('obj_curr_module_lang')->get('CANCEL_PAYMENT_NO_DATA') . '</td>';
			$v_html .= '</tr>';
		}
		$v_html .= '</tbody>';
		$v_html .= '</table>';
		if ( $v_report_summary ){
			$v_html .= '<footer class="td_footer"></footer>';
			$v_html .= '<div style="border-bottom:1px solid black;font-weight:bold;width:75%;float:right; margin-top: 80px;">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_SUMMARY') . '</div>';
			$v_html .= '<div style="width:75%;float:right;">';
			$v_html .= '<table width="100%" cellspacing="0" cellpadding="3" style="border-bottom:2px solid black;font-size:12px;">';
			$v_html .= '<tr>';
			$v_html .= '<td colspan="6">';
			$v_html .= '<table cellspacing="0" cellpadding="1" style="float:left;width:100%">';
			$v_html .= '<tr>';
			$v_html .= '<td style="text-align:left;border-bottom:1px solid black;font-weight:bold;">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_BILLING') . '</td>';
			$v_html .= '</tr>';
			$v_html .= '</table>';
			$v_html .= '</td>';
			$v_html .= '<td colspan="2"></td>';
			$v_html .= '<td colspan="4">';
			$v_html .= '<table cellspacing="0" cellpadding="1" style="float:right;width:100%">';
			$v_html .= '<tr>';
			$v_html .= '<td style="text-align:left;border-bottom:1px solid black;font-weight:bold;">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_CANCELLATION') . '</td>';
			$v_html .= '</tr>';
			$v_html .= '</table>';
			$v_html .= '</td>';
			$v_html .= '</tr>';
			$v_html .= '<tr>';
			$v_html .= '<td colspan="6">';
			$v_html .= '<table cellspacing="0" cellpadding="1" style="float:left;width:100%">';
			$v_html .= '<tr>';
			$v_html .= '<td style="text-align:left;border-bottom:1px solid black;" width="35%">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_AP504') . '</td>';
			$v_html .= '<td style="text-align:left;border-bottom:1px solid black;" width="35%">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_DATE_OF_GENERATION') . '</td>';
			$v_html .= '<td style="text-align:right;border-bottom:1px solid black;" width="10%">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_NO_BILL') . '</td>';
			$v_html .= '<td style="text-align:right;border-bottom:1px solid black;" width="20%">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_TOTAL_AMOUNT') . '</td>';
			$v_html .= '</tr>';
			$v_html .= '</table>';
			$v_html .= '</td>';
			$v_html .= '<td colspan="2"></td>';
			$v_html .= '<td colspan="4">';
			$v_html .= '<table cellspacing="0" cellpadding="1" style="float:right;width:100%">';
			$v_html .= '<tr>';
			$v_html .= '<td style="text-align:right;border-bottom:1px solid black;" width="70%">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_TOTAL_AMOUNT') . '</td>';
			$v_html .= '<td style="text-align:right;border-bottom:1px solid black;" width="30%">' . \E::get('obj_curr_module_lang')->get('REJECT_PAYMENT_NO_BILL') . '</td>';
			$v_html .= '</tr>';
			$v_html .= '</table>';
			$v_html .= '</td>';
			$v_html .= '</tr>';
			foreach( $v_report_summary as $v_key => $v_row ){
				$v_html .= '<tr>';
				$v_html .= '<td colspan="6">';
				$v_html .= '<table cellspacing="0" cellpadding="1" style="float:left;width:100%">';
				$v_html .= '<tr>';
				$v_html .= '<td style="text-align:left;" width="35%">' . $v_row['billing_file'] . '</td>';
				$v_html .= '<td style="text-align:left;" width="35%">' . \E::get('obj_curr_module')->__to_display_date( $v_row['date_of_generation'], 'DATE' )  . '</td>';
				$v_html .= '<td style="text-align:right;" width="10%">' . number_format( $v_row['total_billing'], 0 )  . '</td>';
				$v_html .= '<td style="text-align:right;" width="20%">' . number_format($v_row['total_amount'],2 )  . '</td>';
				$v_html .= '</tr>';
				$v_html .= '</table>';
				$v_html .= '</td>';
				$v_html .= '<td colspan="2"></td>';
				$v_html .= '<td colspan="4">';
				$v_html .= '<table cellspacing="0" cellpadding="1" style="float:right;width:100%">';
				$v_html .= '<tr>';
				$v_html .= '<td style="text-align:right;" width="70%">' . number_format(($v_row['total_debit_amount']/100),2,'.',',') . '</td>';
				$v_html .= '<td style="text-align:right;" width="30%">' . number_format($v_row['total_debit'],0,'.',',') . '</td>';
				$v_html .= '</tr>';
				$v_html .= '</table>';
				$v_html .= '</td>';
				$v_html .= '</tr>';
			}
		}
		$v_html .= '</tbody>';
		$v_html .= '</table>';
	} elseif ( $_GET[ 'type' ] == 'terminate_account_bill' ) {
		$v_cond['area_code_id'] = $_GET[ 'area_code_id' ];
		$v_cond['account_type'] = $_GET[ 'account_type' ];
		$v_cond['generation_date_from'] = $_GET[ 'generation_date_from' ];
		$v_cond['generation_date_to'] = $_GET[ 'generation_date_to' ];
		if( $v_cond['account_type'] == "federal" ){
			$v_report_details_list = \E::get( 'obj_curr_module' )->reporting_federal_terminate_account_bill_list($v_cond);
			$v_report_details_list_total = \E::get( 'obj_curr_module' )->reporting_federal_terminate_account_bill_list_total($v_cond);
			$v_pdf_file_name = \E::get( "obj_curr_module_lang" )->get('TERMINATE_ACCOUNT_BILL_FEDERAL_TITLE');
			$v_business_area_code = \E::get( 'obj_curr_module' )->business_area_code_get( $v_cond )[0]['area_code'];
			// create some HTML content
			$v_html = '';
			$v_html .= '<table cellspacing="0" cellpadding="8" class="td_content" style="border-bottom:1px solid #000;">';
			$v_html .= '<thead>';
			$v_html .= '<tr>';
			$v_html .= '<th colspan="100%" style="border-bottom:1px solid #000;">';
			$v_html .= '<h1 style="text-align:center; font-weight:normal;">' . \E::get( "obj_curr_module_lang" )->get('REPORT_HEADER') . '</h1>';
			$v_html .= '<h2 style="text-align:center">' . \E::get( "obj_curr_module_lang" )->get('TERMINATE_ACCOUNT_BILL_FEDERAL_TITLE') . '</h2>';
			$v_html .= '<table class="td_auto_height" cellspacing=0 cellpadding=2 style="width:99%;font-weight:normal;position:absolute;top:75px;">';
			$v_html .= '<tr>';
			$v_html .= '<td style="width:12.5%; text-align:left;"></td>';
			$v_html .= '<td style="width:37.5%; text-align:left;"></td>';
			$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('TOTAL_RECORD') . ': ' . '</td>';
			$v_html .= '<td style="width:7.5%; text-align:right;">' . number_format( $v_report_details_list_total, 0 ) . '</td>';
			$v_html .= '</tr>';
			$v_html .= '<tr>';
			$v_html .= '<td style="width:12.5%; text-align:left;">' . \E::get('obj_curr_module_lang')->get('PUKAL_BILLING_FEDERAL_SUMMARY_BUSINESS_AREA_CODE') . ':</td>';
			$v_html .= '<td style="width:37.5%; text-align:left;">' . $v_business_area_code .'</td>';
			$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('PRINTED_ON') . ': ' . '</td>';
			$v_html .= '<td style="width:7.5%; text-align:right;">' . $v_today_date . '</td>';
			$v_html .= '</tr>';
			$v_html .= '</table>';
			$v_html .= '</th>';
			$v_html .= '</tr>';
			$v_html .= '<tr>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:center;" width="2%">' . 
						\E::get('obj_kernel_lang')->get('TBL_NO') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000;" width="1%"></th>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:center;" width="5%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_SITE_OFFICE') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:center;" width="10%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_CONSUMER_ACC_NO') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000;" width="1%"></th>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:left;" width="15%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_CONSUMER_NAME') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:left;" width="16%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_METER_LOC_ADDRESS') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:center;" width="10%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_BILL_NO') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:center;" width="7%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_BILL_ISSUE_DATE') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000; text-align:right;" width="7%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_BILL_AMOUNT') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000;" width="1%"></th>';
			$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="8%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_TERMINATION_DATE') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000;" width="1%"></th>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:center;" width="7%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_ACC_STATUS') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000;" width="1%"></th>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:center;" width="8%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_AP503_EXPORTED') . 
					'</th>';
			$v_html .= '</tr>';
			$v_html .= '</thead>';
			$v_html .= '<tbody>';
			$v_count = 1;
			if( is_array( $v_report_details_list ) ){
				foreach( $v_report_details_list as $v_key => $v_row ){
					if( $v_row['acc_status'] == "A" ){
						$v_acc_status = \E::get('obj_curr_module_lang')->get('ACTIVE');
					}else if( $v_row['acc_status'] == "T" ){
						$v_acc_status = \E::get('obj_curr_module_lang')->get('TERMINATED');
					}
					if( $v_row['ap503_exported'] == "0" ){
						$v_exported = \E::get('obj_curr_module_lang')->get('NO');
					}else if( $v_row['ap503_exported'] == "1" ){
						$v_exported = \E::get('obj_curr_module_lang')->get('YES');
					} 
					$v_html .= '<tr style="' . ( $v_count % 2 == 0 ? 'background-color:#EDEDED;' : '' ) . 'vertical-align:top;line-height:18px;">';
					$v_html .= '<td style="text-align:center;">' . $v_count . '</td>';
					$v_html .= '<td></td>';
					$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['site_code'] ) . '</td>';
					$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['consumer_acc_no'] ) . '</td>';
					$v_html .= '<td></td>';
					$v_html .= '<td style="text-align:left;">' . \U::safe_display_string( $v_row['CONS_NAME'] ) . '</td>';
					$v_html .= '<td style="text-align:left;">' . \U::safe_display_string( $v_row['CONN_METER_LOCATION'] ) . '</td>';
					$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['BILL_NO'] ) . '</td>';
					$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['BILL_ISSUE_DATE'] ) . '</td>';
					$v_html .= '<td style="text-align:right;">' . \U::safe_display_string( number_format( $v_row['BILL_AMOUNT'], 2 ) ) . '</td>';
					$v_html .= '<td></td>';
					$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['terminated_on'] ) . '</td>';
					$v_html .= '<td></td>';
					$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_acc_status ) . '</td>';
					$v_html .= '<td></td>';
					$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_exported ) . '</td>';
					$v_html .= '</tr>';
					$v_count ++;
				}
			}else{
				$v_html .= '<tr>';
				$v_html .= '<td colspan="100%" style="text-align:center;">' . \E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_NO_DATA') . '</td>';
				$v_html .= '</tr>';
			}
		}else if ( $v_cond['account_type'] == "state" ){
			$v_report_details_list = \E::get( 'obj_curr_module' )->reporting_state_terminate_account_bill_list($v_cond);
			$v_report_details_list_total = \E::get( 'obj_curr_module' )->reporting_state_terminate_account_bill_list_total($v_cond);
			$v_pdf_file_name = \E::get( "obj_curr_module_lang" )->get('TERMINATE_ACCOUNT_BILL_STATE_TITLE');
			// create some HTML content			
			$v_html = '';
			$v_html .= '<table cellspacing="0" cellpadding="8" class="td_content" style="border-bottom:1px solid #000;">';
			$v_html .= '<thead>';
			$v_html .= '<tr>';
			$v_html .= '<th colspan="100%" style="border-bottom:1px solid #000;">';
			$v_html .= '<h1 style="text-align:center; font-weight:normal;">' . \E::get( "obj_curr_module_lang" )->get('REPORT_HEADER') . '</h1>';
			$v_html .= '<h2 style="text-align:center">' . \E::get( "obj_curr_module_lang" )->get('TERMINATE_ACCOUNT_BILL_STATE_TITLE') . '</h2>';
			$v_html .= '<table class="td_auto_height" cellspacing=0 cellpadding=2 style="width:99%;font-weight:normal;position:absolute;top:75px;">';
			$v_html .= '<tr>';
			$v_html .= '<td style="width:12.5%; text-align:left;"></td>';
			$v_html .= '<td style="width:37.5%; text-align:left;"></td>';
			$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('TOTAL_RECORD') . ': ' . '</td>';
			$v_html .= '<td style="width:7.5%; text-align:right;">' . number_format( $v_report_details_list_total, 0 ) . '</td>';
			$v_html .= '</tr>';
			$v_html .= '<tr>';
			$v_html .= '<td style="width:12.5%; text-align:left;"></td>';
			$v_html .= '<td style="width:37.5%; text-align:left;"></td>';
			$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('PRINTED_ON') . ': ' . '</td>';
			$v_html .= '<td style="width:7.5%; text-align:right;">' . $v_today_date . '</td>';
			$v_html .= '</tr>';
			$v_html .= '</table>';
			$v_html .= '</th>';
			$v_html .= '</tr>';
			$v_html .= '<tr>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:center;" width="3%">' . 
						\E::get('obj_kernel_lang')->get('TBL_NO') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:center;" width="5%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_SITE_OFFICE') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:center;" width="10%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_CONSUMER_ACC_NO') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000;" width="2%"></th>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:left;" width="15%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_CONSUMER_NAME') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000;" width="2%"></th>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:left;" width="14%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_METER_LOC_ADDRESS') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:center;" width="12%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_BILL_NO') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000;" width="2%"></th>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:center;" width="10%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_BILL_ISSUE_DATE') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:right;" width="6%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_BILL_AMOUNT') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000;" width="2%"></th>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:center;" width="10%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_TERMINATION_DATE') . 
					'</th>';
			$v_html .= '<th style="border-bottom:1px solid #000;text-align:center;" width="7%">' . 
						\E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_ACC_STATUS') . 
					'</th>';
			$v_html .= '</tr>';
			$v_html .= '</thead>';
			$v_html .= '<tbody>';
			$v_count = 1;
			if( is_array( $v_report_details_list ) ){
				foreach( $v_report_details_list as $v_key => $v_row ){
					if( $v_row['acc_status'] == "A" ){
						$v_acc_status = \E::get('obj_curr_module_lang')->get('ACTIVE');
					}else if( $v_row['acc_status'] == "T" ){
						$v_acc_status = \E::get('obj_curr_module_lang')->get('TERMINATED');
					}
					$v_html .= '<tr>';
					$v_html .= '<td style="text-align:center;">' . $v_count . '</td>';
					$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['site_code'] ) . '</td>';
					$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['consumer_acc_no'] ) . '</td>';
					$v_html .= '<td></td>';
					$v_html .= '<td style="text-align:left;">' . \U::safe_display_string( $v_row['consumer_name'] ) . '</td>';
					$v_html .= '<td></td>';
					$v_html .= '<td style="text-align:left;">' . \U::safe_display_string( $v_row['meter_loc_address'] ) . '</td>';
					$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['bill_no'] ) . '</td>';
					$v_html .= '<td></td>';
					$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['bill_date'] ) . '</td>';
					$v_html .= '<td style="text-align:right;">' . \U::safe_display_string( number_format( $v_row['bill_amount'], 2 ) ) . '</td>';
					$v_html .= '<td></td>';
					$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['termination_date'] ) . '</td>';
					$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_acc_status ) . '</td>';
					$v_html .= '</tr>';
					$v_count++;
				}
			}else{
				$v_html .= '<tr>';
				$v_html .= '<td colspan="100%" style="text-align:center;">' . \E::get('obj_curr_module_lang')->get('TERMINATE_ACCOUNT_BILL_NO_DATA') . '</td>';
				$v_html .= '</tr>';
			}
		}
		$v_html .= '</tbody>';
		$v_html .= '</table>';
	} elseif ( $_GET[ 'type' ] == 'pukal_account_state_payment' ) {
		$v_cond['billing_month'] = $_GET['billing_month'];
		$v_cond['billing_year'] = $_GET['billing_year'];
		//generate report process
		$v_report_details_list = \E::get( 'obj_curr_module' )->reporting_state_account_payment_list($v_cond);
		$v_report_details_list_total = \E::get( 'obj_curr_module' )->reporting_state_account_payment_list_total($v_cond);
		$v_html = '';
		$v_html .= '<table cellspacing="0" cellpadding="8" class="td_content">';
		$v_html .= '<thead>';
		$v_html .= '<tr>';
		$v_html .= '<th colspan="100%" style="border-bottom:1px solid #000;">';
		$v_html .= '<h1 style="text-align:center; font-weight:normal;">' . \E::get( "obj_curr_module_lang" )->get('REPORT_HEADER') . '</h1>';
		$v_html .= '<h2 style="text-align:center">' . \E::get( "obj_curr_module_lang" )->get('PUKAL_ACCOUNT_STATE_PAYMENT_TITLE') . '</h2>';
		$v_html .= '<table class="td_auto_height" cellspacing=0 cellpadding=2 style="width:97.5%;font-weight:normal;position:absolute;top:75px;">';
		$v_html .= '<tr>';
		$v_html .= '<td style="width:7.5%; text-align:left;"></td>';
		$v_html .= '<td style="width:42.5%; text-align:left;"></td>';
		$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('TOTAL_RECORD') . ': ' . '</td>';
		$v_html .= '<td style="width:7.5%; text-align:right;">' . number_format( $v_report_details_list_total, 0 ) . '</td>';
		$v_html .= '</tr>';
		$v_html .= '<tr>';
		$v_html .= '<td style="width:7.5%; text-align:left;"></td>';
		$v_html .= '<td style="width:42.5%; text-align:left;"></td>';
		$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('PRINTED_ON') . ': ' . '</td>';
		$v_html .= '<td style="width:7.5%; text-align:right;">' . $v_today_date . '</td>';
		$v_html .= '</tr>';
		$v_html .= '</table>';
		$v_html .= '</th>';
		$v_html .= '</tr>';
		$v_html .= '<tr>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="5%">' . 
					\E::get('obj_kernel_lang')->get('TBL_NO') . 
				 '</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="15%">' . 
					\E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNT_STATE_PAYMENT_DATA_REF_NO') . 
				 '</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="20%">' . 
					\E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNT_STATE_PAYMENT_DEBIT_FILE_NAME') . 
				 '</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="15%">' . 
					\E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNT_STATE_PAYMENT_BILLING_MONTH_YEAR') . 
				 '</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:right;" width="10%">' . 
					\E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNT_STATE_PAYMENT_TOTAL_TRANSACTION') . 
				 '</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:right;" width="10%">' . 
					\E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNT_STATE_PAYMENT_TOTAL_AMOUNT') . 
				 '</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="10%">' . 
					\E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNT_STATE_PAYMENT_JV_NO') . 
				 '</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="15%">' . 
					\E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNT_STATE_PAYMENT_JV_DATE') . 
				 '</th>';
		$v_html .= '</tr>';
		$v_html .= '</thead>';
		$v_html .= '<tbody>';
		if( is_array( $v_report_details_list ) ){
			$v_last_row = sizeOf($v_report_details_list);
			$v_total_amount = 0.00;
			$v_count = 1;
			foreach( $v_report_details_list as $v_key => $v_row ){
				$v_total_amount += \U::safe_display_string( $v_row['total_amount'] );
				$v_html .= '<tr style="' . ( $v_count % 2 == 0 ? 'background-color:#EDEDED;' : '' ) . 'vertical-align:top;line-height:18px;">';
				$v_html .= '<td style="text-align:center;">' . $v_count . '</td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['ref_no'] ) . '</td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['file_name'] ) . '</td>';
				$v_html .= '<td style="text-align:center;">' . date("F", mktime(0, 0, 0, \U::safe_display_string( $v_row['billing_month'] ), 10)) . ' ' . date( "Y", mktime(0, 0, 0, 12, 1, \U::safe_display_string( $v_row['billing_year'] ) ) ) . '</td>';
				$v_html .= '<td style="text-align:right;">' . \U::safe_display_string( number_format( $v_row['total_transaction'], 0 ) ) . '</td>';
				$v_html .= '<td style="text-align:right;">' . \U::safe_display_string( number_format( $v_row['total_amount'], 2 ) ) . '</td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['jv_no'] ) . '</td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['jv_date'] ) . '</td>';
				$v_html .= '</tr>';
				if( $v_last_row == $v_count ){
					$v_html .= '<tr>';
					$v_html .= '<td colspan="100%" style="border-top:2px solid black;border-bottom:2px solid black;">';
					$v_html .= '<table cellspacing="0" cellpadding="0" style="width:100%">';
					$v_html .= '<tr>';
					$v_html .= '<td width="55%"></td>';
					$v_html .= '<td width="10%" style="text-align:right;">' . 
								\E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNT_STATE_PAYMENT_TOTAL_AMOUNT') . ' (RM)' . 
							 '</td>';
					$v_html .= '<td width="10%" style="text-align:right;">' . number_format($v_total_amount, 2) . '</td>';
					$v_html .= '<td width="25%" style=""></td>';
					$v_html .= '</tr>';
					$v_html .= '</table>';
					$v_html .= '</td>';
					$v_html .= '</tr>';
				}
				$v_count ++;
			}
		}else{
			$v_html .= '<tr>';
			$v_html .= '<td colspan="100%" style="text-align:center;">' . \E::get('obj_curr_module_lang')->get('PUKAL_ACCOUNT_STATE_PAYMENT_NO_DATA') . '</td>';
			$v_html .= '</tr>';
		}
		$v_html .= '</tbody>';
		$v_html .= '</table>';
	} elseif ( $_GET[ 'type' ] == 'missed_lated_bill_account' ) {
		$v_cond['billing_month'] = $_GET['billing_month'];
		$v_cond['billing_year'] = $_GET['billing_year'];
		$v_cond['area_code'] = $_GET['area_code'];
		$v_cond['site_code'] = $_GET['site_code'];
		$v_cond['account_type'] = $_GET['account_type'];
		// //generate report process		
		$v_report_details_list = \E::get( 'obj_curr_module' )->reporting_missed_lated_bill_list($v_cond);
		$v_date_obj   = DateTime::createFromFormat( '!m', $v_cond['billing_month'] );
		$v_html = '';
		$v_html .= '<table cellspacing="0" cellpadding="8" class="td_content">';
		$v_html .= '<thead>';
		$v_html .= '<tr>';
		$v_html .= '<th colspan="100%" style="border-bottom:1px solid #000;">';
		$v_html .= '<h1 style="text-align:center; font-weight:normal;">' . \E::get( "obj_curr_module_lang" )->get('REPORT_HEADER') . '</h1>';
		$v_html .= '<h2 style="text-align:center">' . \E::get( "obj_curr_module_lang" )->get('MISSED_LATED_BILL_ACCOUNT_' . strtoupper( $v_cond[ 'account_type' ] ) . '_TITLE') . '</h2>';
		$v_html .= '<h3 style="text-align:center">' . \E::get( "obj_curr_module_lang" )->get('MISSED_LATED_BILL_BILLING_MONTH') . ' - ' . $v_date_obj->format( 'F' ) . ' ' . $v_cond[ 'billing_year' ] . '</h2>';
		$v_html .= '<table class="td_auto_height" cellspacing=0 cellpadding=2 style="width:99.5%;font-weight:normal;position:absolute;top:105px;">';
		$v_html .= '<tr>';
		$v_html .= '<td style="width:7.5%; text-align:left;"></td>';
		$v_html .= '<td style="width:42.5%; text-align:left;"></td>';
		$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('TOTAL_RECORD') . ': ' . '</td>';
		$v_html .= '<td style="width:7.5%; text-align:right;">' . (is_array($v_report_details_list) ? number_format( count($v_report_details_list), 0 ) : 0) . '</td>';
		$v_html .= '</tr>';
		$v_html .= '<tr>';
		$v_html .= '<td style="width:7.5%; text-align:left;"></td>';
		$v_html .= '<td style="width:42.5%; text-align:left;"></td>';
		$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('PRINTED_ON') . ': ' . '</td>';
		$v_html .= '<td style="width:7.5%; text-align:right;">' . $v_today_date . '</td>';
		$v_html .= '</tr>';
		$v_html .= '</table>';
		$v_html .= '</th>';
		$v_html .= '</tr>';
		$v_html .= '<tr>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="5%">' . 
					\E::get('obj_kernel_lang')->get('TBL_NO') . 
				'</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="7.5%">' . 
					\E::get('obj_curr_module_lang')->get('MISSED_LATED_BILL_ACCOUNT_SITE_OFFICE') . 
				'</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="7.5%">' . 
					( $v_cond[ 'account_type' ] == 'federal' ? \E::get( 'obj_curr_module_lang' )->get( 'MISSED_LATED_BILL_ACCOUNT_BUSINESS_AREA_CODE' ) : \E::get( 'obj_curr_module_lang' )->get( 'MISSED_LATED_BILL_ACCOUNT_PTJ_PAYER' ) ) . 
				'</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="15%">' . 
					\E::get('obj_curr_module_lang')->get('MISSED_LATED_BILL_ACCOUNT_CONSUMER_ACC_NO') . 
				'</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:left;" width="30%">' . 
					\E::get('obj_curr_module_lang')->get('MISSED_LATED_BILL_ACCOUNT_CONSUMER_NAME') . 
				'</th>';
		$v_html .= '<th style="border-bottom:1px solid #000; text-align:left;" width="35%">' . 
					\E::get('obj_curr_module_lang')->get('MISSED_LATED_BILL_ACCOUNT_METER_LOC_ADDRESS') . 
				'</th>';
		$v_html .= '</tr>';
		$v_html .= '</thead>';
		$v_html .= '<tbody>';
		$v_count = 1;
		if( is_array( $v_report_details_list ) ){
			foreach( $v_report_details_list as $v_key => $v_row ){
				$v_html .= '<tr style="' . ( $v_count % 2 == 0 ? 'background-color:#EDEDED;' : '' ) . 'vertical-align:top;line-height:18px;">';
				$v_html .= '<td style="text-align:center;">' . ($v_key + 1) . '</td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['site_code'] ) . '</td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( ( $v_cond[ 'account_type' ] == 'federal' ? $v_row['area_code'] : $v_row['ptj_payer'] ) ) . '</td>';
				$v_html .= '<td style="text-align:center;">' . \U::safe_display_string( $v_row['consumer_acc_no'] ) . '</td>';
				$v_html .= '<td style="text-align:left;">' . \U::safe_display_string( $v_row['consumer_name'] ) . '</td>';
				$v_html .= '<td style="text-align:left;">' . \U::safe_display_string( $v_row['meter_location'] ) . '</td>';
				$v_html .= '</tr>';
			}
		}else{
			$v_html .= '<tr>';
			$v_html .= '<td colspan="100%" style="text-align:center;">' . \E::get('obj_curr_module_lang')->get('MISSED_LATED_BILL_ACCOUNT_NO_DATA') . '</td>';
			$v_html .= '</tr>';
		}
		$v_html .= '</tbody>';
		$v_html .= '</table>';
	}elseif($_GET[ 'type' ] == 'auto_reconciliation'){
		unset($v_cond);
		$v_cond['generation_date_from'] = $_GET['generation_date_from'];
		$v_cond['generation_date_to'] = $_GET['generation_date_to'];
		//generate report process		
		$v_report_details_list = \E::get( 'obj_curr_module' )->reporting_auto_recon_header_list($v_cond);
		if(!empty($v_report_details_list)){
			foreach($v_report_details_list as $v_key=>$v_row){
				$total_records = 0;
				unset($v_cond);
				$v_cond['settlement_id'] = isset($v_row['SETTLEMENT_ID']) ? $v_row['SETTLEMENT_ID'] : '';
				$v_report_details_distinct_list = \E::get( 'obj_curr_module' )->reporting_auto_recon_get_distinct_list($v_cond);
				if(isset($v_report_details_distinct_list) && !empty($v_report_details_distinct_list)){
					foreach($v_report_details_distinct_list as $v_key2 => $v_row2){
						$v_ref_no = isset($v_row2['ref_no']) ? $v_row2['ref_no'] :'';
						if(isset($v_ref_no) && $v_ref_no != ""){
							unset($v_cond);
							$v_cond['bill_no'] = isset($v_ref_no) ? $v_ref_no : '';
							$v_cond['settlement_id'] = isset($v_row['SETTLEMENT_ID']) ? $v_row['SETTLEMENT_ID'] : '';
							$v_report_details_list3 = \E::get( 'obj_curr_module' )->reporting_auto_recon_get_join_list($v_cond);
							if(isset($v_report_details_list3) && !empty($v_report_details_list3)){
								$total_records += count($v_report_details_list3);
								foreach($v_report_details_list3 as $v_key3 => $v_row3){
									unset($v_cond);
									$v_cond['pay_data_id'] = isset($v_row3['PAY_DATA_ID']) ? $v_row3['PAY_DATA_ID'] : '';
									$v_report_pay_data_list = \E::get( 'obj_curr_module' )->reporting_auto_recon_get_payment_data_list($v_cond);
									$v_row3['PAY_DATA_RECEIPT_NO'] = isset($v_report_pay_data_list[0]['PAY_DATA_RECEIPT_NO']) ? $v_report_pay_data_list[0]['PAY_DATA_RECEIPT_NO'] : '';
									$v_row3['PAY_DATA_AMOUNT'] = isset($v_report_pay_data_list[0]['PAY_DATA_AMOUNT']) ? $v_report_pay_data_list[0]['PAY_DATA_AMOUNT'] : '';
									$v_report_details_list[$v_key]['settlement_details'][$v_ref_no][] = isset($v_row3) ? $v_row3 : '';
								}
							}
						}
					}
				}
				$v_report_details_list[$v_key]['total_records'] = $total_records;
			}
		}
		$v_count = 1;
		$v_html = '';
		$index=0;
		if( is_array( $v_report_details_list ) ){
			$showHdr = false;
			$showBillNo = false;
			$seq = 0;
			foreach( $v_report_details_list as $v_key => $v_row ){
				$seq++;
				$v_total_ss = 0;
				$v_total_pb = 0 ;
				$v_html .= '<table class="break-after" cellspacing="0" cellpadding="8" class="td_content">';
				$v_html .= '<thead>';
				$v_html .= '<tr>';
				$v_html .= '<th colspan="100%" style="border-bottom:1px solid #000;">';
				$v_html .= '<h1 style="text-align:center; font-weight:normal;">' . \E::get( "obj_curr_module_lang" )->get('REPORT_HEADER') . '</h1>';
				$v_html .= '<h2 style="text-align:center">' . \E::get( "obj_curr_module_lang" )->get('AUTO_RECONCILIATION') . '</h2>';
				$v_html .= '<h3 style="text-align:center">' . \E::get( "obj_curr_module_lang" )->get('AUTO_RECONCILIATION_SETTLEMENT_DATE') . ': ' . $_GET['generation_date_from'] . ' ' . strtolower(\E::get('obj_curr_module_lang')->get('AUTO_RECONCILIATION_TO')) . " " . $_GET['generation_date_to'] . '</h2>';
				$v_html .= '<table class="td_auto_height" cellspacing=0 cellpadding=2 style="width:99.5%;font-weight:normal;position:absolute;top:105px;">';
				$v_html .= '<tr>';
				$v_html .= '<td style="width:7.5%; text-align:left;"></td>';
				$v_html .= '<td style="width:42.5%; text-align:left;"></td>';
				$v_html .= '<td style="width:42.5%; text-align:right;"></td>';
				$v_html .= '<td style="width:7.5%; text-align:right;"></td>';
				$v_html .= '</tr>';
				$v_html .= '<tr>';
				$v_html .= '<td style="width:7.5%; text-align:left;"></td>';
				$v_html .= '<td style="width:42.5%; text-align:left;"></td>';
				$v_html .= '<td style="width:42.5%; text-align:right;">' . \E::get( "obj_curr_module_lang" )->get('PRINTED_ON') . ': ' . '</td>';
				$v_html .= '<td style="width:7.5%; text-align:right;">' . $v_today_date . '</td>';
				$v_html .= '</tr>';
				$v_html .= '</table>';
				$v_html .= '</th>';
				$v_html .= '</tr>';
				$v_html .= '<tr>';
				$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="5%">' . 
							\E::get('obj_kernel_lang')->get('TBL_NO') . 
						'</th>';
				$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="7.5%">' . 
							\E::get('obj_curr_module_lang')->get('AUTO_RECONCILIATION_SETTLEMENT_REF_NO') . 
						'</th>';
				$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="7.5%">' . 
							\E::get('obj_curr_module_lang')->get('AUTO_RECONCILIATION_SETTLEMENT_DATE') . 
						'</th>';
				$v_html .= '<th style="border-bottom:1px solid #000; text-align:center;" width="7.5%">' . 
							\E::get('obj_curr_module_lang')->get('AUTO_RECONCILIATION_TOTAL_TRANSACTION') . 
						'</th>';
				$v_html .= '<th style="border-bottom:1px solid #000; text-align:left;" width="7.5%">' . 
							\E::get('obj_curr_module_lang')->get('AUTO_RECONCILIATION_TOTAL_TRANSACTION_AMT') . 
						'</th>';
				$v_html .= '<th style="border-bottom:1px solid #000; text-align:left;" width="7.5%">' . 
							\E::get('obj_curr_module_lang')->get('AUTO_RECONCILIATION_BILL_NO') . 
						'</th>';
				$v_html .= '<th style="border-bottom:1px solid #000; text-align:left;" width="7.5%">' . 
							\E::get('obj_curr_module_lang')->get('AUTO_RECONCILIATION_RECEIPT_NO') . 
						'</th>';
				$v_html .= '<th style="border-bottom:1px solid #000; text-align:left;" width="7.5%">' . 
							\E::get('obj_curr_module_lang')->get('AUTO_RECONCILIATION_RECEIPT_AMT') . 
						'</th>';
				$v_html .= '<th style="border-bottom:1px solid #000; text-align:left;" width="7.5%">' . 
							\E::get('obj_curr_module_lang')->get('AUTO_RECONCILIATION_PAYMENT_MODE') . 
						'</th>';
				$v_html .= '<th style="border-bottom:1px solid #000; text-align:left;" width="7.5%">' . 
							\E::get('obj_curr_module_lang')->get('AUTO_RECONCILIATION_TRANSACTION_NO') . 
						'</th>';
				$v_html .= '<th style="border-bottom:1px solid #000; text-align:left;" width="7.5%">' . 
							\E::get('obj_curr_module_lang')->get('AUTO_RECONCILIATION_SERVICE_SWAK') . '<br/>' . '(' . 
							\E::get('obj_curr_module_lang')->get('AUTO_RECONCILIATION_COLLECTION_TYPE') . ')' .
						'</th>';
				$v_html .= '<th style="border-bottom:1px solid #000; text-align:left;" width="7.5%">' . 
							\E::get('obj_curr_module_lang')->get('AUTO_RECONCILIATION_SERVICE_SWAK') . '<br/>' . '(' .
							\E::get('obj_curr_module_lang')->get('AUTO_RECONCILIATION_COLLECTION_NONCASH') . ')' .
						'</th>';
				$v_html .= '<th style="border-bottom:1px solid #000; text-align:left;" width="7.5%">' . 
							\E::get('obj_curr_module_lang')->get('AUTO_RECONCILIATION_PAYBILLS') .  '<br/>' . '(' .
							\E::get('obj_curr_module_lang')->get('AUTO_RECONCILIATION_TRANX_AMT') . ')' .
						'</th>';
				$v_html .= '</tr>';
				$v_html .= '</thead>';
				$v_html .= '<tbody>';
				// New settlement header no, so show the settlement no
				$showHdr = true;
				// Settlement header's rowspan is based on settlement details' count
				$hdrRowspan = $v_row['total_records'];
				foreach($v_row['settlement_details'] as $v_key2 => $v_row2){
					// New bill no, so show the bill no
					$showBillNo = true;
					if(isset($v_row['settlement_details']) && !empty($v_row['settlement_details'])){
						foreach($v_row2 as $settlementKeys => $settlementValues){
							$v_html .= '<tr style="' . ( $v_count % 2 == 0 ? 'background-color:#EDEDED;' : '' ) . 'vertical-align:top;line-height:18px;">';
							// Settlement header data here, rowspan = hdrRowspan
							if($showHdr == true){
								$v_html .= '<td style="text-align:center;" rowspan="'.$hdrRowspan.'">' . $seq . '</td>';
								$v_html .= '<td style="text-align:center;" rowspan="'.$hdrRowspan.'">' . \U::safe_display_string( $v_row['SETTLEMENT_REF_NO'] ) . '</td>';
								$v_html .= '<td style="text-align:center;" rowspan="'.$hdrRowspan.'">' . \E::get('obj_curr_module')->__to_display_date(\U::safe_display_string($v_row[ 'SETTLEMENT_DATE' ]), "DATE") . '</td>';
								$v_html .= '<td style="text-align:center;" rowspan="'.$hdrRowspan.'">' . \U::safe_display_string( $v_row['TOTAL_TRANSACTION'] ) . '</td>';
								$v_html .= '<td style="text-align:left;" rowspan="'.$hdrRowspan.'">' . \U::safe_display_string( $v_row['TOTAL_SETTLEMENT_AMT'] ) . '</td>';
								$showHdr = false;
							}
							// Bill no data here, rowspan = total count of settlement details for each bill no key
							if($showBillNo){
								$v_html .= '<td style="text-align:left;" rowspan="'.count($v_row['settlement_details']).'">' . \U::safe_display_string( $v_key2 ) . "<br/>". '</td>';
								$v_html .= '<td style="text-align:left;" rowspan="'.count($v_row['settlement_details']).'">' . \U::safe_display_string($settlementValues['PAY_DATA_RECEIPT_NO']) . "<br/>". '</td>';
								$v_html .= '<td style="text-align:left;" rowspan="'.count($v_row['settlement_details']).'">' . \U::safe_display_string($settlementValues['PAY_DATA_AMOUNT']) . "<br/>". '</td>';
								$showBillNo = false;
							}
							// Settlement details here, no rowspan needed
							$v_html .= '<td style="text-align:left;">' . \U::safe_display_string( $settlementValues['MODE'] ) . '</td>';
							$v_html .= '<td style="text-align:left;">' . \U::safe_display_string( $settlementValues['TRANS_NO'] ) . '</td>';
							if(isset($settlementValues['MODE']) && $settlementValues['MODE'] == "Cash" || $settlementValues['MODE'] == "Cheque"){
								$v_html .= '<td style="text-align:left;">' . \U::safe_display_string( $settlementValues['TRANS_AMT'] ) . '</td>';
								$v_html .= '<td style="text-align:left;"></td>';
								$v_html .= '<td style="text-align:left;"></td>';
							}else{
								$v_html .= '<td style="text-align:left;"></td>';
								$v_html .= '<td style="text-align:left;">' . \U::safe_display_string( $settlementValues['TRANS_AMT'] ) . '</td>';
								$v_html .= '<td style="text-align:left;">' . \U::safe_display_string( $settlementValues['TRANX_AMT'] ) . '</td>';
								$v_total_ss += isset($settlementValues['TRANS_AMT']) ? \U::safe_display_string( $settlementValues['TRANS_AMT'] ) : '';
								$v_total_pb += isset($settlementValues['TRANX_AMT']) ? \U::safe_display_string( $settlementValues['TRANX_AMT'] ) : '';
							}
							$v_html .= '</tr>';
						}
					}
				}
				$v_html .= '</tr>';
				$index++;
				$v_html .= '<tr>';
				$v_html .= '<td colspan="10" style="text-align:right; border-top:1px solid #000; border-bottom:1px solid #000;">' . \E::get('obj_curr_module_lang')->get('AUTO_RECONCILIATION_TOTAL') . '</td>';
				$v_html .= '<td style="text-align:right; border-top:1px solid #000; border-bottom:1px solid #000;"></td>';
				$v_html .= '<td style="text-align:left; border-top:1px solid #000; border-bottom:1px solid #000;">'.number_format($v_total_ss,2).'</td>';
				$v_html .= '<td style="text-align:left; border-top:1px solid #000; border-bottom:1px solid #000;">'.number_format($v_total_pb,2).'</td>';
				$v_html .= '</tr>';
			}
		}else{
			$v_html .= '<tr>';
			$v_html .= '<td colspan="100%" style="text-align:left;">' . \E::get('obj_curr_module_lang')->get('AUTO_RECONCILIATION_NO_DATA') . '</td>';
			$v_html .= '</tr>';
		}
		$v_html .= '</tbody>';
		$v_html .= '</table>';
	}
}
//generate report process
print $v_html;
exit;
?>
</body>
</html>