<?PHP
$v_access_add = \E::get('obj_curr_module')->ajax_validation_check_permission("add");
if( !$v_access_add ){
    \V::append_data( 'body', \V::load_box( \E::get( 'obj_curr_module_lang')->get('MODULE_AUTHORISED_ERROR'), \V::load_view( $this->get_view_file_path( 'msg_not_authorised', 'share' ), $v_object, $v_var ), 'box_form.php' ) );
    \V::output_view( 'template_login.php' );
    exit;
}
$v_param = $this->get_param();
$v_tmp_list = \E::get( 'obj_curr_module')->user_group_list();
$v_group_list['no_access'] = "[No Access]";
if( is_array($v_tmp_list) ){
	for( $v_c=0; $v_c<count($v_tmp_list); $v_c++ ){
		$v_group_list[$v_tmp_list[$v_c]['group_id']] = $v_tmp_list[$v_c]['group_name'];
	}
}
$v_user_roles = \E::get('obj_curr_module')->user_group_list();
$v_agency_dta = \E::get('obj_curr_module')->user_group_agency_lit();
$v_location_data = \E::get('obj_curr_module')->user_group_location_list();
$v_category_types = \E::get('obj_curr_module')->ajax_validation_code_table_data("ticket_category");
if( $_SERVER['REQUEST_METHOD'] == 'POST' ){
	foreach( $_POST as $v_key => $v_value ){
		$_POST[$v_key] = trim($v_value);
	}
	\I::check("COMPULSORY", 'ticket_category_code', \E::get("obj_kernel_lang")->get('ERR_JS_FIELD_REQUIRED'));
	\I::check("COMPULSORY", 'ticket_category_name', \E::get("obj_kernel_lang")->get('ERR_JS_FIELD_REQUIRED'));
	\I::check("COMPULSORY", 'ticket_category_description', \E::get("obj_kernel_lang")->get('ERR_JS_FIELD_REQUIRED'));
	$v_field_name = "code";
	$v_table_name = "ticket_category";
	$v_field_value = $_POST['ticket_category_code'];
	$v_check_info = \E::get('obj_curr_module')->user_check_duplicate_field($v_field_name, $v_field_value,$v_table_name);
	if ($v_check_info && is_array($v_check_info)) {
		\I::set_error_field('ticket_category_code' , \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_CODE_ALREADY_EXISTS'));
	}
	$v_field_name = "name";
	$v_field_value = $_POST['ticket_category_name'];
	$v_check_info = \E::get('obj_curr_module')->user_check_duplicate_field($v_field_name, $v_field_value,$v_table_name);
	if ($v_check_info && is_array($v_check_info)) {
		\I::set_error_field('ticket_category_name' , \E::get('obj_curr_module_lang')->get('TICKET_CATEGORY_NAME_ALREADY_EXISTS'));
	}
	if( !\I::is_error() ){
		$v_add['ticket_category_code'] = $_POST['ticket_category_code'];
		$v_add['ticket_category_name'] = $_POST['ticket_category_name'];
		$v_add['description'] = $_POST['ticket_category_description'];
		$v_add['ticket_category_type'] = $_POST['ticket_category_type'];
		$v_add['ticket_category_type_text'] = $_POST['ticket_category_type_text'];
		$v_add['ticket_location'] = $_POST['ticket_location'];
		$v_add['agency'] = $_POST['ticket_agency_name'];
		$v_add['ticket_remarks'] = $_POST['ticket_remarks'];
		$v_logged_in_user_id = \E::get_session( 'usr_id' );
		$v_str_now = date("Y-m-d H:i:s");
		$v_add['_rec_created_by'] = $v_logged_in_user_id;
		$v_add['_rec_created_on'] = $v_str_now;
		$v_add['_rec_status'] = "SHOW";
		$v_add['_rec_modified_by'] = $v_logged_in_user_id;
		$v_add['_rec_modified_on'] = $v_str_now;
		$v_locations_add = \E::get( 'obj_curr_module')->ticket_category_save($v_add);
		$v_add['usr_id'] = $v_locations_add;
		$v_usr_id = $v_locations_add;
		if ( isset($v_usr_id) && $v_usr_id !== FALSE ) {
			$v_log_status = \E::get('obj_curr_module')->user_group_add_logs_data($v_add, "Add", "Ticket Category", NULL);
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title' , \E::get('obj_curr_module_lang')->get('SUCCESS'));
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message' , \E::get('obj_curr_module_lang')->get('RECORD_ADDED'));
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status' , 'success');
		} else {
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title' , \E::get('obj_curr_module_lang')->get('FAILED'));
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message' , \E::get('obj_curr_module_lang')->get('FAILED_TO_ADD_RECORD'));
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status' , 'error');
		}
		header('location: ' . \E::get('obj_curr_module')->build_action_path('ticket_category','edit',$v_locations_add));
		exit();
	}
	foreach( $_POST as $v_key => $v_value ){
		$v_var[$v_key] = trim($v_value);
	}
}
$v_var['today_date'] = \E::get('obj_curr_module')->__to_display_date(\E::get('obj_curr_module')->__now(),'DATE');
$v_var['mode'] = 'add';
$v_var['group_list'] = $v_group_list;
$v_var['user_roles'] = $v_user_roles;
$v_var['agency_dta'] = $v_agency_dta;
$v_var['location_data'] = $v_location_data;
$v_var['category_types'] = $v_category_types;
\V::append_data( 'js', \V::load_view( MODULE_PLUGIN_PATH . 'sweetalert2/moonlight_init.php', $v_object, $v_var) );
\V::append_data( 'menu', \V::load_view( $this->get_view_file_path( 'menu', 'share' ), $v_object, $v_var ) );
\V::append_data( 'body', \V::load_view( $this->get_view_file_path('form'), $v_object, $v_var ) );
\V::output_view();
?>