<?PHP
$v_access_view = \E::get('obj_curr_module')->ajax_validation_check_permission("view");
if( !$v_access_view ){
	\V::append_data( 'body', \V::load_box( \E::get( 'obj_curr_module_lang')->get('MODULE_AUTHORISED_ERROR'), \V::load_view( $this->get_view_file_path( 'msg_not_authorised', 'share' ), $v_object, $v_var ), 'box_form.php' ) );
	\V::output_view( 'template_login.php' );
	exit;
}
unset($v_cond);
$v_cond['search_by_receipt'] = (isset($_REQUEST['search_by_receipt']) && $_REQUEST['search_by_receipt'] != "") ? $_REQUEST['search_by_receipt'] : '';
$v_cond['date_range'] = (isset($_REQUEST['date_range']) && $_REQUEST['date_range'] != "") ? $_REQUEST['date_range'] : '';
$v_cond['cashier_filter'] = (isset($_REQUEST['cashier_filter']) && $_REQUEST['cashier_filter'] != "") ? $_REQUEST['cashier_filter'] : '';
$v_cond['report_status'] = (isset($_REQUEST['report_status']) && $_REQUEST['report_status'] != "") ? $_REQUEST['report_status'] : '';
$v_order_order_by ='id';
if( isset($_REQUEST['order'][0]['column']) && $_REQUEST['order'][0]['column'] != "" ){
	switch($_REQUEST['order'][0]['column']){
		case '1':
			$v_order_order_by = 'transaction_date';
			break;
		case '2':
			$v_order_order_by = 'receipt_no';
			break;
		case '3':
			$v_order_order_by = 'final_amount';
			break;
		case '4':
			$v_order_order_by = '_rec_created_by';
			break;
	}
}
$v_sort_by =  (isset($_REQUEST['order'][0]['dir']) && $_REQUEST['order'][0]['dir'] != "" ) ? $_REQUEST['order'][0]['dir'] : 'ASC';
$v_page_length = (isset($_REQUEST['length']) && $_REQUEST['length'] != "" && $_REQUEST['length'] != "-1") ? $_REQUEST['length'] : NULL;
$v_page_start = (isset($_REQUEST['start']) && $_REQUEST['start'] != "") ? $_REQUEST['start'] : 0;
$v_user_list_info = \E::get('obj_curr_module')->buy_ticket_get_listing($v_cond, $v_sort_by, $v_order_order_by, $v_page_start, $v_page_length);
$v_user_list_info_count = \E::get('obj_curr_module')->buy_ticket_get_listing($v_cond, "", "", "", "");
$v_total_rec = 0;
if( $v_user_list_info_count && $v_user_list_info_count != "" ) {
	$v_total_rec = count($v_user_list_info_count);
}
$v_is_location_admin = \E::get_session('is_location_admin_for_cancelation_receipts');
if( is_array($v_user_list_info) ){
	$v_count = $v_page_start + 1;
	foreach( $v_user_list_info as $v_key => $v_row ){
		$v_user_list_info[$v_key]['no'] = $v_count;
		$v_user_list_info[$v_key]['transaction_date'] = date("d/m/Y H:i:s", strtotime($v_row['transaction_date']));
		$v_user_list_info[$v_key]['receipt_no'] = $v_row['receipt_no'];
		$v_user_list_info[$v_key]['final_amount'] = $v_row['final_amount'];
		$v_cond['usr_id'] = $v_row['_rec_created_by'];
		$v_user_info_data = \E::get('obj_system_module')->user_get($v_cond);
		$v_user_list_info[$v_key]['usr_full_name'] = $v_user_info_data['usr_full_name'];
		$v_report_status = "";
		$v_checkbox_enable_diable = "";
		if( isset($v_row['_rec_status']) && $v_row['_rec_status'] != '' ) {
			if( $v_row['_rec_status'] == "SHOW" ) {
				$v_report_status = "Confirmed";
				$v_checkbox_enable_diable = "";
			} else if( $v_row['_rec_status'] == "DELETED" ) {
				$v_report_status = "Cancelled & Refunded";
				$v_checkbox_enable_diable = " disabled ";
			}
		}
		$v_user_list_info[$v_key]['report_status'] = $v_report_status;
		$v_user_list_info[$v_key]['checkbox_list'] = "<input type='checkbox' ".$v_checkbox_enable_diable." name='transactions_id'  style='width:20px;height:20px;' class='checkbox_selected' data-transaction_date=".date("Y-m-d", strtotime($v_row['transaction_date']))." data-transaction_ref_no=".$v_row['transaction_ref_no']." data-payment_method=".$v_row['payment_method']." value=".$v_row['id']."  />";
		$v_count++;
	}
}
$v_data_result['draw'] = $_REQUEST['draw'];
$v_data_result['recordsTotal'] = $v_total_rec;
$v_data_result['recordsFiltered'] = $v_total_rec;
$v_data_result['data'] = $v_user_list_info;
echo json_encode($v_data_result);
?>