<?php $v_access_add = \E::get('obj_curr_module')->ajax_validation_check_permission('add'); ?>
<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
	<div class="container-fluid">
		<div class="container-fluid">
			<div class="row mb-2">
				<div class="col-sm-12 breadcrumb_container">
					<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
						<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_BREADCRUMB_HOME'); ?>
					</a> /
					<a href="<?php echo \E::get('obj_curr_module')->build_action_path('ticket_sale', 'list'); ?>">
						<?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_BREADCRUMB_TICKET_SALE'); ?>
					</a> /
					<?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_BREADCRUMB_TICKET_LISTING'); ?>
				</div>
				<div class="col-sm-6 pl-3 pt-2">
					<h5 class="m-0 pb-0 module_name">
						<?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_BREADCRUMB_TICKET_LISTING'); ?>
					</h5>
				</div>
			</div>
		</div>
	</div>
</div>
<hr/>
<div class="row mb-3">
	<div class="col-md-12">
		<div class="input-group pb-3 col-md-8">
			<input type="text" class="form-control" placeholder="Search for receipt number" id="search_by_receipt">
		</div>
		<div class="row">
			<div class="col-md-2 col-xl-2">
				<i class="fas fa-sliders-h fa-lg"></i>
				<span class="font-weight-bold">
                    <?php echo \E::get('obj_curr_module_lang')->get('AGENCY_FILTER'); ?>
                </span>
			</div>
			<div class="col-xl-2 col-lg-2 col-md-2 col-sm-2" id="agency_select_container">
				<div class="form-group ml-xl-n4">
					<label for="usr_name" data-id="division_filter" class="filter_container locations_label col-form-label text-secondary rounded-pill border border-secondary px-5 mb-2"><?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_STATUS_FILTER_TEXT'); ?></label>
						<i data-id="division_filter" class="fas fa-chevron-down ml-n5 pl-3 location_name_arrow text-secondary filter_container"></i>
					<div id="select2_container_location_filter">
						<select class="user_name form-control" id="division_filter" name="states" onchange="search();">
							<?php
							if (isset($v_filter_status) && count($v_filter_status) > 0) {
								foreach ($v_filter_status as $v_key => $v_user_each) { ?>
									<option value="<?php echo \U::safe_display_string($v_user_each['id']); ?>"><?php echo \U::safe_display_string($v_user_each['key_value']); ?></option>
									<?php
								}
							}
							?>
						</select>
					</div>
				</div>
			</div>
			<div class="col-xl-2 col-lg-2 col-md-2 col-sm-2" id="agency_select_container">
				<div class="form-group">
					<label for="usr_name" data-id="agency_filter" class="filter_container category_label col-form-label text-secondary rounded-pill border border-secondary px-5 mb-2">
						<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_CASHIER_LABEL'); ?>
					</label>
					<i data-id="agency_filter"  class=" fas fa-chevron-down  ml-n5 pl-3 category_name_arrow  text-secondary filter_container"></i>
					<div id="select2_container_category_filter">
						<select class="user_name form-control" name="states[]" multiple="multiple" id="agency_filter">
							<?php
							if (isset($v_cashiers) && count($v_cashiers) > 0) {
								foreach ($v_cashiers as $v_key => $v_cashiers) { ?>
									<option value="<?php echo \U::safe_display_string($v_cashiers['usr_id']); ?>"><?php echo \U::safe_display_string($v_cashiers['usr_full_name']); ?></option>
									<?php
								}
							}
							?>
						</select>
					</div>
				</div>
			</div>
			<div class="col-xl-3 col-lg-5 col-md-5 col-sm-3" id="agency_select_container">
				<input type="text" class="form-control text-left ticket_listing_date_range" placeholder="Date Range" id="date_range_dates" readonly>
				<div class="input-group-append date_range_main_btn">
					<button class="btn btn-secondary sidebar-color border-0 main_btn_date" type="button" id="date_range">
						<i class="fa fa-calendar text-secondary"></i>
					</button>
				</div>
			</div>
		</div>
		<div class="row mt-3 mb-4 ml-5">
			<div class="offset-1 col-md-2 float-left">
				<button type="button" id="btn-reset-all" class='btn-default form-control' onclick="reset_search();"><?php echo \E::get('obj_curr_module_lang')->get('SAME_DAY_REPORT_RESET'); ?></button>
			</div>
			<div class="col-md-2 float-left">
				<button type="button" class='btn-primary form-control' onclick="search();"><?php echo \E::get('obj_curr_module_lang')->get('AUDIT_GENERATE'); ?></button>
			</div>
		</div>
		<hr>
		<div class="row mt-3 mb-4">
			<div class="offset-6 col-md-2 float-left">
				<?php
				$v_c_user_agency_id = \E::get_session("c_user_agency_id");
				$v_c_user_location_id = \E::get_session("c_user_location_id");
				if (isset($v_c_user_agency_id) && ($v_c_user_agency_id != "") && ($v_c_user_agency_id != 0)) {
					if (isset($v_c_user_location_id) && ($v_c_user_location_id != "") && ($v_c_user_location_id != 0)) { ?>
						<button type="button" class='btn-danger form-control' title="<?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_SELECT_ONLY_ONE_RECEIPT_ONLY'); ?>" onclick="delete_tickets('<?php echo date("Y-m-d"); ?>');"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_CANCEL_RECEIPT'); ?></button>
						<?php
					}
				}
				?>
			</div>
			<form method="post" id="print_tickets" action="<?php echo \E::get('obj_curr_module')->build_action_path('buy_ticket', 'reprint'); ?>">
				<input type="hidden" class="print_tickets_hidden_elements" name="print_tickets" value="print_tickets">
			</form>
			<div class="offset-0 col-md-2 float-left">
				<button type="button" id="btn-reset-all" class='btn-primary form-control' onclick="print_tickets();"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_PRINT_TICKETS'); ?></button>
			</div>
			<form method="post" id="print_receipts" action="<?php echo \E::get('obj_curr_module')->build_action_path('buy_ticket', 'reprint'); ?>">
				<input type="hidden" class="print_receipts_hidden_elements" name="print_tickets" value="print_receipts">
			</form>
			<div class="col-md-2 float-left">
				<button type="button" onclick="print_receipts();" class='btn-primary form-control'>
					<?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_PRINT_RECEIPTS'); ?>
				</button>
			</div>
		</div>
		<div class="table-responsive">
			<table class="table table-bordered" id="data_table" width="100%" cellspacing="0">
				<thead>
				<tr>
					<th>
						<?php echo \E::get('obj_kernel_lang')->get('TBL_NO'); ?>
					</th>
					<th>
						<?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_DATE_PRCHASED'); ?>
					</th>
					<th>
						<?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_RECEIPT_NO'); ?>
					</th>
					<th>
						<?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_AMOUNT'); ?>
					</th>
					<th>
						<?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_CASHIER'); ?>
					</th>
					<th>
						<?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_REPORT_STATUS'); ?>
					</th>
					<th></th>
				</tr>
				</thead>
				<tbody>
				</tbody>
			</table>
		</div>
	</div>
</div>
<div class="modal fade" id="authorized_modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
	<div class="modal-dialog modal-lg" role="document">
		<form method="post" action="" name="action_authorization" id="action_authorization" enctype="multipart/form-data">
			<div class="modal-content">
				<div class="modal-header bootstrap_modal_head_custom">
					<h5 class="modal-title bootstrap_modal_title_custom" id="exampleModalLabel"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_AUTHORIZE_VERIFY_BY'); ?></h5>
				</div>
				<div class="modal-body">
					<div class="container">
						<div class="row">
							<div class="col-md-5">
								<label class="location_admin_modal_labels"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_LOCATION_ADMINISTRATOR'); ?>
									<span class="text-danger">*</span></label>
							</div>
							<div class="col-md-7">
								<select class="user_name form-control" name="user_names" id="user_names">
									<option value=""></option>
									<?php
									if (isset($v_location_admins) && ($v_location_admins != "") && (count($v_location_admins) > 0)) {
										foreach ($v_location_admins as $key => $each_location_admin) { ?>
											<option value="<?php echo \U::safe_display_string($each_location_admin['usr_short_name']); ?>"><?php echo \U::safe_display_string($each_location_admin['usr_full_name']) . " - " . \U::safe_display_string($each_location_admin['usr_short_name']); ?></option>
											<?php
										}
									}
									?>
								</select>
							</div>
							<input type="hidden" name="v_is_location_admin_exists" id="v_is_location_admin_exists" value="<?php echo \U::safe_display_string($v_is_location_admin_exists); ?>">
						</div>
						<div class="row mt-3">
							<div class="col-md-5">
								<label class="location_admin_modal_labels"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_LOCATION_PASSWORD'); ?>
									<span class="text-danger">*</span></label>
							</div>
							<div class="col-md-7">
								<input type="Password" name="user_password" class="form-control" id="user_password">
							</div>
						</div>
						<div class="row mt-3">
							<div class="col-md-5">
								<label class="location_admin_modal_labels"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_REMARKS_SPAN'); ?> <span class="text-danger">*</span></label>
							</div>
							<div class="col-md-7">
								<span id="remain_charcter" class="custom_max_character_limit"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_REMAINING_CHARCTERS'); ?></span>
								<textarea name="ticket_cancell_remarks" class="form-control ticket_Cancel_remarks_custom_height" id="ticket_cancell_remarks"></textarea>
							</div>
						</div>
						<div class="row mt-4">
							<div class="col-md-12">
								<h6 class="text-danger text-center" id="error_login"></h6>
							</div>
						</div>
						<div class="container_for_transaction_numbers">
							<hr/>
							<div class="bootstrap_modal_head_custom_detail">
								<h5 class="modal-title bootstrap_modal_title_custom" id="exampleModalLabel"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_SPAY_MODAL_HEADING'); ?></h5>
							</div>
							<p class="transaction_reference_text">
								<?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_TRANSACTION_URL_HEADING'); ?>
							</p>
							<div class="row mt-3">
								<div class="col-md-5">
									<label class="location_admin_modal_labels"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_SPAY_REFUND_TRANSACTION_NO'); ?> </label>
								</div>
								<div class="col-md-7">
									<input type="text" name="spay_transaction_number" class="form-control" id="spay_transaction_number" placeholder="<?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_SPAY_AUTO_RETRIEVE_SYSTEM'); ?>" readonly>
								</div>
							</div>
							<div class="row mt-3">
								<div class="col-md-5">
									<label class="location_admin_modal_labels"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_SPAY_REFUND_REFERENCE_NO'); ?> </label>
								</div>
								<div class="col-md-7">
									<input type="text" name="spay_refund_reference_number" class="form-control" id="spay_refund_reference_number" onkeyup="onkeyup_reference_no(event)">
								</div>
							</div>
						</div>
					</div>
					<input type="hidden" name="authorization_status" value="" id="authorization_status">
					<input type="hidden" name="transaction_id_authorization" value="" id="transaction_id_authorization">
					<input type="hidden" name="spay_global_transaction_no" value="" id="spay_global_transaction_no">
					<input type="hidden" name="spay_gloabl_payment_method" value="" id="spay_gloabl_payment_method">
					<input type="hidden" name="spay_global_reference_no" value="" id="spay_global_reference_no">
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_CANCEL_BTN'); ?></button>
					<button type="button" class="btn btn-primary" onclick="reject_confirm_authorization('confirm')"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_CONFIRM_BTN'); ?></button>
				</div>
			</div>
		</form>
	</div>
</div>

<div class="after_ticket_add">
	<p id="generate_tickets_loader">
		<img class="ticket_generation_loader_icon" src="<?php echo \E::get('obj_curr_module')->get_image_path() . '/custom_loader.gif'; ?>">
		<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_CANCELLATION_LOADER_TEXT'); ?>
	</p>
</div>

<?PHP
\I::load_error();
?>
<script language="javascript">
	$("#action_authorization").submit(function (e) {
		e.preventDefault();
	});
	var maxchars = 250;
	$('#ticket_cancell_remarks').keydown(function () {
		var tlength = $(this).val().length;
		$(this).val($(this).val().substring(0, maxchars));
		var tlength = $(this).val().length;
		remain = maxchars - parseInt(tlength);
		$('#remain_charcter').text(remain + " Characters Remaining");
	});
	function reject_confirm_authorization(status) {
		var v_username = $("#user_names option:selected").val();
		v_user_password = $("#user_password").val();
		var v_ticket_cancell_remarks = $("#ticket_cancell_remarks").val();
		if ($.trim(v_username) == "") {
			Swal.fire({
				title: '<font class="title_heading"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_SELECT_USER_NAME_TEXT'); ?></font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
		} else if ($.trim(v_user_password) == "") {
			Swal.fire({
				title: '<font class="title_heading"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_PASSWORD_IS_REQUIRED'); ?></font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
		} else if ($.trim(v_ticket_cancell_remarks) == "") {
			Swal.fire({
				title: '<font class="title_heading"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_REMARKS_IS_REQUIRED'); ?></font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
		} else if ($.trim(status) == "") {
			Swal.fire({
				title: '<font class="title_heading"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_STATUS_IS_REQUIRED'); ?></font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
		}
		$("#authorization_status").val(status);
		var user_password = $("#user_password").val();
		$("#user_password").val(btoa(user_password));
		$(".after_ticket_add").show();
		var v_form_data = $("#action_authorization").serialize();
		var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('ticket_listing', 'cancel_receipt'); ?>';
		var v_response = makePOSTRequest(v_list_url, v_form_data, '', 'after_load_authorization_status', '');
	}
	function after_load_authorization_status(response) {
		$("#user_password").val(v_user_password);
		$(".after_ticket_add").hide();
		if (response == "error") {
			Swal.fire({
				title: '<font class="title_heading"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_INVALID_PASSWORD'); ?> </font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
		} else if (response == "LDAP_NOT_FOUND") {
			Swal.fire({
				title: '<font class="title_heading"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_LDAP_NOT_FOUND'); ?> </font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
		} else if (response == "USER_NOT_FOUND") {
			Swal.fire({
				title: '<font class="title_heading"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_LDAP_USER_NOT_FOUND'); ?> </font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
		} else if (response == "INCORRECT_PASSWORD") {
			Swal.fire({
				title: '<font class="title_heading"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_INCORRECT_PASSWORD'); ?> </font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
		} else if (response == "already_refunded") {
			Swal.fire({
				title: '<font class="title_heading"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_REFUND_FAILED'); ?> </font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
		} else if (response == "something_wrong") {
			Swal.fire({
				title: '<font class="title_heading"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_SOMETHING_WENT_ERONG_TRY_AGAIN'); ?> </font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
		} else if (response == "merchant_id_not_found") {
			Swal.fire({
				title: '<font class="title_heading"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_INVALID_MERCHANT_ID'); ?> </font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
		} else if (response == "s_pay_g_reference_no_already_refund_error") {
			Swal.fire({
				title: '<font class="title_heading"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_ALREADY_REFUNDED'); ?>  </font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
		} else if (response == "key_mismatched") {
			Swal.fire({
				title: '<font class="title_heading">  <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_KEY_MIS_MATCHED'); ?></font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
		}  else if (response == "s_pay_g_transaction_no_required") {
			Swal.fire({
				title: '<font class="title_heading">  <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_TRANSACTION_NUMBER_IS_REQUIRED'); ?></font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
		} else if (response == "s_pay_g_reference_no_required") {
			Swal.fire({
				title: '<font class="title_heading">  <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_SPAY_TRANSACTION_NUMBER_REQUIRED'); ?> </font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
		} else if (response == "s_pay_g_reference_no_length_error") {
			Swal.fire({
				title: '<font class="title_heading">  <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_SPAY_18_CHARACTER_LIMIT'); ?>  </font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
		} else if (response == "s_pay_g_reference_no_notvalid_error") {
			Swal.fire({
				title: '<font class="title_heading"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_SPAY_REERENCE_NOT_VALID'); ?></font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
		} else if (response == "authorized") {
			Swal.fire({
				title: '<font class="title_heading"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_REQUEST_AUTHORIZED'); ?> </font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/success_icon.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			setTimeout(document.location.reload(), 5000);
			return false;
		} else if (response == "rejected") {
			Swal.fire({
				title: '<font class="title_heading">  <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_REQUEST_REJECT'); ?></font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			setTimeout(document.location.reload(), 2000);
			return false;
		} else if (response == "wrong_details_merchant_id") {
			Swal.fire({
				title: '<font  class="title_heading">' + "<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_WRONG_CREDENTIALS_SPAY'); ?>" + '</font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			return false;
		} else {
			$("#error_login").hide();
			$("#error_login").html("");
			return false;
		}
	}
	function print_receipts() {
		var trasaction_id_list = "";
		$(".checkbox_selected").each(function (index) {
			if ($(this).prop("checked") === true) {
				trasaction_id_list += "<input type='hidden' class='print_receipts_hidden_elements' name='transaction_id_list[]' value='" + $(this).val() + "' />";
			}
		});
		if (trasaction_id_list != "") {
			$("#print_receipts").append(trasaction_id_list);
			$("#print_receipts").submit();
			$(".print_receipts_hidden_elements").remove();
		} else {
			Swal.fire({
				title: '<font class="title_heading"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_ONE_TANSACTION_ATLEAST'); ?></font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/success_icon.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
		}
	}
	function delete_tickets(c_date) {
		$(".container_for_transaction_numbers").hide();
		var count_checkboxes_checked = 0;
		$(".checkbox_selected").each(function (index) {
			if ($(this).prop("checked") === true) {
				count_checkboxes_checked++;
			}
		});
		var is_location_admin = "<?php echo \E::get_session('is_location_admin_for_cancelation_receipts');?>";
		if (count_checkboxes_checked > 0) {
			if (count_checkboxes_checked == 1) {
				var transaction_date = $('input[name="transactions_id"]:checked').data("transaction_date");
				var transaction_id = $('input[name="transactions_id"]:checked').val();
				$("#transaction_id_authorization").val(transaction_id);
				if ((transaction_date == c_date)) {
					if (transaction_id != '') {
						var v_is_location_admin_exists = $("#v_is_location_admin_exists").val();
						if (v_is_location_admin_exists == "yes") {
							// nafees1
							Swal.fire({
								title: '<font class="title_heading"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_ONE_SURE_TO_CANCEL'); ?></font>',
								imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png';?>",
								imageWidth: 50,
								imageHeight: 50,
								imageAlt: 'Custom image',
								html: '<hr class="sweet_hr" />',
								cancelButtonColor: '#FFF',
								confirmButtonColor: '#337AB7',
								showCloseButton: true,
								showCancelButton: true,
								cancelButtonText: "No",
								confirmButtonText: "Yes",
							}).then((result) => {
								if (result.value) {
									var payment_method = $('input[name="transactions_id"]:checked').data("payment_method");
									var transaction_ref_no = $('input[name="transactions_id"]:checked').data("transaction_ref_no");
									if (payment_method == 3) {
										$("#spay_transaction_number").val(transaction_ref_no);
										var spay_global_transaction_no = $("#spay_global_transaction_no").val(transaction_ref_no);
										var spay_gloabl_payment_method = $("#spay_gloabl_payment_method").val(payment_method);
										$(".container_for_transaction_numbers").fadeIn(2000);
									} else {
										var spay_global_transaction_no = $("#spay_global_transaction_no").val("");
										var spay_gloabl_payment_method = $("#spay_gloabl_payment_method").val("");
										var spay_global_reference_no = $("#spay_global_reference_no").val("");
										$(".container_for_transaction_numbers").hide();
									}
									$("#authorized_modal").modal("show");
								}
							});
						} else {
							Swal.fire({
								title: '<font class="title_heading"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_LOCATION_ADMIN_NOT_FOUND');?> </font>',
								imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
								imageWidth: 50,
								imageHeight: 50,
								imageAlt: 'Custom image',
								html: '<hr class="sweet_hr" />',
								cancelButtonColor: '#FFF',
								showCancelButton: false,
								cancelButtonText: "Ok",
							});
						}
					} else {
						Swal.fire({
							title: '<font class="title_heading"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_TRANSACTION_ID_NOT_FOUND');?></font>',
							imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
							imageWidth: 50,
							imageHeight: 50,
							imageAlt: 'Custom image',
							html: '<hr class="sweet_hr" />',
							cancelButtonColor: '#FFF',
							showCancelButton: false,
							cancelButtonText: "Ok",
						});
					}
				} else {
					Swal.fire({
						title: '<font class="title_heading"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_SAME_DAY_CANCELLATION');?></font>',
						imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
						imageWidth: 50,
						imageHeight: 50,
						imageAlt: 'Custom image',
						html: '<hr class="sweet_hr" />',
						cancelButtonColor: '#FFF',
						showCancelButton: false,
						cancelButtonText: "Ok",
					});
				}
			} else {
				Swal.fire({
					title: '<font class="title_heading">  <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_ONE_RECEIPT_TO_CANCEL');?> </font>',
					imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
					imageWidth: 50,
					imageHeight: 50,
					imageAlt: 'Custom image',
					html: '<hr class="sweet_hr" />',
					cancelButtonColor: '#FFF',
					showCancelButton: false,
					cancelButtonText: "Ok",
				});
			}
		} else {
			Swal.fire({
				title: '<font class="title_heading">   <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_ONE_TANSACTION_ATLEAST');?></font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/warning_sign.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
		}
	}
	function onkeyup_reference_no(e) {
		if (e) {
			var max_chars = 18;
			var a = $("#spay_refund_reference_number").val();
			var b = a.replace(/[^a-z0-9]/gi, '');
			$("#spay_refund_reference_number").val(b)
			if (((e.keyCode > 95 && e.keyCode < 106) || (e.keyCode > 65 && e.keyCode < 91) || (e.keyCode > 47 && e.keyCode < 58))) {
				if ($("#spay_refund_reference_number").val().length > max_chars) {
					$("#spay_refund_reference_number").val($("#spay_refund_reference_number").val().substr(0, max_chars));
				}
			} else if ((e.keyCode == 8 || e.keyCode == 39 || e.keyCode == 37)) {
				return false;
			} else {
				return false;
			}
		}
	}
	function after_cancellation(response) {
		document.location.reload();
	}
	function print_tickets() {
		var trasaction_id_list = "";
		$(".checkbox_selected").each(function (index) {
			if ($(this).prop("checked") === true) {
				trasaction_id_list += "<input type='hidden' class='print_tickets_hidden_elements' name='transaction_id_list[]' value='" + $(this).val() + "' />";
			}
		});
		if (trasaction_id_list != "") {
			$("#print_tickets").append(trasaction_id_list);
			$("#print_tickets").submit();
			$(".print_tickets_hidden_elements").remove();
		} else {
			Swal.fire({
				title: '<font class="title_heading">  <?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_ONE_TANSACTION_ATLEAST');?></font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/success_icon.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
		}
	}
	function generate_filter(p_filter_label_class, p_category_filter_selected_count) {
		var v_message_name = "";
		if (p_filter_label_class == "category_label") {
			v_message_name = "<?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_CASHIER_TEXT_ONLY');?>";
		}
		if (p_filter_label_class == "division_filter") {
			v_message_name = "<?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_STATUS_TEXT_ONLY');?>";
		}
		if (p_filter_label_class == "locations_label") {
			v_message_name = "<?php echo \E::get('obj_curr_module_lang')->get('TICKET_LISTING_STATUS_TEXT_ONLY');?>";
		}
		if (p_category_filter_selected_count != 0) {
			$("." + p_filter_label_class).addClass("filter_label_select_class");
			$("." + p_filter_label_class).parents('.form-group').find("i").attr('style', 'color: green !important');
			$("." + p_filter_label_class).parents('.form-group').find("label").attr('style', 'border: 2px solid green !important;  color: green !important; font-weight: bold !important;');
			$("." + p_filter_label_class).html(p_category_filter_selected_count + " " + v_message_name);
		} else {
			$("." + p_filter_label_class).removeClass("filter_label_select_class");
			$("." + p_filter_label_class).html(v_message_name);
			$("." + p_filter_label_class).parents('.form-group').find("i").attr('style', 'color: #6c757d !important');
			$("." + p_filter_label_class).parents('.form-group').find("label").attr('style', 'border: 1px solid #6c757d !important;  color: #6c757d!important; font-weight: 400 !important;');
		}
	}
	$(document).ready(function () {
		var v_category_filter_selected_count = 0;
		var v_locations_filter_selected_count = 0;
		$("#agency_filter").on("select2:close", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("category_label", select_val.length);
		});
		$("#agency_filter").on("select2:select", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("category_label", select_val.length);
		});
		$("#division_filter").on("select2:close", function (e) {
			var select_val = $("#division_filter option:selected").length;
			generate_filter("locations_label", select_val);
		});
		$("#division_filter").on("select2:select", function (e) {
			var select_val = $("#division_filter option:selected").length;
			generate_filter("locations_label", select_val);
		});
		$("#status_filter").on("select2:close", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("status_label", select_val.length);
		});
		$("#status_filter").on("select2:select", function (e) {
			var select_val = $(e.currentTarget).val();
			generate_filter("status_label", select_val.length);
		});
		$("#agency_filter").select2({});
		$("#division_filter").select2({minimumResultsForSearch: -1});
		$("#status_filter").select2({});
		$('#select2_container_category_filter').hide();
		$('#select2_container_location_filter').hide();
		$('#select2_container_status_filter').hide();
	});
	var is_open_category = 0;
	var is_open_location = 0;
	var is_open_status = 0;
	$(document).on('click', '.filter_container', function (e) {
		if ($(this).data("id") === "agency_filter") {
			if (is_open_category == 0) {
				is_open_category = 1;
				$('#select2_container_category_filter').fadeIn(700);
				$('#agency_filter').select2('open');
				$(".category_name_arrow").removeClass("fa-chevron-down");
				$(".category_name_arrow").addClass("fa-chevron-up");
			} else {
				is_open_category = 0;
				$('#select2_container_category_filter').fadeOut(300);
				$('#agency_filter').select2('close');
				$(".category_name_arrow").removeClass("fa-chevron-up");
				$(".category_name_arrow").addClass("fa-chevron-down");
			}
			is_open_location = 0;
			is_open_status = 0;
			$('#select2_container_location_filter').hide(500);
			$('#select2_container_status_filter').hide(500);
			$(".location_name_arrow").removeClass("fa-chevron-up");
			$(".location_name_arrow").addClass("fa-chevron-down");
			$(".status_filter_arrow").removeClass("fa-chevron-up");
			$(".status_filter_arrow").addClass("fa-chevron-down");
		} else if ($(this).data("id") === "division_filter") {
			if (is_open_location == 0) {
				is_open_location = 1;
				$('#select2_container_location_filter').fadeIn(700);
				$('#division_filter').select2('open');
				$(".location_name_arrow").removeClass("fa-chevron-down");
				$(".location_name_arrow").addClass("fa-chevron-up");
			} else {
				is_open_location = 0;
				$('#select2_container_location_filter').fadeOut(300);
				$('#division_filter').select2('close');
				$(".location_name_arrow").removeClass("fa-chevron-up");
				$(".location_name_arrow").addClass("fa-chevron-down");
			}
			is_open_category = 0;
			is_open_status = 0;
			$('#select2_container_category_filter').hide(500);
			$('#select2_container_status_filter').hide(500);
			$(".category_name_arrow").removeClass("fa-chevron-up");
			$(".category_name_arrow").addClass("fa-chevron-down");
			$(".status_filter_arrow").removeClass("fa-chevron-up");
			$(".status_filter_arrow").addClass("fa-chevron-down");
		} else if ($(this).data("id") === "status_filter") {
			if (is_open_status == 0) {
				is_open_status = 1;
				$('#select2_container_status_filter').fadeIn(700);
				$('#status_filter').select2('open');
				$(".status_filter_arrow").removeClass("fa-chevron-down");
				$(".status_filter_arrow").addClass("fa-chevron-up");
			} else {
				is_open_status = 0;
				$('#select2_container_status_filter').fadeOut(300);
				$('#status_filter').select2('close');
				$(".status_filter_arrow").removeClass("fa-chevron-up");
				$(".status_filter_arrow").addClass("fa-chevron-down");
			}
			is_open_category = 0;
			is_open_location = 0;
			$('#select2_container_category_filter').hide(500);
			$('#select2_container_location_filter').hide(500);
			$(".location_name_arrow").removeClass("fa-chevron-up");
			$(".location_name_arrow").addClass("fa-chevron-down");
			$(".category_name_arrow").removeClass("fa-chevron-up");
			$(".category_name_arrow").addClass("fa-chevron-down");
		}
	});
	var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('ticket_listing', 'list_ajax'); ?>';
	var v_cookie_name = "<?php echo \U::generateUniqueCookieName(MOONLIGHT_DNS_PATH . MOONLIGHT_FOLDER_PATH); ?>_admin_list_user";
	var v_list;
	var v_init = false;
	var v_init_page = 0;
	var v_init_usr_name, v_init_usr_email, v_init_usr_new_ic_no, v_init_short_name, v_init_usr_group, v_init_usr_agency,
		v_init_usr_branch, v_init_usr_authentic_method, v_init_usr_status;
	$(document).ready(
		function () {
			<?php
			$v_session_msg_title = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			$v_session_msg = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			$v_session_msg_status = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			if ($v_session_msg_title != '' && $v_session_msg != '') {
			?>
			Swal.fire({
				title: '<font  class="title_heading">' + "<?php echo $v_session_msg; ?>" + '</font>',
				imageUrl: "<?php echo \E::get('obj_curr_module')->get_image_path() . '/success_icon.png'; ?>",
				imageWidth: 50,
				imageHeight: 50,
				imageAlt: 'Custom image',
				html: '<hr class="sweet_hr" />',
				cancelButtonColor: '#FFF',
				showCancelButton: false,
				cancelButtonText: "Ok",
			});
			<?php
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			}
			?>
			v_list = $('#data_table').DataTable({
				"pagingType": "full_numbers",
				"language": {
					"paginate": {
						"previous": "Previous"
					}
				},
				"dom": "<'row'<'col-sm-12 col-md-6'l><'col-sm-12 col-md-6 text-right'f>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-6'i><'col text-right pt-1'<'mpage'>><'col-auto'p>>",
				"lengthMenu": [
					[10, 25, 50, -1],
					[10, 25, 50, "All"]
				],
				"responsive": {
					details: {
						display: $.fn.dataTable.Responsive.display.childRowImmediate,
						type: 'none',
						target: ''
					}
				},
				"searching": false,
				"processing": true,
				"serverSide": true,
				"deferRender": true,
				"deferLoading": true,
				"stateSave": true,
				"stateSaveParams": function (settings, data) {
				},
				"stateLoaded": function (settings, data) {
					v_init_page = data.start;
				},
				"ajax": {
					url: v_list_url,
					dataSrc: 'data',
					type: 'GET',
					data: function (d) {
						d['date_range'] = $('#date_range_dates').val();
						d['search_by_receipt'] = $('#search_by_receipt').val();
						d['cashier_filter'] = $('#agency_filter').val();
						d['report_status'] = $('#division_filter option:selected').val();
						if (v_init == true) {
							d['start'] = v_init_page;
						}
					},
					done: function (data) {
					},
					error: function (err) {
						if (err.responseText.includes('REQUIRED_LOGIN')) {
							window.location = '<?php echo \E::get('obj_curr_module')->build_action_path('user', 'list'); ?>';
						}
					}
				},
				"drawCallback": function (settings) {
					if (v_init == true) {
						v_init = false;
						var v_info_init = v_list.page.info();
						$('#manual_paging').attr('max', v_info_init.pages).attr('min', 1);
						$('#manual_paging').on('keypress', function (e) {
							if (e.which == 13) {
								var v_info = v_list.page.info();
								if ($('#manual_paging').val() != '' && $('#manual_paging').val() <= v_info.pages && $('#manual_paging').val() > 0) {
									v_list.page(($('#manual_paging').val() - 1)).draw('page');
								}
							}
						});
					}
				},
				"columns": [
					{"data": 'no', "orderable": false},
					{"data": 'transaction_date'},
					{"data": 'receipt_no'},
					{"data": 'final_amount', "class": "text-right datatable_aling_text"},
					{"data": 'usr_full_name'},
					{"data": 'report_status'},
					{"data": 'checkbox_list'},
				],
				"order": [1, "desc"],
				"initComplete": function (settings, json) {
					v_init = true;
					$("div.mpage").html('<input type="number" id="manual_paging" class="text-center" value="" style="width:50px;">');
				}
			}).on('page.dt', function () {
				var v_info = v_list.page.info();
				$('#manual_paging').val((v_info.page + 1));
			}).on('length.dt', function (e, settings, len) {
				var v_info = v_list.page.info();
				$('#manual_paging').attr('max', v_info.pages);
			});
			var v_state = v_list.state.loaded();
			if (v_state) {
				v_init = true;
				v_list.ajax.reload(null, false);
			} else {
				v_list.ajax.reload();
			}
		}
	);
	function search() {
		v_list.ajax.reload();
	}
	var d = new Date();
	var month = d.getMonth() + 1;
	var day = d.getDate();
	var output = d.getFullYear() + '/' +
		(('' + month).length < 2 ? '0' : '') + month + '/' +
		(('' + day).length < 2 ? '0' : '') + day;
	$(function () {
		$("#date_range").flatpickr(
			{
				mode: "range",
				dateFormat: "Y-m-d",
				onChange: function (selectedDates, dateStr, instance) {
					$("#date_range_dates").val(dateStr);
				}
			}
		);
	});
	function reset_search() {
		$('#search_by_receipt').val('');
		$("#agency_filter").val(null).trigger("change");
		$("#division_filter").val(null).trigger("change");
		$('#date_range_dates').val('');
		$("label.filter_label_select_class").attr('style', 'border: 1px solid #6c757d !important;color: gray !important;font-weight: normal !important;');
		$(".category_name_arrow,.location_name_arrow,.status_filter_arrow").css("color", "gray");
		$(".category_name_arrow,.location_name_arrow,.status_filter_arrow").addClass("fa-chevron-down");
		$(".category_name_arrow,.location_name_arrow,.status_filter_arrow").removeClass("fa-chevron-up");
		$(".category_label").html("Cashier");
		$(".locations_label").html("Status");
		$('#select2_container_category_filter').hide(500);
		$('#select2_container_location_filter').hide(500);
		$('#user_filter').select2('close');
		is_open_category = 0;
		is_open_location = 0;
		is_open_status = 0;
		v_list.ajax.reload();
	}
</script>