<?php \I::load_error("MESSAGE");
$v_edit_process_path = \E::get('obj_curr_module')->build_action_path('ticket_profile', 'add');
?>
<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
	<div class="container-fluid">
		<div class="row mb-2">
			<div class="col-sm-12 breadcrumb_container">
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_BREADCRUMB_HOME'); ?>
				</a> /
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('system_administrator', 'list'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_BREADCRUMB_SETUP_CONFIGURATION'); ?>
				</a> /
				<a href="<?php echo \E::get('obj_curr_module')->build_action_path('ticket_setting', 'list'); ?>">
					<?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_BREADCRUMB_TICKET_SETTING'); ?>
				</a> /
				<?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_BREADCRUMB_TICKET_PROFILE'); ?>
			</div>
			<div class="col-sm-12 pl-3 pt-3">
				<h5 class="m-0 pb-0 module_name"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_COMP_NAME'); ?></h5>
			</div>
		</div>
	</div>
</div>
<hr/>
<form class="mt-4" id="frm_acl" name="frm_acl" action="<?php echo $v_edit_process_path; ?>" method="post" enctype="multipart/form-data">
	<div class="row form-group">
		<label for="ticket_profile_code" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_TICKET_CODE'); ?>
			<span class="text-danger">*</span></label>
		<div class="col-sm-8">
			<input type="text" class="text form-control compulsory" maxlength="40" max="40"  name="ticket_profile_code" id="ticket_profile_code" value=""/>
			<span class="text-danger" id="username_duplicate_check"></span>
		</div>
	</div>
	<div class="row form-group">
		<label for="ticket_profile_name" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_TICKET_NAME'); ?>
			<span class="text-danger">*</span></label>
		<div class="col-sm-8">
			<input type="text" class="text form-control compulsory" maxlength="40" max="40"  name="ticket_profile_name" id="ticket_profile_name" value=""/>
			<span class="text-danger" id="username_duplicate_check_name"></span>
		</div>
	</div>
	<div class="row form-group">
		<label for="ticket_profile_category" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_CATEGORY'); ?> </label>
		<div class="col-sm-8">
			<select name="ticket_profile_category" id="ticket_profile_category_validate" class="form-control">
				<?php if (isset($v_ticket_categories)) {
					foreach ($v_ticket_categories as $v_list) { ?>
						<option value="<?php echo \U::safe_display_string($v_list['id']); ?>"><?php echo \U::safe_display_string($v_list['name']) . " - " . \U::safe_display_string($v_list['code']); ?></option>
						<?php
					}
				} ?>
			</select>
		</div>
	</div>
	<div class="row form-group">
		<label for="ticket_profile_price" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_PRICE'); ?> </label>
		<div class="col-sm-8">
			<input type="text" class="text form-control" name="ticket_profile_price" id="ticket_profile_price" value=""/>
			<span id="ticket_profile_price_validate" class="custom_role_description"><?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_PRICE_REQ'); ?></span>
		</div>
	</div>
	<div class="row form-group">
		<label for="ticket_profile_agency_name" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_AGENCY_NAME'); ?> </label>
		<div class="col-sm-8">
			<select class="form-control" id="ticket_profile_agency_name" name="ticket_profile_agency_name" onchange="get_agency_locations(this);">
				<?php
				$v_logged_in_user_type = \E::get_session('logged_in_user_type');
				if ($v_logged_in_user_type == 0) { ?>
					<option value=""></option>
					<?php
				}
				if (isset($v_agency_dta) && count($v_agency_dta) > 0) {
					foreach ($v_agency_dta as $v_key => $v_agency_dta) {
						if ($v_user_agency_name_added == $v_agency_dta['ag_id']) { ?>
							<option selected value="<?php echo \U::safe_display_string($v_agency_dta['ag_id']); ?>"><?php echo \U::safe_display_string($v_agency_dta['ag_name']); ?></option>
							<?php
						} else { ?>
							<option value="<?php echo \U::safe_display_string($v_agency_dta['ag_id']); ?>"><?php echo \U::safe_display_string($v_agency_dta['ag_name']); ?></option>
							<?php
						}
					}
				}
				?>
			</select>
		</div>
	</div>
	<div class="row form-group">
		<label for="ticket_profile_location" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_LOCATION'); ?> <span class="text-danger">*</span> </label>
		<div class="col-sm-8">
			<select name="ticket_profile_location" id="ticket_profile_location_validate" class="form-control compulsory"></select>
		</div>
	</div>
	<div class="row form-group">
		<label for="ticket_profile_remarks" class="col-sm-3 col-form-label"> <?php echo \E::get('obj_curr_module_lang')->get('TICKET_PROFILE_REMARKS'); ?></label>
		<div class="col-sm-8">
			<input type="text" class="text form-control" name="ticket_profile_remarks" id="ticket_profile_remarks_validate" value=""/>
		</div>
	</div>
	<hr class="mt-4">
	<div class="row justify-content-center mt-4">
		<div class="col-md-5 text-center">
			<a class="mr-1" href="<?php echo \E::get('obj_curr_module')->build_action_path('ticket_profile', 'list'); ?>">
				<button type="button" class="btn btn-default w-auto-im">
					<?php echo \E::get('obj_curr_module_lang')->get('BTN_BACK_TO_LISTING'); ?>
				</button>
			</a>
			<input type="button" value="Save" class="btn btn-primary width-135px" role="button" id="submit_form" onclick="check_validations()">
		</div>
	</div>
	<?PHP
	\I::load_error();
	?>
</form>
<script language="javascript">
	function get_agency_locations(_this) {
		var v_agency_id = $("#ticket_profile_agency_name").val();
		var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('ticket_profile', 'code_validate_ajax'); ?>';
		var v_url = v_list_url + '?v_agency_id=' + escape(v_agency_id);
		var v_response = makeGETRequest(v_url, 'ticket_profile_location_validate', 'after_locationns_load', 'false');
	}
	function after_locationns_load(response) {
		$("#ticket_profile_location_validate").html(response);
	}
	function check_validations() {
		if (validate(document.frm_acl)) {
			$("#submit_form").prop("disabled", true);
			var v_location_code = $("#ticket_profile_code").val();
			var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('ticket_profile', 'code_validate_ajax'); ?>';
			var v_url = v_list_url + '?v_location_code=' + escape(v_location_code) + '&v_action=add';
			var v_response = makeGETRequest(v_url, 'username_duplicate_check', 'after_load', '', '', '');
		}
	}
	function after_load(response) {
		var v_check_error_found = $('#duplication_error_found').val();
		if (v_check_error_found != 1) {
			$("#submit_form").prop("disabled", true);
			var v_location_name = $("#ticket_profile_name").val();
			var v_list_url = '<?php echo \E::get('obj_curr_module')->build_action_path('ticket_profile', 'code_validate_ajax'); ?>';
			var v_url = v_list_url + '?v_location_name=' + escape(v_location_name) + '&v_action=add';
			var v_response = makeGETRequest(v_url, 'username_duplicate_check_name', 'after_load_name', '', '', '');
		} else {
			$('#ticket_profile_code').focus();
			$("#submit_form").prop("disabled", false);
		}
	}
	function after_load_name(response) {
		var v_check_error_found = $('#duplication_error_found_name').val();
		if (v_check_error_found != 1) {
			document.frm_acl.submit();
		} else {
			$('#ticket_profile_name').focus();
			$("#submit_form").prop("disabled", false);
		}
	}
	$(document).ready(
		function () {
			<?php
			$v_session_msg_title = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			$v_session_msg = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			$v_session_msg_status = \E::get_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			if ($v_session_msg_title != '' && $v_session_msg != '') {
			?>
			Swal.fire({
				icon: '<?php echo isset($v_session_msg_status) ? $v_session_msg_status : 'error'; ?>',
				title: '<?php echo $v_session_msg_title; ?>',
				html: '<?php echo $v_session_msg; ?>',
				customClass: {
					confirmButton: "bg-primary"
				}
			});
			<?php
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message');
			\E::unset_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status');
			}
			?>
		}
	);
	function submit_form() {
		document.getElementById("frm_role").submit();
	}
	$('#ticket_profile_price').keypress(function (event) {
		if ((event.which != 46 || $(this).val().indexOf('.') != -1) &&
			((event.which < 48 || event.which > 57) &&
				(event.which != 0 && event.which != 8))) {
			event.preventDefault();
		}
		var text = $(this).val();
		if ((text.indexOf('.') != -1) &&
			(text.substring(text.indexOf('.')).length > 2) &&
			(event.which != 0 && event.which != 8) &&
			($(this)[0].selectionStart >= text.length - 2)) {
			event.preventDefault();
		}
	});
	get_agency_locations();
</script>