<?php
$v_access_buy_ticket = \E::get('obj_curr_module')->ajax_validation_check_permission("view", "buy_ticket");
$v_access_ticket_listing = \E::get('obj_curr_module')->ajax_validation_check_permission("view", "ticket_listing");
?>
	<div class="content-header pl-0 pb-0 pt-0 mx-n3 px-0">
		<div class="container-fluid">
			<div class="row mb-2">
				<div class="col-sm-12 breadcrumb_container">
					<a href="<?php echo \E::get('obj_curr_module')->build_action_path('home', 'index'); ?>">
						<?php echo \E::get('obj_curr_module_lang')->get('SYSTEM_ADMINISTRATOR_BREADCRUMB_HOME'); ?>
					</a> /
					<?php echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_BREADCRUMB_TICKET_SALE'); ?>
				</div>
				<div class="col-sm-6 pl-3 pt-3">
					<h5 class="m-0 pb-0 module_name">
						<?php
						if ($v_controller_name == "list") {
							echo \E::get('obj_curr_module_lang')->get('BUY_TICKET_BREADCRUMB_TICKET_SALE');
						}
						?>
					</h5>
				</div>
			</div>
		</div>
	</div>
	<hr/>
	<div class="table-responsive">
		<table class="table table-striped table-bordered">
			<thead>
			<tr>
				<th scope="col"><?php echo \E::get('obj_curr_module_lang')->get('SYSTEM_ADMINISTRATOR_NO'); ?></th>
				<th scope="col"><?php echo \E::get('obj_curr_module_lang')->get('SYSTEM_ADMINISTRATOR_FUNCTION'); ?></th>
			</tr>
			</thead>
			<tbody>
			<?php
			$v_module_counter = 0;
			if ($v_access_buy_ticket == 1) { ?>
				<tr>
					<td scope="row"><?php echo ++$v_module_counter . "."; ?></td>
					<td>
						<h5><a href="<?php echo \E::get('obj_curr_module')->build_action_path('buy_ticket', 'add'); ?>">
								<?php echo \E::get('obj_curr_module_lang')->get('MENU_TICKET_BUY'); ?>
							</a></h5>
					</td>
				</tr>
				<?php
			}
			if ($v_access_ticket_listing == 1) { ?>
				<tr>
					<td scope="row"><?php echo ++$v_module_counter . "."; ?></td>
					<td>
						<h5>
							<a href="<?php echo \E::get('obj_curr_module')->build_action_path('ticket_listing', 'list'); ?>">
								<?php echo \E::get('obj_curr_module_lang')->get('MENU_TICKET_LISTING'); ?>
							</a></h5>
					</td>
				</tr>
				<?php
			} ?>
			</tbody>
		</table>
	</div>
<?PHP
\I::load_error();
?>