<?PHP
$v_access_add = \E::get('obj_curr_module')->ajax_validation_check_permission("add");
if( !$v_access_add ){
    \V::append_data( 'body', \V::load_box( \E::get( 'obj_curr_module_lang')->get('MODULE_AUTHORISED_ERROR'), \V::load_view( $this->get_view_file_path( 'msg_not_authorised', 'share' ), $v_object, $v_var ), 'box_form.php' ) );
    \V::output_view( 'template_login.php' );
    exit;
}
$v_param = $this->get_param();
$v_tmp_list = \E::get('obj_curr_module')->user_group_list();
$v_group_list['no_access'] = "[No Access]";
if (is_array($v_tmp_list)) {
	for ($v_c = 0; $v_c < count($v_tmp_list); $v_c++) {
		$v_group_list[$v_tmp_list[$v_c]['group_id']] = $v_tmp_list[$v_c]['group_name'];
	}	
}
$v_user_roles = \E::get('obj_curr_module')->user_group_roles();
$v_agency_dta = \E::get('obj_curr_module')->user_group_agency_lit();
$v_location_data = \E::get('obj_curr_module')->user_group_location_list();
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	foreach ($_POST as $v_key => $v_value) {
		$_POST[$v_key] = trim($v_value);
	}
	\I::check("COMPULSORY", 'usr_short_name', \E::get("obj_kernel_lang")->get('ERR_JS_FIELD_REQUIRED'));
	\I::check("COMPULSORY", 'usr_name', \E::get("obj_kernel_lang")->get('ERR_JS_FIELD_REQUIRED'));
	\I::check("COMPULSORY", 'user_ic_no', \E::get("obj_kernel_lang")->get('ERR_JS_FIELD_REQUIRED'));
	\I::check("COMPULSORY", 'usr_phone', \E::get("obj_kernel_lang")->get('ERR_JS_FIELD_REQUIRED'));
	\I::check("COMPULSORY", 'user_role', \E::get("obj_kernel_lang")->get('ERR_JS_FIELD_REQUIRED'));
	if( $_POST['user_role_type'] == 1 ) {
		\I::check("COMPULSORY", 'user_agency_name', \E::get("obj_kernel_lang")->get('ERR_JS_FIELD_REQUIRED'));
	}
	if (\I::check("COMPULSORY", 'usr_email', \E::get("obj_kernel_lang")->get('ERR_JS_FIELD_REQUIRED'))) {
		\I::check("EMAIL", 'usr_email', \E::get("obj_kernel_lang")->get('ERR_JS_INVALID_EMAIL'));
	}
	if (\I::check("IC", 'user_ic_no', \E::get('obj_curr_module_lang')->get('USER_IC_NO_INVALID'))) {
		$v_field_name = "user_ic_no";
		$v_table_name = "user";
		$v_field_value = $_POST['user_ic_no'];
		$v_check_info = \E::get('obj_curr_module')->user_check_duplicate_field($v_field_name, $v_field_value,$v_table_name);
		if ($v_check_info && is_array($v_check_info)) {
			\I::set_error_field('user_ic_no', \E::get('obj_system_lang')->get('USER_IC_DUPLICATE'));
		}
	}
	unset($v_cond);
	$v_field_name = "usr_short_name";
	$v_table_name = "user";
	$v_field_value = $_POST['usr_name'];
	$v_check_info = \E::get('obj_curr_module')->user_check_duplicate_field($v_field_name, $v_field_value,$v_table_name);
	if ($v_check_info && is_array($v_check_info)) {
		\I::set_error_field('usr_name', \E::get('obj_system_lang')->get('USER_SHORT_NAME_DUPLICATE'));
	}
	if (!\I::is_error()) {
		$v_add['usr_short_name'] = $_POST['usr_name'];
		$v_add['usr_new_ic_no'] = $_POST['user_ic_no'];
		$v_add['gender'] = $_POST['gender'];
		$v_add['mobile_no'] = $_POST['usr_phone'];
		$v_location_administrator = 0;
		if( isset( $_POST['location_administraotr'] ) ) {
			if( $_POST['location_administraotr'] == 1 ) {
				$v_location_administrator = $_POST['location_administraotr'];
			}
		}
		$v_add['phone_office'] = $_POST['usr_phone'];
		$v_add['usr_email'] = $_POST['usr_email'];
		$v_add['role'] = $_POST['user_role'];
		$v_add['agency'] = $_POST['user_agency_name'];
		$v_add['location'] = $_POST['user_location_name'];
		$v_add['active_inactive_status'] = $_POST['user_status'];
		$v_add['usr_ldap_auth'] = '1';
		$v_add['usr_comm'] = '';
		$v_add['usr_from'] = 'ldap';
		$v_add['usr_full_name'] = $_POST['usr_short_name'];
		$v_add['pms_ic_no'] = '';
		$v_add['usr_email_act'] = $_POST['usr_email'];
		$v_add['employee_id'] = '';
		if( isset($_POST['ldap_user_verified']) && $_POST['ldap_user_verified'] == 1 ) {
			$v_add['usr_password'] = "";
		} else {
			$v_add['usr_password'] = "password1";
		}
		$v_add['extra_field'] = array(
			'my_kad_valu' => $_POST['my_kad_valu'],
			'role' => $_POST['user_role'],
			'agency' => $_POST['user_agency_name'],
			'location_administrator' => $v_location_administrator,
			'location' => $_POST['user_location_name'],
			'active_inactive_status' => $_POST['user_status']
		);
		$v_str_now = date("Y-m-d H:i:s");
		$v_add['_rec_status'] = 'SHOW';
		$v_logged_in_user_id = \E::get_session('usr_id');
		$v_add['_rec_created_by'] = $v_logged_in_user_id;
		$v_add['_rec_created_on'] = $v_str_now;
		$v_add['_rec_modified_by'] = $v_logged_in_user_id;
		$v_add['_rec_modified_on'] = $v_str_now;
		$v_usr_id = \E::get('obj_system_module')->user_add($_POST['usr_short_name'], $v_add);
		$v_user_role_data = \E::get('obj_curr_module')->user_group_user_roles($v_add['role'], $v_usr_id);
		$v_log_status = \E::get('obj_curr_module')->user_group_add_logs_data($v_add, "Add", "User Profile", NULL);
		if ($v_usr_id) {
			$v_full_name = \E::get_session('full_name');
			$v_log_add = \E::get('obj_curr_module')->user_group_list();
		}
		$v_add['usr_id'] = $v_usr_id;
		if (isset($v_usr_id) && $v_usr_id !== FALSE) {
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title', \E::get('obj_curr_module_lang')->get('SUCCESS'));
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message', \E::get('obj_curr_module_lang')->get('RECORD_ADDED'));
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status', 'success');
		} else {
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-title', \E::get('obj_curr_module_lang')->get('FAILED'));
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message', \E::get('obj_curr_module_lang')->get('FAILED_TO_ADD_RECORD'));
			\E::set_session(\E::get('MOONLIGHT_CURRENT_COMPONENT') . '-message-status', 'error');
		}
		header('location: ' . \E::get('obj_curr_module')->build_action_path('user', 'edit', $v_usr_id));
		exit();
	}
	foreach ($_POST as $v_key => $v_value) {
		$v_var[$v_key] = trim($v_value);
	}
}
$v_var['today_date'] = \E::get('obj_curr_module')->__to_display_date(\E::get('obj_curr_module')->__now(), 'DATE');
$v_var['mode'] = 'add';
$v_var['group_list'] = $v_group_list;
$v_var['user_roles'] = $v_user_roles;
$v_var['agency_dta'] = $v_agency_dta;
$v_var['location_data'] = $v_location_data;
\V::append_data('js', \V::load_view(MODULE_PLUGIN_PATH . 'sweetalert2/moonlight_init.php', $v_object, $v_var));
\V::append_data('menu', \V::load_view($this->get_view_file_path('menu', 'share'), $v_object, $v_var));
\V::append_data('body', \V::load_view($this->get_view_file_path('form'), $v_object, $v_var));
\V::output_view();
?>