<?php
$v_access_view = \E::get('obj_curr_module')->ajax_validation_check_permission("view");
if( !$v_access_view ){
	\V::append_data( 'body', \V::load_box( \E::get( 'obj_curr_module_lang')->get('MODULE_AUTHORISED_ERROR'), \V::load_view( $this->get_view_file_path( 'msg_not_authorised', 'share' ), $v_object, $v_var ), 'box_form.php' ) );
	\V::output_view( 'template_login.php' );
	exit;
}
if (isset($_GET['v_user_name']) && $_GET['v_user_name'] !== NULL) {
	$v_user_name = $_GET['v_user_name'];
	$v_ldap_response_array = array();
	$v_ldap_search = \E::get('obj_system_module')->ldap_search($v_user_name,"ldap");
	$v_ldap_response_array['full_name'] = $v_ldap_search["user_full_name"];
	$v_ldap_response_array['email'] = isset($v_ldap_search["user_email"])?$v_ldap_search["user_email"]:"";
	$v_ldap_response_array['new_ic'] = isset($v_ldap_search["user_ic"])?$v_ldap_search["user_ic"]:"";
	$v_response = "";
	if( trim($v_ldap_response_array['full_name']) != ""  ) {
		$v_result = \E::get('obj_curr_module')->ajax_validation_check_user_name_duplication($v_user_name);
		if ($v_result == 0) {
			echo $v_ldap_response_array['full_name'].",".$v_ldap_response_array['email'].",".$v_ldap_response_array['new_ic'];
		} else {
			echo "exists";
		}
	} else {	
		$v_response = "not_found";
	}
	echo $v_response;
}
if (isset($_GET['v_user_ic_no']) && $_GET['v_user_ic_no'] !== NULL) {
	$v_user_ic_no = $_GET['v_user_ic_no'];
	$v_action = $_GET['v_action'];
	$v_user_ic_no_validation = "not_valid";
	if (preg_match("/^[0-9]{6}+-[0-9]{2}+-[0-9]{4}$/", $v_user_ic_no)) {
		$v_user_ic_no_validation = "valid";
	}
	if ($v_action == "edit") {
		$v_access_add = \E::get('obj_curr_module')->ajax_validation_check_permission("edit");
		if( !$v_access_add ){
		    \V::append_data( 'body', \V::load_box( \E::get( 'obj_curr_module_lang')->get('MODULE_AUTHORISED_ERROR'), \V::load_view( $this->get_view_file_path( 'msg_not_authorised', 'share' ), $v_object, $v_var ), 'box_form.php' ) );
		    \V::output_view( 'template_login.php' );
		    exit;
		}
		$v_primary_table_id = $_GET['v_primary_table_id'];
		$v_result = \E::get('obj_curr_module')->ajax_validation_check_user_ic_no_duplication_edit($v_user_ic_no, $v_primary_table_id);
	} else {
		$v_access_add = \E::get('obj_curr_module')->ajax_validation_check_permission("add");
		if( !$v_access_add ){
		    \V::append_data( 'body', \V::load_box( \E::get( 'obj_curr_module_lang')->get('MODULE_AUTHORISED_ERROR'), \V::load_view( $this->get_view_file_path( 'msg_not_authorised', 'share' ), $v_object, $v_var ), 'box_form.php' ) );
		    \V::output_view( 'template_login.php' );
		    exit;
		}
		$v_result = \E::get('obj_curr_module')->ajax_validation_check_user_ic_no_duplication($v_user_ic_no);
	}
	if ($v_result > 0) {
		echo '<input type="hidden" name="duplication_ic_no_error_found" id="duplication_ic_no_error_found" value="1">';
		echo \E::get('obj_curr_module_lang')->get('USER_GROUP_DUPLICATE_IC_NUMBER');
	}
	if ($v_user_ic_no_validation != "valid") {
		echo '<input type="hidden" name="duplication_ic_no_error_found" id="duplication_ic_no_error_found" value="1">';
		echo \E::get('obj_curr_module_lang')->get('USER_IC_NO_INVALID');
	}
}
if (isset($_GET['v_username']) && $_GET['v_username'] !== NULL) {
	$v_user_name = $_GET['v_username'];
	$v_action = $_GET['v_action'];
	if ($v_action == "edit") {
		$v_access_add = \E::get('obj_curr_module')->ajax_validation_check_permission("edit");
		if( !$v_access_add ){
		    \V::append_data( 'body', \V::load_box( \E::get( 'obj_curr_module_lang')->get('MODULE_AUTHORISED_ERROR'), \V::load_view( $this->get_view_file_path( 'msg_not_authorised', 'share' ), $v_object, $v_var ), 'box_form.php' ) );
		    \V::output_view( 'template_login.php' );
		    exit;
		}
		$v_primary_table_id = $_GET['v_primary_table_id'];
		$v_result = \E::get('obj_curr_module')->ajax_validation_check_user_name_duplication_edit($v_user_name, $v_primary_table_id);
	} else {
		$v_access_add = \E::get('obj_curr_module')->ajax_validation_check_permission("add");
		if( !$v_access_add ){
		    \V::append_data( 'body', \V::load_box( \E::get( 'obj_curr_module_lang')->get('MODULE_AUTHORISED_ERROR'), \V::load_view( $this->get_view_file_path( 'msg_not_authorised', 'share' ), $v_object, $v_var ), 'box_form.php' ) );
		    \V::output_view( 'template_login.php' );
		    exit;
		}
		$v_result = \E::get('obj_curr_module')->ajax_validation_check_user_name_duplication($v_user_name);
	}
	if ($v_result > 0) {
		echo '<input type="hidden" name="duplication_error_found" id="duplication_error_found" value="1">';
		echo \E::get('obj_curr_module_lang')->get('USER_GROUP_DUPLICATE_USER_NAME');
	}
}
if (isset($_GET['v_agency_id']) && $_GET['v_agency_id'] !== NULL) {
	$v_agency_id = $_GET['v_agency_id'];
	$v_location_id = "";
	if (isset($_GET['v_location_id']) && $_GET['v_location_id'] != '') {
		$v_location_id = $_GET['v_location_id'];
	}
	$v_access_add = \E::get('obj_curr_module')->ajax_validation_check_permission("view");
	if( !$v_access_add ){
	    \V::append_data( 'body', \V::load_box( \E::get( 'obj_curr_module_lang')->get('MODULE_AUTHORISED_ERROR'), \V::load_view( $this->get_view_file_path( 'msg_not_authorised', 'share' ), $v_object, $v_var ), 'box_form.php' ) );
	    \V::output_view( 'template_login.php' );
	    exit;
	}
	$v_result = \E::get('obj_curr_module')->ajax_validation_get_agency_locations($v_agency_id,"all");
	$v_html = "<option value=''></option>";
	if ($v_result > 0) {
		foreach ($v_result as $v_key => $v_each_location) {
			if ($v_location_id == $v_each_location['id']) {
				$v_html .= "<option selected value=" . $v_each_location['id'] . ">" . $v_each_location['name'] . " - " . $v_each_location['code'] . "</option>";
			} else {
				$v_html .= "<option value=" . $v_each_location['id'] . ">" . $v_each_location['name'] . " - " . $v_each_location['code'] . "</option>";
			}
		}
	}
	echo $v_html;
}

if (isset($_GET['v_agency_id_get_roles']) && $_GET['v_agency_id_get_roles'] !== NULL) {
	$v_agency_id = $_GET['v_agency_id_get_roles'];
	$v_user_role = "";
	if (isset($_GET['v_selected_user_role_id']) && $_GET['v_selected_user_role_id'] != '') {
		$v_user_role = $_GET['v_selected_user_role_id'];
	}
	$v_access_add = \E::get('obj_curr_module')->ajax_validation_check_permission("view");
	if( !$v_access_add ){
	    \V::append_data( 'body', \V::load_box( \E::get( 'obj_curr_module_lang')->get('MODULE_AUTHORISED_ERROR'), \V::load_view( $this->get_view_file_path( 'msg_not_authorised', 'share' ), $v_object, $v_var ), 'box_form.php' ) );
	    \V::output_view( 'template_login.php' );
	    exit;
	}
	$v_result = \E::get('obj_curr_module')->user_role_get_agency_roles($v_agency_id);
	$v_html = "<option value=''></option>";
	if ($v_result > 0) {
		foreach ($v_result as $v_key => $v_each_location) {
			if ($v_user_role == $v_each_location['id']) {
				$v_html .= "<option selected value=" . $v_each_location['id'] . ">" . $v_each_location['name'] . "</option>";
			} else {
				$v_html .= "<option value=" . $v_each_location['id'] . ">" . $v_each_location['name'] . "</option>";
			}
		}
	}
	echo $v_html;
}
?>